//------------------------------------------------------------------------------
#include <AutoPrescaler/ipc/PrescalerIpcCommander.h>
//------------------------------------------------------------------------------


//------------------------------------------------------------------------------
using namespace L1CT;
//------------------------------------------------------------------------------




//------------------------------------------------------------------------------
bool PrescalerIpcCommander::requestPrescale(const unsigned long psk, const MenuDraft::Draft_t &draft) {
    
    L1CTIPC::PrescaleRequest request;
    request.psk = psk;
    request.values.length(draft.size());
    
    size_t i = 0;
    for(const auto &it : draft) {
        L1CTIPC::PrescaleValue value;
        
        value.item      = it.first.c_str();
        value.prescale  = it.second;

        //request.values.push_back(value);
        request.values[i] = value;
        ++i;
    }

    prescaler()->requestPrescale(request);

    return true;
}
//------------------------------------------------------------------------------

