#/bin/bash

export CORAL_DBLOOKUP_PATH=/atlas/db/.adm/coral
export CORAL_DBAUTH_PATH=/atlas/db/.adm/coral

#DBCONNECTION="sqlite://;schema=myCOOLONL_INDET.db;dbname=CONDBR2"
#DBCONNECTION="ATLAS_COOLONL_INDET/CONDBR2"
DBCONNECTION='oracle://ATONR_COOL;schema=ATLAS_COOLONL_INDET;dbname=CONDBR2'


folder=/Indet/Onl/Beampos
tag='IndetBeamposOnl-HLT-UPD1-001-00'

show()
{
    { echo usetag $tag; echo more $folder; } | AtlCoolConsole.py $DBCONNECTION
}

store()
{
    beamSpotOnl_set.py --debug --rs=222222 --ls=1 --ru=262615 --lu=9 $DBCONNECTION $tag 7 -0.9 -0.9 -14.
}

#store

show
store
show
