//
// @author Rainer Bartoldus, bartoldu@slac.stanford.edu
// @version $Id$
//

#ifndef DAQ_COOLUTILS_COOLREADABLE_H
#define DAQ_COOLUTILS_COOLREADABLE_H

// Forward declarations
#include <CoolKernel/pointers.h>

namespace daq
{
  namespace coolutils
  {
    class CoolReadable
    {
    public:
      // Constructor

      // Destructor
      virtual ~CoolReadable() {}
      
      // Accessor
      virtual cool::IObjectPtr object() { return m_objectPtr; }

      // Methods
      virtual void set( cool::IObjectPtr objectPtr ) { m_objectPtr = objectPtr; }

    private:
      // Data members
      cool::IObjectPtr m_objectPtr;
    };
  }
}

#endif // DAQ_COOLUTILS_COOLREADABLE_H
