//
// @author Rainer Bartoldus, bartoldu@slac.stanford.edu
// @version $Id$
//

#include "CoolUtils/ISReadable.h"

#include <string>

#include "ipc/partition.h"

// Destructor

daq::coolutils::ISReadable::~ISReadable()
{
}

// Methods

void
daq::coolutils::ISReadable::initialize( const IPCPartition& partition, const std::string& objectName )
{
  m_payloadPtr.reset( this->create( partition, objectName ) );
}
