/*
 * rc.cpp
 *
 *  Created on: Oct 29, 2018
 *      Author: kolos
 */

#include <rc/rc.hh>
#include <IPCGatewayProxy/ProxyObjectBase.hpp>
#include <IPCGatewayProxy/ProxyObjectManager.hpp>

namespace {
    typedef ProxyObjectBase<rc::commander, POA_rc::commander,
            POA_rc::commander_tie> RCCommanderProxy;
    typedef ProxyObjectBase<rc::sender, POA_rc::sender,
            POA_rc::sender_tie> RCSenderProxy;

    ProxyObjectManager::FactoryRegistrator<RCCommanderProxy> __p1__;
    ProxyObjectManager::FactoryRegistrator<RCSenderProxy> __p2__;
}
