package RCUtils;

import javax.swing.JFrame;
import java.util.*;
import java.awt.event.*;

public class EffFrame extends Object { 

  public static void main( String[] args )  {

       class WindowListenerAdapter implements WindowListener {

         public void windowClosing (WindowEvent e) {
           System.exit(0);
           return;
         }
         public void windowDeactivated (WindowEvent e) {}
         public void windowOpened (WindowEvent e) {}
         public void windowClosed (WindowEvent e) {}
         public void windowIconified (WindowEvent e) {}
         public void windowDeiconified (WindowEvent e) {}
         public void windowActivated (WindowEvent e) {}
       }

    String option = "0";
    if (args.length > 0) {
      option = args[0];
    }
    if (option.compareTo("3") == 0) {
      System.setProperty("java.awt.headless", "true");
      Efficiency panel = new Efficiency();
      System.exit(0);
    } else {
      JFrame frame = new JFrame();
      frame.setTitle( "ATLAS Data Taking Efficiency" );
      EfficiencyPanel panel = new EfficiencyPanel(option);
      frame.getContentPane().add(panel);
      frame.addWindowListener(new WindowListenerAdapter());
      frame.pack();
      frame.setLocation(100, 100);
      frame.show(); 
    }
  }
}

