#include <TM/Handle.h>
#include <TM/ComponentTester.h>

namespace daq::tm  {

void TestHandle::stop()
{ m_tester->stopTests() ; } 

TestHandle::TestHandle( std::shared_ptr<ComponentTester> tester ) 
: m_tester(tester) {
    m_result = m_tester->m_result.get_future() ;
    m_tester->launchAllReadyTasks() ;
} 

TestHandle::~TestHandle() { } 

} // namespace