DROP TABLE TRIGGER_LOG PURGE;
DROP TABLE TRIGGER_SCHEMA PURGE;
DROP TABLE TT_USERS PURGE;
DROP TABLE TT_WRITELOCK PURGE;
DROP TABLE TRIGGER_ALIAS PURGE;
DROP TABLE HLT_PRESCALE_SET_COLL PURGE;
DROP TABLE HLT_SMT_TO_HRE PURGE;
DROP TABLE SUPER_MASTER_TABLE PURGE;
DROP TABLE L1_PRESCALE_SET_ALIAS PURGE;
DROP TABLE HLT_PRESCALE_SET_ALIAS PURGE;
DROP TABLE PRESCALE_SET_ALIAS PURGE;
DROP TABLE TOPO_L1_LINK PURGE;
DROP TABLE ACTIVE_MASTERS PURGE;
DROP TABLE L1_MASTER_TABLE PURGE;
DROP TABLE L1_TM_TO_PS PURGE;
DROP TABLE L1_TM_TO_TI PURGE;
DROP TABLE L1_TI_TO_TT PURGE;
DROP TABLE L1_TT_TO_TTV PURGE;
DROP TABLE L1_PITS PURGE;
DROP TABLE L1_TM_TO_TT_MON PURGE;
DROP TABLE L1_TM_TO_TT PURGE;
DROP TABLE L1_TM_TO_TT_FORCED PURGE;
DROP TABLE L1_BGS_TO_BG PURGE;
DROP TABLE L1_BG_TO_B PURGE;
DROP TABLE L1_CI_TO_CSC PURGE;
DROP TABLE L1_PRESCALE_SET PURGE;
DROP TABLE L1_TRIGGER_MENU PURGE;
DROP TABLE L1_BUNCH_GROUP_SET PURGE;
DROP TABLE L1_BUNCH_GROUP PURGE;
DROP TABLE L1_MUCTPI_INFO PURGE;
DROP TABLE L1_DEAD_TIME PURGE;
DROP TABLE L1_RANDOM PURGE;
DROP TABLE L1_PRESCALED_CLOCK PURGE;
DROP TABLE L1_JET_INPUT PURGE;
DROP TABLE L1_CALO_SIN_COS PURGE; 
DROP TABLE L1_CTP_FILES PURGE;
DROP TABLE L1_CTP_SMX PURGE;
DROP TABLE L1_TRIGGER_ITEM PURGE;
DROP TABLE L1_TRIGGER_THRESHOLD PURGE;
DROP TABLE L1_TRIGGER_THRESHOLD_VALUE PURGE;
DROP TABLE L1_CALO_INFO PURGE;
DROP TABLE L1_CALO_MIN_TOB PURGE;
DROP TABLE L1_CALO_ISOLATION PURGE;
DROP TABLE L1_CALO_ISOPARAM PURGE;
DROP TABLE L1_MUON_THRESHOLD_SET PURGE;
DROP TABLE TOPO_MASTER_TABLE PURGE;
DROP TABLE TTM_TO_TA PURGE;
DROP TABLE TTM_TO_TC PURGE;
DROP TABLE TA_TO_TI PURGE;
DROP TABLE TA_TO_TO PURGE;
DROP TABLE TA_TO_TP PURGE;
DROP TABLE TA_TO_TG PURGE;
DROP TABLE TOPO_OUTPUT_LINK PURGE;
DROP TABLE TOPO_ALGO_INPUT PURGE;
DROP TABLE TOPO_PARAMETER PURGE;
DROP TABLE TOPO_GENERIC PURGE;
DROP TABLE TOPO_ALGO_OUTPUT PURGE;
DROP TABLE TOPO_ALGO   PURGE;
DROP TABLE TOPO_OUTPUT_LINE PURGE;
DROP TABLE TOPO_CONFIG PURGE;
DROP TABLE TOPO_TRIGGER_MENU PURGE;
DROP TABLE TOPO_OUTPUT_LIST PURGE;
DROP TABLE HLT_MASTER_TABLE PURGE;
DROP TABLE HLT_CP_TO_PA PURGE;
DROP TABLE HLT_CP_TO_CP PURGE;
DROP TABLE HLT_ST_TO_CP PURGE;
DROP TABLE HLT_TM_TO_TC PURGE;
DROP TABLE HLT_TS_TO_TE PURGE;
DROP TABLE HLT_TE_TO_TE PURGE;
DROP TABLE HLT_TC_TO_TS PURGE;
DROP TABLE HLT_TE_TO_CP PURGE;
DROP TABLE HLT_TC_TO_TR PURGE;
DROP TABLE HLT_TM_TO_PS PURGE;
DROP TABLE HLT_HRE_TO_HRS PURGE;
DROP TABLE HLT_HRS_TO_HRU PURGE;
DROP TABLE HLT_HRU_TO_HRC PURGE;
DROP TABLE HLT_HRC_TO_HRP PURGE;
DROP TABLE HLT_PRESCALE PURGE;
DROP TABLE HLT_PRESCALE_SET PURGE;
DROP TABLE HLT_TRIGGER_GROUP PURGE;
DROP TABLE HLT_TRIGGER_TYPE PURGE;
DROP TABLE HLT_TRIGGER_SIGNATURE PURGE;
DROP TABLE HLT_TRIGGER_MENU PURGE;
DROP TABLE HLT_TRIGGER_CHAIN PURGE;
DROP TABLE HLT_RELEASE PURGE;
DROP TABLE HLT_PARAMETER PURGE;
DROP TABLE HLT_TRIGGER_ELEMENT PURGE;
DROP TABLE HLT_SETUP PURGE;
DROP TABLE HLT_COMPONENT PURGE;
DROP TABLE HLT_TRIGGER_STREAM PURGE;
DROP TABLE HLT_RULE_SET PURGE;
DROP TABLE HLT_RULE PURGE;
DROP TABLE HLT_RULE_COMPONENT PURGE;
DROP TABLE HLT_RULE_PARAMETER PURGE;
DROP TABLE DBCOPY_SOURCE_DATABASE PURGE;
COMMIT;
CREATE TABLE DBCOPY_SOURCE_DATABASE (
   NAME_OF_DB        VARCHAR2(200),
   CONSTRAINT	     DB_PK PRIMARY KEY (NAME_OF_DB)
);
CREATE TABLE TRIGGER_SCHEMA (
    TS_ID                 NUMBER(10),
    TS_TRIGDB_TAG         VARCHAR2(50),
    TS_TRIGTOOL_TAG       VARCHAR2(50),
    CONSTRAINT            TS_ID_NN         CHECK ( TS_ID IS NOT NULL),
    CONSTRAINT            TS_TRIGDB_TAG_NN     CHECK ( TS_TRIGDB_TAG IS NOT NULL),
    CONSTRAINT            TS_TRIGTOOL_TAG_NN     CHECK ( TS_TRIGTOOL_TAG IS NOT NULL),
    CONSTRAINT            TS_PK            PRIMARY KEY(TS_ID)
);
INSERT INTO TRIGGER_SCHEMA VALUES (1,'TrigDB-02-00-06','TriggerTool-04-00-08');
CREATE TABLE TT_USERS (
    TT_LEVEL VARCHAR2(50),
    TT_USER  VARCHAR2(50),
    TT_PASSWORD VARCHAR2(50),
    CONSTRAINT		  TT_USER_PK	PRIMARY KEY(TT_LEVEL,TT_USER),
    CONSTRAINT            TT_LEVEL_NN         CHECK ( TT_LEVEL IS NOT NULL),
    CONSTRAINT            TT_USER_NN             CHECK ( TT_USER IS NOT NULL),
    CONSTRAINT            TT_PASSWORD_NN        CHECK ( TT_PASSWORD IS NOT NULL)
);
CREATE TABLE TT_WRITELOCK (
    TW_ID             NUMBER(1)                  DEFAULT 1,
    TW_PROCESS        VARCHAR2(256),
    TW_DESCRIPTION    VARCHAR2(256),
    TW_USERNAME       VARCHAR2(50),
    TW_MODIFIED_TIME  TIMESTAMP,
    CONSTRAINT        TW_ID_PK            PRIMARY KEY (TW_ID),
    CONSTRAINT        TW_ID_NN            CHECK(TW_ID=1)
);
CREATE TABLE TRIGGER_ALIAS (
    TAL_ID                          NUMBER(10),
    TAL_SUPER_MASTER_TABLE_ID       NUMBER(10),
    TAL_TRIGGER_ALIAS               VARCHAR2(50),
    TAL_DEFAULT                NUMBER(1)             DEFAULT 0,
    TAL_USERNAME                 VARCHAR2(50),
    TAL_MODIFIED_TIME               TIMESTAMP,
    TAL_USED                        CHAR            DEFAULT 0,       
    CONSTRAINT                    TAL_PK               PRIMARY KEY(TAL_ID),
    CONSTRAINT            TAL_ID_NN         CHECK ( TAL_ID IS NOT NULL),
    CONSTRAINT            TAL_SMT_ID_NN         CHECK ( TAL_SUPER_MASTER_TABLE_ID IS NOT NULL),
    CONSTRAINT            TAL_TRIGGER_ALIAS_NN     CHECK ( TAL_TRIGGER_ALIAS IS NOT NULL),
    CONSTRAINT            TAL_DEFAULT_NN         CHECK ( TAL_DEFAULT IS NOT NULL),
    CONSTRAINT            TAL_USED_NN         CHECK ( TAL_USED IS NOT NULL)
);
CREATE TABLE L1_RANDOM (
    L1R_ID NUMBER(10), 
    L1R_CUT0 VARCHAR2(20 BYTE), 
    L1R_CUT1 VARCHAR2(20 BYTE), 
    L1R_CUT2 VARCHAR2(20 BYTE), 
    L1R_CUT3 VARCHAR2(20 BYTE), 
    L1R_VERSION NUMBER(10),
    CONSTRAINT L1R_PK      PRIMARY KEY(L1R_ID),
    CONSTRAINT L1R_CUT0_NN     CHECK ( L1R_CUT0 IS NOT NULL),
    CONSTRAINT L1R_CUT1_NN     CHECK ( L1R_CUT1 IS NOT NULL),
    CONSTRAINT L1R_CUT2_NN     CHECK ( L1R_CUT2 IS NOT NULL),
    CONSTRAINT L1R_CUT3_NN     CHECK ( L1R_CUT3 IS NOT NULL)
 );
CREATE TABLE L1_MUCTPI_INFO (
    L1MI_ID             NUMBER(10),
    L1MI_NAME             VARCHAR2(50),
    L1MI_VERSION             NUMBER(11),
    L1MI_LOW_PT             NUMBER(10),
    L1MI_HIGH_PT             NUMBER(10),
    L1MI_MAX_CAND             NUMBER(10),
    CONSTRAINT             MUCTPI_PK         PRIMARY KEY (L1MI_ID),
    CONSTRAINT            MUCTPI_NMVER        UNIQUE (L1MI_NAME, L1MI_VERSION),
    CONSTRAINT            L1MI_ID_NN         CHECK ( L1MI_ID IS NOT NULL),
    CONSTRAINT            L1MI_NAME_NN         CHECK ( L1MI_NAME IS NOT NULL),
    CONSTRAINT            L1MI_VERSION_NN     CHECK ( L1MI_VERSION IS NOT NULL),
    CONSTRAINT            L1MI_LOW_PT_NN         CHECK ( L1MI_LOW_PT IS NOT NULL),
    CONSTRAINT            L1MI_HIGH_PT_NN     CHECK ( L1MI_HIGH_PT IS NOT NULL),
    CONSTRAINT            L1MI_MAX_CAND_NN     CHECK ( L1MI_MAX_CAND IS NOT NULL)
);
CREATE TABLE L1_DEAD_TIME ( 
    L1DT_ID             NUMBER(10),
    L1DT_NAME             VARCHAR2(50),
    L1DT_VERSION             NUMBER(11),
    L1DT_SIMPLE             NUMBER(10),
    L1DT_COMPLEX1_RATE         NUMBER(10),
    L1DT_COMPLEX1_LEVEL        NUMBER(10),
    L1DT_COMPLEX2_RATE         NUMBER(10),
    L1DT_COMPLEX2_LEVEL        NUMBER(10),
    CONSTRAINT            L1DT_PK            PRIMARY KEY (L1DT_ID),
    CONSTRAINT             L1DT_NMVER        UNIQUE (L1DT_NAME, L1DT_VERSION),
    CONSTRAINT            L1DT_ID_NN         CHECK ( L1DT_ID IS NOT NULL),
    CONSTRAINT            L1DT_NAME_NN         CHECK ( L1DT_NAME IS NOT NULL),
    CONSTRAINT            L1DT_VERSION_NN     CHECK ( L1DT_VERSION IS NOT NULL),
    CONSTRAINT            L1DT_SIMPLE_NN         CHECK ( L1DT_SIMPLE IS NOT NULL),
    CONSTRAINT            L1DT_COMPLEX1_RATE_NN     CHECK ( L1DT_COMPLEX1_RATE IS NOT NULL),
    CONSTRAINT            L1DT_COMPLEX1_LEVEL_NN     CHECK ( L1DT_COMPLEX1_LEVEL IS NOT NULL),
    CONSTRAINT            L1DT_COMPLEX2_RATE_NN     CHECK ( L1DT_COMPLEX2_RATE IS NOT NULL),
    CONSTRAINT            L1DT_COMPLEX2_LEVEL_NN     CHECK ( L1DT_COMPLEX2_LEVEL IS NOT NULL)
);
CREATE TABLE L1_PRESCALED_CLOCK (
    L1PC_ID             NUMBER(10),
    L1PC_NAME             VARCHAR2(50),
    L1PC_VERSION             NUMBER(11),
    L1PC_CLOCK1             NUMBER(10),
    L1PC_CLOCK2             NUMBER(10),
    CONSTRAINT            PSC_PK            PRIMARY KEY (L1PC_ID),
    CONSTRAINT            PSC_NMVER        UNIQUE (L1PC_NAME, L1PC_VERSION),
    CONSTRAINT            L1PC_ID_NN         CHECK ( L1PC_ID IS NOT NULL),
    CONSTRAINT            L1PC_NAME_NN         CHECK ( L1PC_NAME IS NOT NULL),
    CONSTRAINT            L1PC_VERSION_NN     CHECK ( L1PC_VERSION IS NOT NULL),
    CONSTRAINT            L1PC_CLOCK1_NN         CHECK ( L1PC_CLOCK1 IS NOT NULL),
    CONSTRAINT            L1PC_CLOCK2_NN         CHECK ( L1PC_CLOCK2 IS NOT NULL)
);
CREATE TABLE L1_JET_INPUT (
    L1JI_ID             NUMBER(10),
    L1JI_NAME             VARCHAR2(50),
    L1JI_VERSION             NUMBER(11),
    L1JI_TYPE            VARCHAR2(6),
    L1JI_VALUE             NUMBER(10),
    L1JI_ETA_MIN             NUMBER(10),
    L1JI_ETA_MAX             NUMBER(10),
    L1JI_PHI_MIN             NUMBER(10),
    L1JI_PHI_MAX             NUMBER(10),
    CONSTRAINT            L1JI_PK            PRIMARY KEY (L1JI_ID),
    CONSTRAINT             L1JI_NMVER        UNIQUE (L1JI_NAME, L1JI_VERSION),
    CONSTRAINT            L1JI_ID_NN         CHECK ( L1JI_ID IS NOT NULL),
    CONSTRAINT            L1JI_NAME_NN         CHECK ( L1JI_NAME IS NOT NULL),
    CONSTRAINT            L1JI_VERSION_NN     CHECK ( L1JI_VERSION IS NOT NULL),
    CONSTRAINT            L1JI_TYPE_NN         CHECK ( L1JI_TYPE IS NOT NULL),
    CONSTRAINT            L1JI_VALUE_NN         CHECK ( L1JI_VALUE IS NOT NULL),
    CONSTRAINT            L1JI_ETA_MIN_NN     CHECK ( L1JI_ETA_MIN IS NOT NULL),
    CONSTRAINT            L1JI_ETA_MAX_NN     CHECK ( L1JI_ETA_MAX IS NOT NULL),
    CONSTRAINT            L1JI_PHI_MIN_NN     CHECK ( L1JI_PHI_MIN IS NOT NULL),
    CONSTRAINT            L1JI_PHI_MAX_NN     CHECK ( L1JI_PHI_MAX IS NOT NULL)
);
CREATE TABLE L1_CALO_SIN_COS (
    L1CSC_ID             NUMBER(10),
    L1CSC_NAME             VARCHAR2(50),
    L1CSC_VERSION             NUMBER(11),
    L1CSC_VAL1             NUMBER(10),
    L1CSC_VAL2             NUMBER(10),
    L1CSC_VAL3             NUMBER(10),
    L1CSC_VAL4             NUMBER(10),
    L1CSC_VAL5             NUMBER(10),
    L1CSC_VAL6             NUMBER(10),
    L1CSC_VAL7             NUMBER(10),
    L1CSC_VAL8             NUMBER(10),
    L1CSC_ETA_MIN             NUMBER(10),
    L1CSC_ETA_MAX             NUMBER(10),
    L1CSC_PHI_MIN             NUMBER(10),
    L1CSC_PHI_MAX             NUMBER(10),
    CONSTRAINT            L1CSC_PK        PRIMARY KEY (L1CSC_ID),
    CONSTRAINT            L1CSC_NMVER        UNIQUE (L1CSC_NAME, L1CSC_VERSION),
    CONSTRAINT            L1CSC_ID_NN         CHECK ( L1CSC_ID IS NOT NULL),
    CONSTRAINT            L1CSC_NAME_NN         CHECK ( L1CSC_NAME IS NOT NULL),
    CONSTRAINT            L1CSC_VERSION_NN     CHECK ( L1CSC_VERSION IS NOT NULL),
    CONSTRAINT            L1CSC_VAL1_NN         CHECK ( L1CSC_VAL1 IS NOT NULL),
    CONSTRAINT            L1CSC_VAL2_NN         CHECK ( L1CSC_VAL2 IS NOT NULL),
    CONSTRAINT            L1CSC_VAL3_NN         CHECK ( L1CSC_VAL3 IS NOT NULL),
    CONSTRAINT            L1CSC_VAL4_NN         CHECK ( L1CSC_VAL4 IS NOT NULL),
    CONSTRAINT            L1CSC_VAL5_NN         CHECK ( L1CSC_VAL5 IS NOT NULL),
    CONSTRAINT            L1CSC_VAL6_NN         CHECK ( L1CSC_VAL6 IS NOT NULL),
    CONSTRAINT            L1CSC_VAL7_NN         CHECK ( L1CSC_VAL7 IS NOT NULL),
    CONSTRAINT            L1CSC_VAL8_NN         CHECK ( L1CSC_VAL8 IS NOT NULL),
    CONSTRAINT            L1CSC_ETA_MIN_NN     CHECK ( L1CSC_ETA_MIN IS NOT NULL),
    CONSTRAINT            L1CSC_ETA_MAX_NN     CHECK ( L1CSC_ETA_MAX IS NOT NULL),
    CONSTRAINT            L1CSC_PHI_MIN_NN     CHECK ( L1CSC_PHI_MIN IS NOT NULL),
    CONSTRAINT            L1CSC_PHI_MAX_NN     CHECK ( L1CSC_PHI_MAX IS NOT NULL)
);
CREATE TABLE L1_BUNCH_GROUP_SET (
    L1BGS_ID              NUMBER(10),
    L1BGS_NAME            VARCHAR2(50),
    L1BGS_VERSION         NUMBER(11),
    L1BGS_COMMENT         VARCHAR2(200),
    L1BGS_USERNAME        VARCHAR2(50),
    L1BGS_MODIFIED_TIME   TIMESTAMP,
    --L1BGS_USED            CHAR
    L1BGS_PARTITION           NUMBER(1),     -- USE AS DISTINGUISHING PARAMETER
    CONSTRAINT            L1BGS_PK        PRIMARY KEY (L1BGS_ID),
    CONSTRAINT            L1BGS_NMVER        UNIQUE (L1BGS_NAME, L1BGS_VERSION),
    CONSTRAINT            L1BGS_ID_NN         CHECK ( L1BGS_ID IS NOT NULL),
    CONSTRAINT            L1BGS_NAME_NN         CHECK ( L1BGS_NAME IS NOT NULL),
    CONSTRAINT            L1BGS_VERSION_NN     CHECK ( L1BGS_VERSION IS NOT NULL),
    --CONSTRAINT            L1BGS2BG_USED_NN     CHECK ( L1BGS_USED IS NOT NULL)
    CONSTRAINT            L1BGS_PARTITION_NN     CHECK ( L1BGS_PARTITION IS NOT NULL)
);        
CREATE TABLE L1_BUNCH_GROUP (
    L1BG_ID                NUMBER(10),
    --L1BG_NAME             VARCHAR2(50),
    --L1BG_VERSION            NUMBER(11),
    --L1BG_COMMENT            VARCHAR2(200),
    L1BG_SIZE               NUMBER(4),
    CONSTRAINT            L1BG_PK            PRIMARY KEY (L1BG_ID),
    --CONSTRAINT             L1BG_NMVER        UNIQUE (L1BG_NAME, L1BG_VERSION),
    CONSTRAINT            L1BG_ID_NN         CHECK ( L1BG_ID IS NOT NULL),
    --CONSTRAINT            L1BG_NAME_NN         CHECK ( L1BG_NAME IS NOT NULL),
    --CONSTRAINT            L1BG_VERSION_NN     CHECK ( L1BG_VERSION IS NOT NULL),
    CONSTRAINT            L1BG_SIZE_NN     CHECK ( L1BG_SIZE IS NOT NULL)
);
CREATE TABLE L1_CTP_FILES ( 
    L1CF_ID             NUMBER(10),
    L1CF_NAME             VARCHAR2(50),
    L1CF_VERSION             NUMBER(11),
    L1CF_LUT            CLOB,
    L1CF_CAM            CLOB,    
    L1CF_MON_SEL_SLOT7        CLOB,
    L1CF_MON_SEL_SLOT8        CLOB,
    L1CF_MON_SEL_SLOT9        CLOB,
    L1CF_MON_SEL_CTPMON        CLOB,
    L1CF_MON_DEC_SLOT7        CLOB,
    L1CF_MON_DEC_SLOT8        CLOB,
    L1CF_MON_DEC_SLOT9        CLOB,
    L1CF_MON_DEC_CTPMON        CLOB,
    CONSTRAINT             L1CF_PK            PRIMARY KEY (L1CF_ID),
    CONSTRAINT             L1CF_NMVER        UNIQUE (L1CF_NAME, L1CF_VERSION),
    CONSTRAINT            L1CF_ID_NN         CHECK ( L1CF_ID IS NOT NULL),
    CONSTRAINT            L1CF_NAME_NN         CHECK ( L1CF_NAME IS NOT NULL),
    CONSTRAINT            L1CF_VERSION_NN     CHECK ( L1CF_VERSION IS NOT NULL)
);
CREATE TABLE L1_CTP_SMX (
    L1SMX_ID            NUMBER(10),
    L1SMX_NAME             VARCHAR2(50),
    L1SMX_VERSION            NUMBER(11),
    L1SMX_OUTPUT            CLOB,
    L1SMX_VHDL_SLOT7        CLOB,
    L1SMX_VHDL_SLOT8        CLOB,
    L1SMX_VHDL_SLOT9        CLOB,
    L1SMX_SVFI_SLOT7        CLOB,
    L1SMX_SVFI_SLOT8        CLOB,
    L1SMX_SVFI_SLOT9        CLOB,        
    CONSTRAINT            L1SMX_PK        PRIMARY KEY (L1SMX_ID),
    CONSTRAINT            L1SMX_NMVER        UNIQUE (L1SMX_NAME, L1SMX_VERSION),
    CONSTRAINT            L1SMX_ID_NN         CHECK ( L1SMX_ID IS NOT NULL),
    CONSTRAINT            L1SMX_NAME_NN         CHECK ( L1SMX_NAME IS NOT NULL),
    CONSTRAINT            L1SMX_VERSION_NN     CHECK ( L1SMX_VERSION IS NOT NULL)
); 
CREATE TABLE TOPO_OUTPUT_LIST (
    OL_ID 		NUMBER(10),
    OL_NAME		VARCHAR2(50),
    CONSTRAINT          OL_PK          PRIMARY KEY (OL_ID),    
    CONSTRAINT		OL_ID_NN	  CHECK ( OL_ID IS NOT NULL),
    CONSTRAINT		OL_NAME_NN	  CHECK ( OL_NAME IS NOT NULL)
);
CREATE TABLE L1_TRIGGER_MENU (
    L1TM_ID             NUMBER(10),
    L1TM_NAME             VARCHAR2(50),
    L1TM_VERSION             NUMBER(11),
    L1TM_PHASE             VARCHAR2(50),
    L1TM_CTP_SAFE            NUMBER(1),
    L1TM_CTP_FILES_ID        NUMBER(10),
    L1TM_CTP_SMX_ID            NUMBER(10),
    CONSTRAINT            L1TM_FK_CF        FOREIGN KEY (L1TM_CTP_FILES_ID)
                                REFERENCES L1_CTP_FILES(L1CF_ID),
    CONSTRAINT            L1TM_FK_SMX        FOREIGN KEY (L1TM_CTP_SMX_ID)
                                REFERENCES L1_CTP_SMX(L1SMX_ID),
    CONSTRAINT             L1TM_PK            PRIMARY KEY (L1TM_ID),
    CONSTRAINT             L1TM_NMVER        UNIQUE (L1TM_NAME, L1TM_VERSION),
    CONSTRAINT            L1TM_ID_NN         CHECK ( L1TM_ID IS NOT NULL),
    CONSTRAINT            L1TM_NAME_NN         CHECK ( L1TM_NAME IS NOT NULL),
    CONSTRAINT            L1TM_VERSION_NN     CHECK ( L1TM_VERSION IS NOT NULL),
    CONSTRAINT            L1TM_PHASE_NN         CHECK ( L1TM_PHASE IS NOT NULL),
    CONSTRAINT            L1TM_CTP_SAFE_NN     CHECK ( L1TM_CTP_SAFE IS NOT NULL)
);
CREATE INDEX L1TM_CTP_FILES_ID_IND ON L1_TRIGGER_MENU(L1TM_CTP_FILES_ID) COMPRESS 1;
CREATE INDEX L1TM_CTP_SMX_ID_IND   ON L1_TRIGGER_MENU(L1TM_CTP_SMX_ID) COMPRESS 1;
CREATE TABLE TOPO_L1_LINK (
    T2L1_ID            	NUMBER(10),
    T2L1_TOPO_ID	NUMBER(10),
    T2L1_L1_ID          NUMBER(10),
    CONSTRAINT          T2L1_PK          PRIMARY KEY (T2L1_ID),
    CONSTRAINT          OLID_FK_TM        FOREIGN KEY (T2L1_TOPO_ID)
                                REFERENCES TOPO_OUTPUT_LIST(OL_ID),
    CONSTRAINT          T2L1_TOPO_NN     CHECK ( T2L1_TOPO_ID IS NOT NULL),
    CONSTRAINT          L1TM_FK_TM        FOREIGN KEY (T2L1_L1_ID)
                                REFERENCES L1_TRIGGER_MENU(L1TM_ID),
    CONSTRAINT          T2L1_L1_NN     CHECK ( T2L1_L1_ID IS NOT NULL)
);
CREATE INDEX T2L1_TOPO_ID_IND ON TOPO_L1_LINK (T2L1_TOPO_ID) COMPRESS 1;
CREATE INDEX T2L1_L1_ID_IND ON TOPO_L1_LINK (T2L1_L1_ID) COMPRESS 1;
CREATE TABLE L1_TRIGGER_ITEM (
    L1TI_ID             NUMBER(10),     
    L1TI_NAME             VARCHAR2(250),     
    L1TI_VERSION             NUMBER(11),    
    L1TI_COMMENT            VARCHAR2(50),    
    L1TI_CTP_ID            NUMBER(10),     
    L1TI_PRIORITY            VARCHAR2(6),    
    L1TI_DEFINITION            VARCHAR2(128),    
    L1TI_GROUP            NUMBER(10),    
    L1TI_TRIGGER_TYPE        NUMBER(4),     
    L1TI_PARTITION           NUMBER(1),     
    L1TI_MONITOR	     VARCHAR2(15) DEFAULT '~',
    CONSTRAINT            L1TI_PK            PRIMARY KEY (L1TI_ID),
    CONSTRAINT            L1TI_NMVER        UNIQUE (L1TI_NAME, L1TI_VERSION),
    CONSTRAINT            L1TI_ID_NN         CHECK ( L1TI_ID IS NOT NULL),
    CONSTRAINT            L1TI_NAME_NN         CHECK ( L1TI_NAME IS NOT NULL),
    CONSTRAINT            L1TI_VERSION_NN     CHECK ( L1TI_VERSION IS NOT NULL),
    CONSTRAINT            L1TI_CTP_ID_NN         CHECK ( L1TI_CTP_ID IS NOT NULL),
    CONSTRAINT            L1TI_PRIORITY_NN     CHECK ( L1TI_PRIORITY IS NOT NULL),
    CONSTRAINT            L1TI_DEFINITION_NN     CHECK ( L1TI_DEFINITION IS NOT NULL),
    CONSTRAINT            L1TI_GROUP_NN         CHECK ( L1TI_GROUP IS NOT NULL),
    CONSTRAINT            L1TI_MONITOR_NN         CHECK ( L1TI_MONITOR IS NOT NULL)	
);
CREATE TABLE L1_TRIGGER_THRESHOLD (
    L1TT_ID                 NUMBER(10),
    L1TT_NAME               VARCHAR2(100),
    L1TT_VERSION            NUMBER(11),
    L1TT_TYPE               VARCHAR2(6),
    L1TT_BITNUM             NUMBER(10),
    L1TT_ACTIVE             NUMBER(1),
    L1TT_MAPPING            NUMBER(10),
    L1TT_BCDELAY            NUMBER(10),
    L1TT_SEED               VARCHAR2(50),
    L1TT_SEED_MULTI         NUMBER(10),
    CONSTRAINT            L1TT_PK             PRIMARY KEY (L1TT_ID),
    CONSTRAINT            L1TT_NMVER          UNIQUE (L1TT_NAME, L1TT_VERSION),
    CONSTRAINT            L1TT_ID_NN          CHECK ( L1TT_ID IS NOT NULL),
    CONSTRAINT            L1TT_NAME_NN        CHECK ( L1TT_NAME IS NOT NULL),
    CONSTRAINT            L1TT_VERSION_NN     CHECK ( L1TT_VERSION IS NOT NULL),
    CONSTRAINT            L1TT_TYPE_NN        CHECK ( L1TT_TYPE IS NOT NULL),
    CONSTRAINT            L1TT_BITNUM_NN      CHECK ( L1TT_BITNUM IS NOT NULL),
    CONSTRAINT            L1TT_MAPPING_NN     CHECK ( L1TT_MAPPING IS NOT NULL),   
    CONSTRAINT            L1TT_BCDELAY_NN     CHECK ( L1TT_BCDELAY IS NOT NULL),
    CONSTRAINT            L1TT_SEED_NN        CHECK ( L1TT_SEED IS NOT NULL),
    CONSTRAINT            L1TT_SEED_MULTI_NN  CHECK ( L1TT_SEED_MULTI IS NOT NULL)
);
CREATE TABLE L1_TRIGGER_THRESHOLD_VALUE (
    L1TTV_ID             NUMBER(10),
    L1TTV_NAME             VARCHAR2(50),
    L1TTV_VERSION             NUMBER(11),
    L1TTV_TYPE            VARCHAR2(10),
    L1TTV_PT_CUT             VARCHAR2(10),
    L1TTV_ETA_MIN             NUMBER(10),
    L1TTV_ETA_MAX             NUMBER(10),
    L1TTV_PHI_MIN             NUMBER(10),
    L1TTV_PHI_MAX             NUMBER(10),
    L1TTV_EM_ISOLATION         VARCHAR2(10),
    L1TTV_HAD_ISOLATION         VARCHAR2(10),
    L1TTV_HAD_VETO             VARCHAR2(10),
    L1TTV_WINDOW             NUMBER(10),
    L1TTV_PRIORITY            VARCHAR2(10),
    CONSTRAINT            L1TTV_PK        PRIMARY KEY (L1TTV_ID),
    CONSTRAINT            L1TTV_NMVER        UNIQUE (L1TTV_NAME, L1TTV_VERSION),
    CONSTRAINT            L1TTV_ID_NN         CHECK ( L1TTV_ID IS NOT NULL),
    CONSTRAINT            L1TTV_NAME_NN         CHECK ( L1TTV_NAME IS NOT NULL),
    CONSTRAINT            L1TTV_VERSION_NN     CHECK ( L1TTV_VERSION IS NOT NULL),
    CONSTRAINT            L1TTV_TYPE_NN         CHECK ( L1TTV_TYPE IS NOT NULL),
    CONSTRAINT            L1TTV_PT_CUT_NN     CHECK ( L1TTV_PT_CUT IS NOT NULL)
);
CREATE TABLE L1_CALO_MIN_TOB (
    L1CMT_ID                 NUMBER(10),
    L1CMT_THR_TYPE           VARCHAR2(20),
    L1CMT_WINDOW             NUMBER(3) DEFAULT 0,
    L1CMT_PT_MIN             NUMBER(6),
    L1CMT_ETA_MIN            NUMBER(3),
    L1CMT_ETA_MAX            NUMBER(3),
    L1CMT_PRIORITY           NUMBER(1),
    CONSTRAINT               L1CMT_PK                   PRIMARY KEY (L1CMT_ID),
    CONSTRAINT               L1CMT_ID_NN                CHECK (L1CMT_ID       IS NOT NULL),
    CONSTRAINT               L1CMT_THR_TYPE_NN          CHECK (L1CMT_THR_TYPE IS NOT NULL),
    CONSTRAINT               L1CMT_WINDOW_NN            CHECK (L1CMT_WINDOW   IS NOT NULL),
    CONSTRAINT               L1CMT_PT_MIN_NN            CHECK (L1CMT_PT_MIN   IS NOT NULL),
    CONSTRAINT               L1CMT_ETA_MIN_NN           CHECK (L1CMT_ETA_MIN  IS NOT NULL),
    CONSTRAINT               L1CMT_ETA_MAX_NN           CHECK (L1CMT_ETA_MAX  IS NOT NULL),
    CONSTRAINT               L1CMT_PRIORITY_NN          CHECK (L1CMT_PRIORITY IS NOT NULL)
);
CREATE TABLE L1_CALO_ISOPARAM (
    L1CIP_ID                 NUMBER(10),
    L1CIP_ISO_BIT            NUMBER(1) DEFAULT 0,
    L1CIP_OFFSET             NUMBER(6) DEFAULT 0,
    L1CIP_SLOPE              NUMBER(6) DEFAULT 0,
    L1CIP_MIN_CUT            NUMBER(6) DEFAULT 0,
    L1CIP_UPPER_LIMIT        NUMBER(6) DEFAULT 0,
    L1CIP_ETA_MIN            NUMBER(3) DEFAULT 0,
    L1CIP_ETA_MAX            NUMBER(3) DEFAULT 0,
    L1CIP_PRIORITY           NUMBER(1) DEFAULT 0,
    CONSTRAINT               L1CIP_PK                   PRIMARY KEY (L1CIP_ID),
    CONSTRAINT               L1CIP_ID_NN                CHECK (L1CIP_ID          IS NOT NULL),
    CONSTRAINT               L1CIP_ISO_BIT_NN           CHECK (L1CIP_ISO_BIT     IS NOT NULL),
    CONSTRAINT               L1CIP_OFFSET_NN            CHECK (L1CIP_OFFSET      IS NOT NULL),
    CONSTRAINT               L1CIP_SLOPE_NN             CHECK (L1CIP_SLOPE       IS NOT NULL),
    CONSTRAINT               L1CIP_MIN_CUT_NN           CHECK (L1CIP_MIN_CUT     IS NOT NULL),
    CONSTRAINT               L1CIP_UPPER_LIMIT_NN       CHECK (L1CIP_UPPER_LIMIT IS NOT NULL),
    CONSTRAINT               L1CIP_ETA_MIN_NN           CHECK (L1CIP_ETA_MIN     IS NOT NULL),
    CONSTRAINT               L1CIP_ETA_MAX_NN           CHECK (L1CIP_ETA_MAX     IS NOT NULL),
    CONSTRAINT               L1CIP_PRIORITY_NN          CHECK (L1CIP_PRIORITY    IS NOT NULL)
);
CREATE TABLE L1_CALO_ISOLATION (
    L1CIS_ID                 NUMBER(10),
    L1CIS_THR_TYPE           VARCHAR2(20),
    L1CIS_PAR1_ID            NUMBER(10),
    L1CIS_PAR2_ID            NUMBER(10),
    L1CIS_PAR3_ID            NUMBER(10),
    L1CIS_PAR4_ID            NUMBER(10),
    L1CIS_PAR5_ID            NUMBER(10),
    CONSTRAINT               L1CIS_PK                   PRIMARY KEY (L1CIS_ID),
    CONSTRAINT               L1CIS_FK_PAR1              FOREIGN KEY (L1CIS_PAR1_ID) REFERENCES L1_CALO_ISOPARAM(L1CIP_ID),
    CONSTRAINT               L1CIS_FK_PAR2              FOREIGN KEY (L1CIS_PAR2_ID) REFERENCES L1_CALO_ISOPARAM(L1CIP_ID),
    CONSTRAINT               L1CIS_FK_PAR3              FOREIGN KEY (L1CIS_PAR3_ID) REFERENCES L1_CALO_ISOPARAM(L1CIP_ID),
    CONSTRAINT               L1CIS_FK_PAR4              FOREIGN KEY (L1CIS_PAR4_ID) REFERENCES L1_CALO_ISOPARAM(L1CIP_ID),
    CONSTRAINT               L1CIS_FK_PAR5              FOREIGN KEY (L1CIS_PAR5_ID) REFERENCES L1_CALO_ISOPARAM(L1CIP_ID),
    CONSTRAINT               L1CIS_ID_NN                CHECK (L1CIS_ID       IS NOT NULL),
    CONSTRAINT               L1CIS_THR_TYPE_NN          CHECK (L1CIS_THR_TYPE IS NOT NULL),
    CONSTRAINT               L1CIS_PAR1_ID_NN           CHECK (L1CIS_PAR1_ID  IS NOT NULL),
    CONSTRAINT               L1CIS_PAR2_ID_NN           CHECK (L1CIS_PAR2_ID  IS NOT NULL),
    CONSTRAINT               L1CIS_PAR3_ID_NN           CHECK (L1CIS_PAR3_ID  IS NOT NULL),
    CONSTRAINT               L1CIS_PAR4_ID_NN           CHECK (L1CIS_PAR4_ID  IS NOT NULL),
    CONSTRAINT               L1CIS_PAR5_ID_NN           CHECK (L1CIS_PAR5_ID  IS NOT NULL)
);
CREATE INDEX L1CIS_PAR1_ID_IND ON L1_CALO_ISOLATION(L1CIS_PAR1_ID) COMPRESS 1;
CREATE INDEX L1CIS_PAR2_ID_IND ON L1_CALO_ISOLATION(L1CIS_PAR2_ID) COMPRESS 1;
CREATE INDEX L1CIS_PAR3_ID_IND ON L1_CALO_ISOLATION(L1CIS_PAR3_ID) COMPRESS 1;
CREATE INDEX L1CIS_PAR4_ID_IND ON L1_CALO_ISOLATION(L1CIS_PAR4_ID) COMPRESS 1;
CREATE INDEX L1CIS_PAR5_ID_IND ON L1_CALO_ISOLATION(L1CIS_PAR5_ID) COMPRESS 1;
CREATE TABLE L1_CALO_INFO (
    L1CI_ID                  NUMBER(10),  
    L1CI_NAME                VARCHAR2(50),
    L1CI_VERSION             NUMBER(11),
    L1CI_MIN_TOB_EM          NUMBER(10),
    L1CI_MIN_TOB_TAU         NUMBER(10),
    L1CI_MIN_TOB_JETS        NUMBER(10),
    L1CI_MIN_TOB_JETL        NUMBER(10),
    L1CI_ISO_HA_EM           NUMBER(10),
    L1CI_ISO_EM_EM           NUMBER(10),
    L1CI_ISO_EM_TAU          NUMBER(10),
    L1CI_GLOBAL_JET_SCALE    NUMBER(4,2) DEFAULT 1,
    L1CI_GLOBAL_EM_SCALE     NUMBER(4,2) DEFAULT 1,
    L1CI_XS_SIGMA_SCALE      NUMBER(10) DEFAULT 0,
    L1CI_XS_SIGMA_OFFSET     NUMBER(10) DEFAULT 0,
    L1CI_XS_XE_MIN           NUMBER(3) DEFAULT 0,
    L1CI_XS_XE_MAX           NUMBER(3) DEFAULT 0,
    L1CI_XS_TESQRT_MIN       NUMBER(3) DEFAULT 0,
    L1CI_XS_TESQRT_MAX       NUMBER(3) DEFAULT 0,
    L1CI_XE_RED_ETA_MIN      NUMBER(4) DEFAULT 0,
    L1CI_XE_RED_ETA_MAX      NUMBER(4) DEFAULT 0,
    CONSTRAINT               L1CI_PK                  PRIMARY KEY (L1CI_ID),
    CONSTRAINT               L1CI_FK_MIN_TOB_EM       FOREIGN KEY (L1CI_MIN_TOB_EM)   REFERENCES L1_CALO_MIN_TOB(L1CMT_ID),
    CONSTRAINT               L1CI_FK_MIN_TOB_TAU      FOREIGN KEY (L1CI_MIN_TOB_TAU)  REFERENCES L1_CALO_MIN_TOB(L1CMT_ID),
    CONSTRAINT               L1CI_FK_MIN_TOB_JETS     FOREIGN KEY (L1CI_MIN_TOB_JETS) REFERENCES L1_CALO_MIN_TOB(L1CMT_ID),
    CONSTRAINT               L1CI_FK_MIN_TOB_JETSL    FOREIGN KEY (L1CI_MIN_TOB_JETL) REFERENCES L1_CALO_MIN_TOB(L1CMT_ID),
    CONSTRAINT               L1CI_FK_ISO_HA_EM        FOREIGN KEY (L1CI_ISO_HA_EM)  REFERENCES L1_CALO_ISOLATION(L1CIS_ID),
    CONSTRAINT               L1CI_FK_ISO_EM_EM        FOREIGN KEY (L1CI_ISO_EM_EM)  REFERENCES L1_CALO_ISOLATION(L1CIS_ID),
    CONSTRAINT               L1CI_FK_ISO_EM_TAU       FOREIGN KEY (L1CI_ISO_EM_TAU) REFERENCES L1_CALO_ISOLATION(L1CIS_ID),
    CONSTRAINT               L1CI_ID_NN               CHECK (L1CI_ID IS NOT NULL),
    CONSTRAINT               L1CI_NAME_NN             CHECK (L1CI_NAME IS NOT NULL),
    CONSTRAINT               L1CI_VERSION_NN          CHECK (L1CI_VERSION IS NOT NULL),
    CONSTRAINT               L1CI_MIN_TOB_EM_NN       CHECK (L1CI_MIN_TOB_EM   IS NOT NULL),
    CONSTRAINT               L1CI_MIN_TOB_TAU_NN      CHECK (L1CI_MIN_TOB_TAU  IS NOT NULL),
    CONSTRAINT               L1CI_MIN_TOB_JETS_NN     CHECK (L1CI_MIN_TOB_JETS IS NOT NULL),
    CONSTRAINT               L1CI_MIN_TOB_JETL_NN     CHECK (L1CI_MIN_TOB_JETL IS NOT NULL),
    CONSTRAINT               L1CI_ISO_HA_EM_NN        CHECK (L1CI_ISO_HA_EM  IS NOT NULL),
    CONSTRAINT               L1CI_ISO_EM_EM_NN        CHECK (L1CI_ISO_EM_EM  IS NOT NULL),
    CONSTRAINT               L1CI_ISO_EM_TAU_NN       CHECK (L1CI_ISO_EM_TAU IS NOT NULL),
    CONSTRAINT               L1CI_GLOBAL_JET_SCALE_NN CHECK (L1CI_GLOBAL_JET_SCALE IS NOT NULL),
    CONSTRAINT               L1CI_GLOBAL_EM_SCALE_NN  CHECK (L1CI_GLOBAL_EM_SCALE  IS NOT NULL),
    CONSTRAINT               L1CI_XS_SIGMA_SCALE_NN   CHECK (L1CI_XS_SIGMA_SCALE  IS NOT NULL),
    CONSTRAINT               L1CI_XS_SIGMA_OFFSET_NN  CHECK (L1CI_XS_SIGMA_OFFSET IS NOT NULL),
    CONSTRAINT               L1CI_XS_XE_MIN_NN        CHECK (L1CI_XS_XE_MIN       IS NOT NULL),
    CONSTRAINT               L1CI_XS_XE_MAX_NN        CHECK (L1CI_XS_XE_MAX       IS NOT NULL),
    CONSTRAINT               L1CI_XS_TESQRT_MIN_NN    CHECK (L1CI_XS_TESQRT_MIN   IS NOT NULL),
    CONSTRAINT               L1CI_XS_TESQRT_MAX_NN    CHECK (L1CI_XS_TESQRT_MAX   IS NOT NULL),
    CONSTRAINT               L1CI_XE_RED_ETA_MIN_NN   CHECK (L1CI_XE_RED_ETA_MIN  IS NOT NULL),
    CONSTRAINT               L1CI_XE_RED_ETA_MAX_NN   CHECK (L1CI_XE_RED_ETA_MAX  IS NOT NULL)
);    
CREATE INDEX L1CI_MIN_TOB_EM_IND ON L1_CALO_INFO(L1CI_MIN_TOB_EM) COMPRESS 1;
CREATE INDEX L1CI_MIN_TOB_TAU_IND ON L1_CALO_INFO(L1CI_MIN_TOB_TAU) COMPRESS 1;
CREATE INDEX L1CI_MIN_TOB_JETS_IND ON L1_CALO_INFO(L1CI_MIN_TOB_JETS) COMPRESS 1;
CREATE INDEX L1CI_MIN_TOB_JETL_IND ON L1_CALO_INFO(L1CI_MIN_TOB_JETL) COMPRESS 1;
CREATE INDEX L1CI_ISO_HA_EM_IND ON L1_CALO_INFO(L1CI_ISO_HA_EM) COMPRESS 1;
CREATE INDEX L1CI_ISO_EM_EM_IND ON L1_CALO_INFO(L1CI_ISO_EM_EM) COMPRESS 1;
CREATE INDEX L1CI_ISO_EM_TAU_IND ON L1_CALO_INFO(L1CI_ISO_EM_TAU) COMPRESS 1;
CREATE TABLE L1_MUON_THRESHOLD_SET (
    L1MTS_ID                    NUMBER(10), 
    L1MTS_NAME                    VARCHAR2(200),
    L1MTS_VERSION                    NUMBER(11),    
    L1MTS_RPC_AVAILABLE               NUMBER(1) DEFAULT 0,    
    L1MTS_RPC_AVAILABLE_ONLINE         NUMBER(1) DEFAULT 0,    
    L1MTS_RPC_SET_EXT_ID         NUMBER(10) DEFAULT 0,     
    L1MTS_RPC_SET_NAME         VARCHAR2(200) DEFAULT '',     
    L1MTS_RPC_PT1_EXT_ID         NUMBER(10) DEFAULT 0,     
    L1MTS_RPC_PT2_EXT_ID         NUMBER(10) DEFAULT 0,     
    L1MTS_RPC_PT3_EXT_ID         NUMBER(10) DEFAULT 0,     
    L1MTS_RPC_PT4_EXT_ID         NUMBER(10) DEFAULT 0,     
    L1MTS_RPC_PT5_EXT_ID         NUMBER(10) DEFAULT 0,     
    L1MTS_RPC_PT6_EXT_ID         NUMBER(10) DEFAULT 0,     
    L1MTS_TGC_AVAILABLE          NUMBER(1) DEFAULT 0,    
    L1MTS_TGC_AVAILABLE_ONLINE     NUMBER(1) DEFAULT 0,      
        L1MTS_TGC_SET_EXT_ID         NUMBER(10) DEFAULT 0,     
        L1MTS_TGC_SET_NAME         VARCHAR2(200) DEFAULT '',     
    CONSTRAINT             L1MTS_PK        PRIMARY KEY (L1MTS_ID),
    CONSTRAINT              L1MTS_NMVER        UNIQUE (L1MTS_NAME, L1MTS_VERSION),
    CONSTRAINT            L1MTS_ID_NN         CHECK ( L1MTS_ID IS NOT NULL),
    CONSTRAINT            L1MTS_NAME_NN         CHECK ( L1MTS_NAME IS NOT NULL),
    CONSTRAINT            L1MTS_VERSION_NN     CHECK ( L1MTS_VERSION IS NOT NULL),
    CONSTRAINT            L1MTS_RPC_AVAIL_NN     CHECK ( L1MTS_RPC_AVAILABLE IS NOT NULL),
    CONSTRAINT            L1MTS_RPC_AVAIL_ONL_NN     CHECK ( L1MTS_RPC_AVAILABLE_ONLINE IS NOT NULL),
    CONSTRAINT            L1MTS_RPC_SET_EXT_ID_NN CHECK ( L1MTS_RPC_SET_EXT_ID IS NOT NULL),
    CONSTRAINT            L1MTS_RPC_SET_NAME_NN     CHECK ( L1MTS_RPC_SET_NAME IS NOT NULL),
    CONSTRAINT            L1MTS_RPC_PT1_EXT_ID_NN CHECK ( L1MTS_RPC_PT1_EXT_ID IS NOT NULL),
    CONSTRAINT            L1MTS_RPC_PT2_EXT_ID_NN CHECK ( L1MTS_RPC_PT2_EXT_ID IS NOT NULL),
    CONSTRAINT            L1MTS_RPC_PT3_EXT_ID_NN CHECK ( L1MTS_RPC_PT3_EXT_ID IS NOT NULL),
    CONSTRAINT            L1MTS_RPC_PT4_EXT_ID_NN CHECK ( L1MTS_RPC_PT4_EXT_ID IS NOT NULL),
    CONSTRAINT            L1MTS_RPC_PT5_EXT_ID_NN CHECK ( L1MTS_RPC_PT5_EXT_ID IS NOT NULL),
    CONSTRAINT            L1MTS_RPC_PT6_EXT_ID_NN CHECK ( L1MTS_RPC_PT6_EXT_ID IS NOT NULL),
    CONSTRAINT            L1MTS_TGC_AVAIL_NN     CHECK ( L1MTS_TGC_AVAILABLE IS NOT NULL),
    CONSTRAINT            L1MTS_TGC_AVAIL_ONL_NN     CHECK ( L1MTS_TGC_AVAILABLE_ONLINE IS NOT NULL),
    CONSTRAINT            L1MTS_TGC_SET_EXT_ID_NN CHECK ( L1MTS_TGC_SET_EXT_ID IS NOT NULL),
    CONSTRAINT            L1MTS_TGC_SET_NAME_NN     CHECK ( L1MTS_TGC_SET_NAME IS NOT NULL)
);
CREATE TABLE L1_PRESCALE_SET (
    L1PS_ID             NUMBER(10),
    L1PS_NAME           VARCHAR2(65),
    L1PS_VERSION        NUMBER(11),
    L1PS_COMMENT        VARCHAR2(200),
    L1PS_LUMI           VARCHAR2(10),
    L1PS_SHIFT_SAFE     NUMBER(1),
    L1PS_DEFAULT        NUMBER(1),
    L1PS_PARTITION      NUMBER(1),     
    L1PS_TYPE           VARCHAR2(200),     
    L1PS_VAL1           NUMBER(12),
    L1PS_VAL2           NUMBER(12),
    L1PS_VAL3           NUMBER(12),
    L1PS_VAL4           NUMBER(12),
    L1PS_VAL5           NUMBER(12),
    L1PS_VAL6           NUMBER(12),
    L1PS_VAL7           NUMBER(12),
    L1PS_VAL8           NUMBER(12),
    L1PS_VAL9           NUMBER(12),
    L1PS_VAL10          NUMBER(12),
    L1PS_VAL11          NUMBER(12),
    L1PS_VAL12          NUMBER(12),
    L1PS_VAL13          NUMBER(12),
    L1PS_VAL14          NUMBER(12),
    L1PS_VAL15          NUMBER(12),
    L1PS_VAL16          NUMBER(12),
    L1PS_VAL17          NUMBER(12),
    L1PS_VAL18          NUMBER(12),
    L1PS_VAL19          NUMBER(12),
    L1PS_VAL20          NUMBER(12),
    L1PS_VAL21          NUMBER(12),
    L1PS_VAL22          NUMBER(12),
    L1PS_VAL23          NUMBER(12),
    L1PS_VAL24          NUMBER(12),
    L1PS_VAL25            NUMBER(12),
    L1PS_VAL26            NUMBER(12),
    L1PS_VAL27            NUMBER(12),
    L1PS_VAL28            NUMBER(12),
    L1PS_VAL29            NUMBER(12),
    L1PS_VAL30            NUMBER(12),
    L1PS_VAL31            NUMBER(12),
    L1PS_VAL32            NUMBER(12),
    L1PS_VAL33            NUMBER(12),
    L1PS_VAL34            NUMBER(12),
    L1PS_VAL35            NUMBER(12),
    L1PS_VAL36            NUMBER(12),
    L1PS_VAL37            NUMBER(12),
    L1PS_VAL38            NUMBER(12),
    L1PS_VAL39            NUMBER(12),
    L1PS_VAL40            NUMBER(12),
    L1PS_VAL41            NUMBER(12),
    L1PS_VAL42            NUMBER(12),
    L1PS_VAL43            NUMBER(12),
    L1PS_VAL44            NUMBER(12),
    L1PS_VAL45            NUMBER(12),
    L1PS_VAL46            NUMBER(12),
    L1PS_VAL47            NUMBER(12),
    L1PS_VAL48            NUMBER(12),
    L1PS_VAL49            NUMBER(12),
    L1PS_VAL50            NUMBER(12),
    L1PS_VAL51            NUMBER(12),
    L1PS_VAL52            NUMBER(12),
    L1PS_VAL53            NUMBER(12),
    L1PS_VAL54            NUMBER(12),
    L1PS_VAL55            NUMBER(12),
    L1PS_VAL56            NUMBER(12),
    L1PS_VAL57            NUMBER(12),
    L1PS_VAL58            NUMBER(12),
    L1PS_VAL59            NUMBER(12),
    L1PS_VAL60            NUMBER(12),
    L1PS_VAL61            NUMBER(12),
    L1PS_VAL62            NUMBER(12),
    L1PS_VAL63            NUMBER(12),
    L1PS_VAL64            NUMBER(12),
    L1PS_VAL65            NUMBER(12),
    L1PS_VAL66            NUMBER(12),
    L1PS_VAL67            NUMBER(12),
    L1PS_VAL68            NUMBER(12),
    L1PS_VAL69            NUMBER(12),
    L1PS_VAL70            NUMBER(12),
    L1PS_VAL71            NUMBER(12),
    L1PS_VAL72            NUMBER(12),
    L1PS_VAL73            NUMBER(12),
    L1PS_VAL74            NUMBER(12),
    L1PS_VAL75            NUMBER(12),
    L1PS_VAL76            NUMBER(12),
    L1PS_VAL77            NUMBER(12),
    L1PS_VAL78            NUMBER(12),
    L1PS_VAL79            NUMBER(12),
    L1PS_VAL80            NUMBER(12),
    L1PS_VAL81            NUMBER(12),
    L1PS_VAL82            NUMBER(12),
    L1PS_VAL83            NUMBER(12),
    L1PS_VAL84            NUMBER(12),
    L1PS_VAL85            NUMBER(12),
    L1PS_VAL86            NUMBER(12),
    L1PS_VAL87            NUMBER(12),
    L1PS_VAL88            NUMBER(12),
    L1PS_VAL89            NUMBER(12),
    L1PS_VAL90            NUMBER(12),
    L1PS_VAL91            NUMBER(12),
    L1PS_VAL92            NUMBER(12),
    L1PS_VAL93            NUMBER(12),
    L1PS_VAL94            NUMBER(12),
    L1PS_VAL95            NUMBER(12),
    L1PS_VAL96            NUMBER(12),
    L1PS_VAL97            NUMBER(12),
    L1PS_VAL98            NUMBER(12),
    L1PS_VAL99            NUMBER(12),
    L1PS_VAL100            NUMBER(12),
    L1PS_VAL101            NUMBER(12),
    L1PS_VAL102            NUMBER(12),
    L1PS_VAL103            NUMBER(12),
    L1PS_VAL104            NUMBER(12),
    L1PS_VAL105            NUMBER(12),
    L1PS_VAL106            NUMBER(12),
    L1PS_VAL107            NUMBER(12),
    L1PS_VAL108            NUMBER(12),
    L1PS_VAL109            NUMBER(12),
    L1PS_VAL110            NUMBER(12),
    L1PS_VAL111            NUMBER(12),
    L1PS_VAL112            NUMBER(12),
    L1PS_VAL113            NUMBER(12),
    L1PS_VAL114            NUMBER(12),
    L1PS_VAL115            NUMBER(12),
    L1PS_VAL116            NUMBER(12),
    L1PS_VAL117            NUMBER(12),
    L1PS_VAL118            NUMBER(12),
    L1PS_VAL119            NUMBER(12),
    L1PS_VAL120            NUMBER(12),
    L1PS_VAL121            NUMBER(12),
    L1PS_VAL122            NUMBER(12),
    L1PS_VAL123            NUMBER(12),
    L1PS_VAL124            NUMBER(12),
    L1PS_VAL125            NUMBER(12),
    L1PS_VAL126            NUMBER(12),
    L1PS_VAL127            NUMBER(12),
    L1PS_VAL128            NUMBER(12),
    L1PS_VAL129            NUMBER(12),
    L1PS_VAL130            NUMBER(12),
    L1PS_VAL131            NUMBER(12),
    L1PS_VAL132            NUMBER(12),
    L1PS_VAL133            NUMBER(12),
    L1PS_VAL134            NUMBER(12),
    L1PS_VAL135            NUMBER(12),
    L1PS_VAL136            NUMBER(12),
    L1PS_VAL137            NUMBER(12),
    L1PS_VAL138            NUMBER(12),
    L1PS_VAL139            NUMBER(12),
    L1PS_VAL140            NUMBER(12),
    L1PS_VAL141            NUMBER(12),
    L1PS_VAL142            NUMBER(12),
    L1PS_VAL143            NUMBER(12),
    L1PS_VAL144            NUMBER(12),
    L1PS_VAL145            NUMBER(12),
    L1PS_VAL146            NUMBER(12),
    L1PS_VAL147            NUMBER(12),
    L1PS_VAL148            NUMBER(12),
    L1PS_VAL149            NUMBER(12),
    L1PS_VAL150            NUMBER(12),    
    L1PS_VAL151            NUMBER(12),
    L1PS_VAL152            NUMBER(12),    
    L1PS_VAL153            NUMBER(12),    
    L1PS_VAL154            NUMBER(12),    
    L1PS_VAL155            NUMBER(12),    
    L1PS_VAL156            NUMBER(12),    
    L1PS_VAL157            NUMBER(12),    
    L1PS_VAL158            NUMBER(12),    
    L1PS_VAL159            NUMBER(12),    
    L1PS_VAL160            NUMBER(12),    
    L1PS_VAL161            NUMBER(12),    
    L1PS_VAL162            NUMBER(12),    
    L1PS_VAL163            NUMBER(12),    
    L1PS_VAL164            NUMBER(12),    
    L1PS_VAL165            NUMBER(12),    
    L1PS_VAL166            NUMBER(12),    
    L1PS_VAL167            NUMBER(12),    
    L1PS_VAL168            NUMBER(12),    
    L1PS_VAL169            NUMBER(12),    
    L1PS_VAL170            NUMBER(12),    
    L1PS_VAL171            NUMBER(12),    
    L1PS_VAL172            NUMBER(12),    
    L1PS_VAL173            NUMBER(12),    
    L1PS_VAL174            NUMBER(12),    
    L1PS_VAL175            NUMBER(12),    
    L1PS_VAL176            NUMBER(12),    
    L1PS_VAL177            NUMBER(12),    
    L1PS_VAL178            NUMBER(12),    
    L1PS_VAL179            NUMBER(12),    
    L1PS_VAL180            NUMBER(12),    
    L1PS_VAL181            NUMBER(12),    
    L1PS_VAL182            NUMBER(12),    
    L1PS_VAL183            NUMBER(12),    
    L1PS_VAL184            NUMBER(12),    
    L1PS_VAL185            NUMBER(12),    
    L1PS_VAL186            NUMBER(12),    
    L1PS_VAL187            NUMBER(12),    
    L1PS_VAL188            NUMBER(12),    
    L1PS_VAL189            NUMBER(12),    
    L1PS_VAL190            NUMBER(12),    
    L1PS_VAL191            NUMBER(12),    
    L1PS_VAL192            NUMBER(12),    
    L1PS_VAL193            NUMBER(12),    
    L1PS_VAL194            NUMBER(12),    
    L1PS_VAL195            NUMBER(12),    
    L1PS_VAL196            NUMBER(12),    
    L1PS_VAL197            NUMBER(12),    
    L1PS_VAL198            NUMBER(12),    
    L1PS_VAL199            NUMBER(12),
    L1PS_VAL200            NUMBER(12),
    L1PS_VAL201            NUMBER(12),
    L1PS_VAL202            NUMBER(12),
    L1PS_VAL203            NUMBER(12),
    L1PS_VAL204            NUMBER(12),
    L1PS_VAL205            NUMBER(12),
    L1PS_VAL206            NUMBER(12),
    L1PS_VAL207            NUMBER(12),
    L1PS_VAL208            NUMBER(12),
    L1PS_VAL209            NUMBER(12),
    L1PS_VAL210            NUMBER(12),
    L1PS_VAL211            NUMBER(12),
    L1PS_VAL212            NUMBER(12),
    L1PS_VAL213            NUMBER(12),
    L1PS_VAL214            NUMBER(12),
    L1PS_VAL215            NUMBER(12),
    L1PS_VAL216            NUMBER(12),
    L1PS_VAL217            NUMBER(12),
    L1PS_VAL218            NUMBER(12),
    L1PS_VAL219            NUMBER(12),
    L1PS_VAL220            NUMBER(12),
    L1PS_VAL221            NUMBER(12),
    L1PS_VAL222            NUMBER(12),
    L1PS_VAL223            NUMBER(12),
    L1PS_VAL224            NUMBER(12),
    L1PS_VAL225            NUMBER(12),
    L1PS_VAL226            NUMBER(12),
    L1PS_VAL227            NUMBER(12),
    L1PS_VAL228            NUMBER(12),
    L1PS_VAL229            NUMBER(12),
    L1PS_VAL230            NUMBER(12),    
    L1PS_VAL231            NUMBER(12),    
    L1PS_VAL232            NUMBER(12),    
    L1PS_VAL233            NUMBER(12),    
    L1PS_VAL234            NUMBER(12),    
    L1PS_VAL235            NUMBER(12),    
    L1PS_VAL236            NUMBER(12),    
    L1PS_VAL237            NUMBER(12),    
    L1PS_VAL238            NUMBER(12),    
    L1PS_VAL239            NUMBER(12),    
    L1PS_VAL240            NUMBER(12),    
    L1PS_VAL241            NUMBER(12),    
    L1PS_VAL242            NUMBER(12),    
    L1PS_VAL243            NUMBER(12),    
    L1PS_VAL244            NUMBER(12),    
    L1PS_VAL245            NUMBER(12),    
    L1PS_VAL246            NUMBER(12),    
    L1PS_VAL247            NUMBER(12),    
    L1PS_VAL248            NUMBER(12),    
    L1PS_VAL249            NUMBER(12),    
    L1PS_VAL250            NUMBER(12),    
    L1PS_VAL251            NUMBER(12),    
    L1PS_VAL252            NUMBER(12),    
    L1PS_VAL253            NUMBER(12),    
    L1PS_VAL254            NUMBER(12),    
    L1PS_VAL255            NUMBER(12),    
    L1PS_VAL256            NUMBER(12),
    L1PS_VAL257 NUMBER(12), 
    L1PS_VAL258 NUMBER(12), 
    L1PS_VAL259 NUMBER(12), 
    L1PS_VAL260 NUMBER(12), 
    L1PS_VAL261 NUMBER(12), 
    L1PS_VAL262 NUMBER(12), 
    L1PS_VAL263 NUMBER(12), 
    L1PS_VAL264 NUMBER(12), 
    L1PS_VAL265 NUMBER(12), 
    L1PS_VAL266 NUMBER(12), 
    L1PS_VAL267 NUMBER(12), 
    L1PS_VAL268 NUMBER(12), 
    L1PS_VAL269 NUMBER(12), 
    L1PS_VAL270 NUMBER(12), 
    L1PS_VAL271 NUMBER(12), 
    L1PS_VAL272 NUMBER(12), 
    L1PS_VAL273 NUMBER(12), 
    L1PS_VAL274 NUMBER(12), 
    L1PS_VAL275 NUMBER(12), 
    L1PS_VAL276 NUMBER(12), 
    L1PS_VAL277 NUMBER(12), 
    L1PS_VAL278 NUMBER(12), 
    L1PS_VAL279 NUMBER(12), 
    L1PS_VAL280 NUMBER(12), 
    L1PS_VAL281 NUMBER(12), 
    L1PS_VAL282 NUMBER(12), 
    L1PS_VAL283 NUMBER(12), 
    L1PS_VAL284 NUMBER(12), 
    L1PS_VAL285 NUMBER(12), 
    L1PS_VAL286 NUMBER(12), 
    L1PS_VAL287 NUMBER(12), 
    L1PS_VAL288 NUMBER(12), 
    L1PS_VAL289 NUMBER(12), 
    L1PS_VAL290 NUMBER(12), 
    L1PS_VAL291 NUMBER(12), 
    L1PS_VAL292 NUMBER(12), 
    L1PS_VAL293 NUMBER(12), 
    L1PS_VAL294 NUMBER(12), 
    L1PS_VAL295 NUMBER(12), 
    L1PS_VAL296 NUMBER(12), 
    L1PS_VAL297 NUMBER(12), 
    L1PS_VAL298 NUMBER(12), 
    L1PS_VAL299 NUMBER(12), 
    L1PS_VAL300 NUMBER(12), 
    L1PS_VAL301 NUMBER(12), 
    L1PS_VAL302 NUMBER(12), 
    L1PS_VAL303 NUMBER(12), 
    L1PS_VAL304 NUMBER(12), 
    L1PS_VAL305 NUMBER(12), 
    L1PS_VAL306 NUMBER(12), 
    L1PS_VAL307 NUMBER(12), 
    L1PS_VAL308 NUMBER(12), 
    L1PS_VAL309 NUMBER(12), 
    L1PS_VAL310 NUMBER(12), 
    L1PS_VAL311 NUMBER(12), 
    L1PS_VAL312 NUMBER(12), 
    L1PS_VAL313 NUMBER(12), 
    L1PS_VAL314 NUMBER(12), 
    L1PS_VAL315 NUMBER(12), 
    L1PS_VAL316 NUMBER(12), 
    L1PS_VAL317 NUMBER(12), 
    L1PS_VAL318 NUMBER(12), 
    L1PS_VAL319 NUMBER(12), 
    L1PS_VAL320 NUMBER(12), 
    L1PS_VAL321 NUMBER(12), 
    L1PS_VAL322 NUMBER(12), 
    L1PS_VAL323 NUMBER(12), 
    L1PS_VAL324 NUMBER(12), 
    L1PS_VAL325 NUMBER(12), 
    L1PS_VAL326 NUMBER(12), 
    L1PS_VAL327 NUMBER(12), 
    L1PS_VAL328 NUMBER(12), 
    L1PS_VAL329 NUMBER(12), 
    L1PS_VAL330 NUMBER(12), 
    L1PS_VAL331 NUMBER(12), 
    L1PS_VAL332 NUMBER(12), 
    L1PS_VAL333 NUMBER(12), 
    L1PS_VAL334 NUMBER(12), 
    L1PS_VAL335 NUMBER(12), 
    L1PS_VAL336 NUMBER(12), 
    L1PS_VAL337 NUMBER(12), 
    L1PS_VAL338 NUMBER(12), 
    L1PS_VAL339 NUMBER(12), 
    L1PS_VAL340 NUMBER(12), 
    L1PS_VAL341 NUMBER(12), 
    L1PS_VAL342 NUMBER(12), 
    L1PS_VAL343 NUMBER(12), 
    L1PS_VAL344 NUMBER(12), 
    L1PS_VAL345 NUMBER(12), 
    L1PS_VAL346 NUMBER(12), 
    L1PS_VAL347 NUMBER(12), 
    L1PS_VAL348 NUMBER(12), 
    L1PS_VAL349 NUMBER(12), 
    L1PS_VAL350 NUMBER(12), 
    L1PS_VAL351 NUMBER(12), 
    L1PS_VAL352 NUMBER(12), 
    L1PS_VAL353 NUMBER(12), 
    L1PS_VAL354 NUMBER(12), 
    L1PS_VAL355 NUMBER(12), 
    L1PS_VAL356 NUMBER(12), 
    L1PS_VAL357 NUMBER(12), 
    L1PS_VAL358 NUMBER(12), 
    L1PS_VAL359 NUMBER(12), 
    L1PS_VAL360 NUMBER(12), 
    L1PS_VAL361 NUMBER(12), 
    L1PS_VAL362 NUMBER(12), 
    L1PS_VAL363 NUMBER(12), 
    L1PS_VAL364 NUMBER(12), 
    L1PS_VAL365 NUMBER(12), 
    L1PS_VAL366 NUMBER(12), 
    L1PS_VAL367 NUMBER(12), 
    L1PS_VAL368 NUMBER(12), 
    L1PS_VAL369 NUMBER(12), 
    L1PS_VAL370 NUMBER(12), 
    L1PS_VAL371 NUMBER(12), 
    L1PS_VAL372 NUMBER(12), 
    L1PS_VAL373 NUMBER(12), 
    L1PS_VAL374 NUMBER(12), 
    L1PS_VAL375 NUMBER(12), 
    L1PS_VAL376 NUMBER(12), 
    L1PS_VAL377 NUMBER(12), 
    L1PS_VAL378 NUMBER(12), 
    L1PS_VAL379 NUMBER(12), 
    L1PS_VAL380 NUMBER(12), 
    L1PS_VAL381 NUMBER(12), 
    L1PS_VAL382 NUMBER(12), 
    L1PS_VAL383 NUMBER(12), 
    L1PS_VAL384 NUMBER(12), 
    L1PS_VAL385 NUMBER(12), 
    L1PS_VAL386 NUMBER(12), 
    L1PS_VAL387 NUMBER(12), 
    L1PS_VAL388 NUMBER(12), 
    L1PS_VAL389 NUMBER(12), 
    L1PS_VAL390 NUMBER(12), 
    L1PS_VAL391 NUMBER(12), 
    L1PS_VAL392 NUMBER(12), 
    L1PS_VAL393 NUMBER(12), 
    L1PS_VAL394 NUMBER(12), 
    L1PS_VAL395 NUMBER(12), 
    L1PS_VAL396 NUMBER(12), 
    L1PS_VAL397 NUMBER(12), 
    L1PS_VAL398 NUMBER(12), 
    L1PS_VAL399 NUMBER(12), 
    L1PS_VAL400 NUMBER(12), 
    L1PS_VAL401 NUMBER(12), 
    L1PS_VAL402 NUMBER(12), 
    L1PS_VAL403 NUMBER(12), 
    L1PS_VAL404 NUMBER(12), 
    L1PS_VAL405 NUMBER(12), 
    L1PS_VAL406 NUMBER(12), 
    L1PS_VAL407 NUMBER(12), 
    L1PS_VAL408 NUMBER(12), 
    L1PS_VAL409 NUMBER(12), 
    L1PS_VAL410 NUMBER(12), 
    L1PS_VAL411 NUMBER(12), 
    L1PS_VAL412 NUMBER(12), 
    L1PS_VAL413 NUMBER(12), 
    L1PS_VAL414 NUMBER(12), 
    L1PS_VAL415 NUMBER(12), 
    L1PS_VAL416 NUMBER(12), 
    L1PS_VAL417 NUMBER(12), 
    L1PS_VAL418 NUMBER(12), 
    L1PS_VAL419 NUMBER(12), 
    L1PS_VAL420 NUMBER(12), 
    L1PS_VAL421 NUMBER(12), 
    L1PS_VAL422 NUMBER(12), 
    L1PS_VAL423 NUMBER(12), 
    L1PS_VAL424 NUMBER(12), 
    L1PS_VAL425 NUMBER(12), 
    L1PS_VAL426 NUMBER(12), 
    L1PS_VAL427 NUMBER(12), 
    L1PS_VAL428 NUMBER(12), 
    L1PS_VAL429 NUMBER(12), 
    L1PS_VAL430 NUMBER(12), 
    L1PS_VAL431 NUMBER(12), 
    L1PS_VAL432 NUMBER(12), 
    L1PS_VAL433 NUMBER(12), 
    L1PS_VAL434 NUMBER(12), 
    L1PS_VAL435 NUMBER(12), 
    L1PS_VAL436 NUMBER(12), 
    L1PS_VAL437 NUMBER(12), 
    L1PS_VAL438 NUMBER(12), 
    L1PS_VAL439 NUMBER(12), 
    L1PS_VAL440 NUMBER(12), 
    L1PS_VAL441 NUMBER(12), 
    L1PS_VAL442 NUMBER(12), 
    L1PS_VAL443 NUMBER(12), 
    L1PS_VAL444 NUMBER(12), 
    L1PS_VAL445 NUMBER(12), 
    L1PS_VAL446 NUMBER(12), 
    L1PS_VAL447 NUMBER(12), 
    L1PS_VAL448 NUMBER(12), 
    L1PS_VAL449 NUMBER(12), 
    L1PS_VAL450 NUMBER(12), 
    L1PS_VAL451 NUMBER(12), 
    L1PS_VAL452 NUMBER(12), 
    L1PS_VAL453 NUMBER(12), 
    L1PS_VAL454 NUMBER(12), 
    L1PS_VAL455 NUMBER(12), 
    L1PS_VAL456 NUMBER(12), 
    L1PS_VAL457 NUMBER(12), 
    L1PS_VAL458 NUMBER(12), 
    L1PS_VAL459 NUMBER(12), 
    L1PS_VAL460 NUMBER(12), 
    L1PS_VAL461 NUMBER(12), 
    L1PS_VAL462 NUMBER(12), 
    L1PS_VAL463 NUMBER(12), 
    L1PS_VAL464 NUMBER(12), 
    L1PS_VAL465 NUMBER(12), 
    L1PS_VAL466 NUMBER(12), 
    L1PS_VAL467 NUMBER(12), 
    L1PS_VAL468 NUMBER(12), 
    L1PS_VAL469 NUMBER(12), 
    L1PS_VAL470 NUMBER(12), 
    L1PS_VAL471 NUMBER(12), 
    L1PS_VAL472 NUMBER(12), 
    L1PS_VAL473 NUMBER(12), 
    L1PS_VAL474 NUMBER(12), 
    L1PS_VAL475 NUMBER(12), 
    L1PS_VAL476 NUMBER(12), 
    L1PS_VAL477 NUMBER(12), 
    L1PS_VAL478 NUMBER(12), 
    L1PS_VAL479 NUMBER(12), 
    L1PS_VAL480 NUMBER(12), 
    L1PS_VAL481 NUMBER(12), 
    L1PS_VAL482 NUMBER(12), 
    L1PS_VAL483 NUMBER(12), 
    L1PS_VAL484 NUMBER(12), 
    L1PS_VAL485 NUMBER(12), 
    L1PS_VAL486 NUMBER(12), 
    L1PS_VAL487 NUMBER(12), 
    L1PS_VAL488 NUMBER(12), 
    L1PS_VAL489 NUMBER(12), 
    L1PS_VAL490 NUMBER(12), 
    L1PS_VAL491 NUMBER(12), 
    L1PS_VAL492 NUMBER(12), 
    L1PS_VAL493 NUMBER(12), 
    L1PS_VAL494 NUMBER(12), 
    L1PS_VAL495 NUMBER(12), 
    L1PS_VAL496 NUMBER(12), 
    L1PS_VAL497 NUMBER(12), 
    L1PS_VAL498 NUMBER(12), 
    L1PS_VAL499 NUMBER(12), 
    L1PS_VAL500 NUMBER(12), 
    L1PS_VAL501 NUMBER(12), 
    L1PS_VAL502 NUMBER(12), 
    L1PS_VAL503 NUMBER(12), 
    L1PS_VAL504 NUMBER(12), 
    L1PS_VAL505 NUMBER(12), 
    L1PS_VAL506 NUMBER(12), 
    L1PS_VAL507 NUMBER(12), 
    L1PS_VAL508 NUMBER(12), 
    L1PS_VAL509 NUMBER(12), 
    L1PS_VAL510 NUMBER(12), 
    L1PS_VAL511 NUMBER(12), 
    L1PS_VAL512 NUMBER(12),
    L1PS_USERNAME            VARCHAR2(50),     
    L1PS_MODIFIED_TIME        TIMESTAMP,
    L1PS_USED            CHAR            DEFAULT 0, 
    CONSTRAINT            L1PS_PK            PRIMARY KEY (L1PS_ID),
    CONSTRAINT             L1PS_NMVER        UNIQUE (L1PS_NAME, L1PS_VERSION),
    CONSTRAINT            L1PS_ID_NN         CHECK ( L1PS_ID IS NOT NULL),
    CONSTRAINT            L1PS_NAME_NN         CHECK ( L1PS_NAME IS NOT NULL),
    CONSTRAINT            L1PS_VERSION_NN     CHECK ( L1PS_VERSION IS NOT NULL),
    CONSTRAINT            L1PS_LUMI_NN         CHECK ( L1PS_LUMI IS NOT NULL),
    CONSTRAINT            L1PS_SHIFT_SAFE_NN     CHECK ( L1PS_SHIFT_SAFE IS NOT NULL),
    CONSTRAINT            L1PS_DEFAULT_NN     CHECK ( L1PS_DEFAULT IS NOT NULL),
    CONSTRAINT            L1PS_TYPE_NN         CHECK ( L1PS_TYPE IS NOT NULL),
    CONSTRAINT            L1PS_VAL1_NN         CHECK ( L1PS_VAL1 IS NOT NULL),
    CONSTRAINT            L1PS_VAL2_NN         CHECK ( L1PS_VAL2 IS NOT NULL),
    CONSTRAINT            L1PS_VAL3_NN         CHECK ( L1PS_VAL3 IS NOT NULL),
    CONSTRAINT            L1PS_VAL4_NN         CHECK ( L1PS_VAL4 IS NOT NULL),
    CONSTRAINT            L1PS_VAL5_NN         CHECK ( L1PS_VAL5 IS NOT NULL),
    CONSTRAINT            L1PS_VAL6_NN         CHECK ( L1PS_VAL6 IS NOT NULL),
    CONSTRAINT            L1PS_VAL7_NN         CHECK ( L1PS_VAL7 IS NOT NULL),
    CONSTRAINT            L1PS_VAL8_NN         CHECK ( L1PS_VAL8 IS NOT NULL),
    CONSTRAINT            L1PS_VAL9_NN         CHECK ( L1PS_VAL9 IS NOT NULL),
    CONSTRAINT            L1PS_VAL10_NN         CHECK ( L1PS_VAL10 IS NOT NULL),
    CONSTRAINT            L1PS_VAL11_NN         CHECK ( L1PS_VAL11 IS NOT NULL),
    CONSTRAINT            L1PS_VAL12_NN         CHECK ( L1PS_VAL12 IS NOT NULL),
    CONSTRAINT            L1PS_VAL13_NN         CHECK ( L1PS_VAL13 IS NOT NULL),
    CONSTRAINT            L1PS_VAL14_NN         CHECK ( L1PS_VAL14 IS NOT NULL),
    CONSTRAINT            L1PS_VAL15_NN         CHECK ( L1PS_VAL15 IS NOT NULL),
    CONSTRAINT            L1PS_VAL16_NN         CHECK ( L1PS_VAL16 IS NOT NULL),
    CONSTRAINT            L1PS_VAL17_NN         CHECK ( L1PS_VAL17 IS NOT NULL),
    CONSTRAINT            L1PS_VAL18_NN         CHECK ( L1PS_VAL18 IS NOT NULL),
    CONSTRAINT            L1PS_VAL19_NN         CHECK ( L1PS_VAL19 IS NOT NULL),
    CONSTRAINT            L1PS_VAL20_NN         CHECK ( L1PS_VAL20 IS NOT NULL),
    CONSTRAINT            L1PS_VAL21_NN         CHECK ( L1PS_VAL21 IS NOT NULL),
    CONSTRAINT            L1PS_VAL22_NN         CHECK ( L1PS_VAL22 IS NOT NULL),
    CONSTRAINT            L1PS_VAL23_NN         CHECK ( L1PS_VAL23 IS NOT NULL),
    CONSTRAINT            L1PS_VAL24_NN         CHECK ( L1PS_VAL24 IS NOT NULL),
    CONSTRAINT            L1PS_VAL25_NN         CHECK ( L1PS_VAL25 IS NOT NULL),
    CONSTRAINT            L1PS_VAL26_NN         CHECK ( L1PS_VAL26 IS NOT NULL),
    CONSTRAINT            L1PS_VAL27_NN         CHECK ( L1PS_VAL27 IS NOT NULL),
    CONSTRAINT            L1PS_VAL28_NN         CHECK ( L1PS_VAL28 IS NOT NULL),
    CONSTRAINT            L1PS_VAL29_NN         CHECK ( L1PS_VAL29 IS NOT NULL),
    CONSTRAINT            L1PS_VAL30_NN         CHECK ( L1PS_VAL30 IS NOT NULL),
    CONSTRAINT            L1PS_VAL31_NN         CHECK ( L1PS_VAL31 IS NOT NULL),
    CONSTRAINT            L1PS_VAL32_NN         CHECK ( L1PS_VAL32 IS NOT NULL),
    CONSTRAINT            L1PS_VAL33_NN         CHECK ( L1PS_VAL33 IS NOT NULL),
    CONSTRAINT            L1PS_VAL34_NN         CHECK ( L1PS_VAL34 IS NOT NULL),
    CONSTRAINT            L1PS_VAL35_NN         CHECK ( L1PS_VAL35 IS NOT NULL),
    CONSTRAINT            L1PS_VAL36_NN         CHECK ( L1PS_VAL36 IS NOT NULL),
    CONSTRAINT            L1PS_VAL37_NN         CHECK ( L1PS_VAL37 IS NOT NULL),
    CONSTRAINT            L1PS_VAL38_NN         CHECK ( L1PS_VAL38 IS NOT NULL),
    CONSTRAINT            L1PS_VAL39_NN         CHECK ( L1PS_VAL39 IS NOT NULL),
    CONSTRAINT            L1PS_VAL40_NN         CHECK ( L1PS_VAL40 IS NOT NULL),
    CONSTRAINT            L1PS_VAL41_NN         CHECK ( L1PS_VAL14 IS NOT NULL),
    CONSTRAINT            L1PS_VAL42_NN         CHECK ( L1PS_VAL42 IS NOT NULL),
    CONSTRAINT            L1PS_VAL43_NN         CHECK ( L1PS_VAL43 IS NOT NULL),
    CONSTRAINT            L1PS_VAL44_NN         CHECK ( L1PS_VAL44 IS NOT NULL),
    CONSTRAINT            L1PS_VAL45_NN         CHECK ( L1PS_VAL45 IS NOT NULL),
    CONSTRAINT            L1PS_VAL46_NN         CHECK ( L1PS_VAL46 IS NOT NULL),
    CONSTRAINT            L1PS_VAL47_NN         CHECK ( L1PS_VAL47 IS NOT NULL),
    CONSTRAINT            L1PS_VAL48_NN         CHECK ( L1PS_VAL48 IS NOT NULL),
    CONSTRAINT            L1PS_VAL49_NN         CHECK ( L1PS_VAL49 IS NOT NULL),
    CONSTRAINT            L1PS_VAL50_NN         CHECK ( L1PS_VAL50 IS NOT NULL),
    CONSTRAINT            L1PS_VAL51_NN         CHECK ( L1PS_VAL51 IS NOT NULL),
    CONSTRAINT            L1PS_VAL52_NN         CHECK ( L1PS_VAL52 IS NOT NULL),
    CONSTRAINT            L1PS_VAL53_NN         CHECK ( L1PS_VAL53 IS NOT NULL),
    CONSTRAINT            L1PS_VAL54_NN         CHECK ( L1PS_VAL54 IS NOT NULL),
    CONSTRAINT            L1PS_VAL55_NN         CHECK ( L1PS_VAL55 IS NOT NULL),
    CONSTRAINT            L1PS_VAL56_NN         CHECK ( L1PS_VAL56 IS NOT NULL),
    CONSTRAINT            L1PS_VAL57_NN         CHECK ( L1PS_VAL57 IS NOT NULL),
    CONSTRAINT            L1PS_VAL58_NN         CHECK ( L1PS_VAL58 IS NOT NULL),
    CONSTRAINT            L1PS_VAL59_NN         CHECK ( L1PS_VAL59 IS NOT NULL),
    CONSTRAINT            L1PS_VAL60_NN         CHECK ( L1PS_VAL60 IS NOT NULL),
    CONSTRAINT            L1PS_VAL61_NN         CHECK ( L1PS_VAL61 IS NOT NULL),
    CONSTRAINT            L1PS_VAL62_NN         CHECK ( L1PS_VAL62 IS NOT NULL),
    CONSTRAINT            L1PS_VAL63_NN         CHECK ( L1PS_VAL63 IS NOT NULL),
    CONSTRAINT            L1PS_VAL64_NN         CHECK ( L1PS_VAL64 IS NOT NULL),
    CONSTRAINT            L1PS_VAL65_NN         CHECK ( L1PS_VAL65 IS NOT NULL),
    CONSTRAINT            L1PS_VAL66_NN         CHECK ( L1PS_VAL66 IS NOT NULL),
    CONSTRAINT            L1PS_VAL67_NN         CHECK ( L1PS_VAL67 IS NOT NULL),
    CONSTRAINT            L1PS_VAL68_NN         CHECK ( L1PS_VAL68 IS NOT NULL),
    CONSTRAINT            L1PS_VAL69_NN         CHECK ( L1PS_VAL69 IS NOT NULL),
    CONSTRAINT            L1PS_VAL70_NN         CHECK ( L1PS_VAL70 IS NOT NULL),
    CONSTRAINT            L1PS_VAL71_NN         CHECK ( L1PS_VAL71 IS NOT NULL),
    CONSTRAINT            L1PS_VAL72_NN         CHECK ( L1PS_VAL72 IS NOT NULL),
    CONSTRAINT            L1PS_VAL73_NN         CHECK ( L1PS_VAL73 IS NOT NULL),
    CONSTRAINT            L1PS_VAL74_NN         CHECK ( L1PS_VAL74 IS NOT NULL),
    CONSTRAINT            L1PS_VAL75_NN         CHECK ( L1PS_VAL75 IS NOT NULL),
    CONSTRAINT            L1PS_VAL76_NN         CHECK ( L1PS_VAL76 IS NOT NULL),
    CONSTRAINT            L1PS_VAL77_NN         CHECK ( L1PS_VAL77 IS NOT NULL),
    CONSTRAINT            L1PS_VAL78_NN         CHECK ( L1PS_VAL78 IS NOT NULL),
    CONSTRAINT            L1PS_VAL79_NN         CHECK ( L1PS_VAL79 IS NOT NULL),
    CONSTRAINT            L1PS_VAL80_NN         CHECK ( L1PS_VAL80 IS NOT NULL),
    CONSTRAINT            L1PS_VAL81_NN         CHECK ( L1PS_VAL81 IS NOT NULL),
    CONSTRAINT            L1PS_VAL82_NN         CHECK ( L1PS_VAL82 IS NOT NULL),
    CONSTRAINT            L1PS_VAL83_NN         CHECK ( L1PS_VAL83 IS NOT NULL),
    CONSTRAINT            L1PS_VAL84_NN         CHECK ( L1PS_VAL84 IS NOT NULL),
    CONSTRAINT            L1PS_VAL85_NN         CHECK ( L1PS_VAL85 IS NOT NULL),
    CONSTRAINT            L1PS_VAL86_NN         CHECK ( L1PS_VAL86 IS NOT NULL),
    CONSTRAINT            L1PS_VAL87_NN         CHECK ( L1PS_VAL87 IS NOT NULL),
    CONSTRAINT            L1PS_VAL88_NN         CHECK ( L1PS_VAL88 IS NOT NULL),
    CONSTRAINT            L1PS_VAL89_NN         CHECK ( L1PS_VAL89 IS NOT NULL),
    CONSTRAINT            L1PS_VAL90_NN         CHECK ( L1PS_VAL90 IS NOT NULL),
    CONSTRAINT            L1PS_VAL91_NN         CHECK ( L1PS_VAL91 IS NOT NULL),
    CONSTRAINT            L1PS_VAL92_NN         CHECK ( L1PS_VAL92 IS NOT NULL),
    CONSTRAINT            L1PS_VAL93_NN         CHECK ( L1PS_VAL93 IS NOT NULL),
    CONSTRAINT            L1PS_VAL94_NN         CHECK ( L1PS_VAL94 IS NOT NULL),
    CONSTRAINT            L1PS_VAL95_NN         CHECK ( L1PS_VAL95 IS NOT NULL),
    CONSTRAINT            L1PS_VAL96_NN         CHECK ( L1PS_VAL96 IS NOT NULL),
    CONSTRAINT            L1PS_VAL97_NN         CHECK ( L1PS_VAL97 IS NOT NULL),
    CONSTRAINT            L1PS_VAL98_NN         CHECK ( L1PS_VAL98 IS NOT NULL),
    CONSTRAINT            L1PS_VAL99_NN         CHECK ( L1PS_VAL99 IS NOT NULL),
    CONSTRAINT            L1PS_VAL100_NN         CHECK ( L1PS_VAL100 IS NOT NULL),
    CONSTRAINT            L1PS_VAL101_NN         CHECK ( L1PS_VAL101 IS NOT NULL),
    CONSTRAINT            L1PS_VAL102_NN         CHECK ( L1PS_VAL102 IS NOT NULL),
    CONSTRAINT            L1PS_VAL103_NN         CHECK ( L1PS_VAL103 IS NOT NULL),
    CONSTRAINT            L1PS_VAL104_NN         CHECK ( L1PS_VAL104 IS NOT NULL),
    CONSTRAINT            L1PS_VAL105_NN         CHECK ( L1PS_VAL105 IS NOT NULL),
    CONSTRAINT            L1PS_VAL106_NN         CHECK ( L1PS_VAL106 IS NOT NULL),
    CONSTRAINT            L1PS_VAL107_NN         CHECK ( L1PS_VAL107 IS NOT NULL),
    CONSTRAINT            L1PS_VAL108_NN         CHECK ( L1PS_VAL108 IS NOT NULL),
    CONSTRAINT            L1PS_VAL109_NN         CHECK ( L1PS_VAL109 IS NOT NULL),
    CONSTRAINT            L1PS_VAL110_NN         CHECK ( L1PS_VAL110 IS NOT NULL),
    CONSTRAINT            L1PS_VAL111_NN         CHECK ( L1PS_VAL111 IS NOT NULL),
    CONSTRAINT            L1PS_VAL112_NN         CHECK ( L1PS_VAL112 IS NOT NULL),
    CONSTRAINT            L1PS_VAL113_NN         CHECK ( L1PS_VAL113 IS NOT NULL),
    CONSTRAINT            L1PS_VAL114_NN         CHECK ( L1PS_VAL114 IS NOT NULL),
    CONSTRAINT            L1PS_VAL115_NN         CHECK ( L1PS_VAL115 IS NOT NULL),
    CONSTRAINT            L1PS_VAL116_NN         CHECK ( L1PS_VAL116 IS NOT NULL),
    CONSTRAINT            L1PS_VAL117_NN         CHECK ( L1PS_VAL117 IS NOT NULL),
    CONSTRAINT            L1PS_VAL118_NN         CHECK ( L1PS_VAL118 IS NOT NULL),
    CONSTRAINT            L1PS_VAL119_NN         CHECK ( L1PS_VAL119 IS NOT NULL),
    CONSTRAINT            L1PS_VAL120_NN         CHECK ( L1PS_VAL120 IS NOT NULL),
    CONSTRAINT            L1PS_VAL121_NN         CHECK ( L1PS_VAL121 IS NOT NULL),
    CONSTRAINT            L1PS_VAL122_NN         CHECK ( L1PS_VAL122 IS NOT NULL),
    CONSTRAINT            L1PS_VAL123_NN         CHECK ( L1PS_VAL123 IS NOT NULL),
    CONSTRAINT            L1PS_VAL124_NN         CHECK ( L1PS_VAL124 IS NOT NULL),
    CONSTRAINT            L1PS_VAL125_NN         CHECK ( L1PS_VAL125 IS NOT NULL),
    CONSTRAINT            L1PS_VAL126_NN         CHECK ( L1PS_VAL126 IS NOT NULL),
    CONSTRAINT            L1PS_VAL127_NN         CHECK ( L1PS_VAL127 IS NOT NULL),
    CONSTRAINT            L1PS_VAL128_NN         CHECK ( L1PS_VAL128 IS NOT NULL),
    CONSTRAINT            L1PS_VAL129_NN         CHECK ( L1PS_VAL129 IS NOT NULL),
    CONSTRAINT            L1PS_VAL130_NN         CHECK ( L1PS_VAL130 IS NOT NULL),
    CONSTRAINT            L1PS_VAL131_NN         CHECK ( L1PS_VAL131 IS NOT NULL),
    CONSTRAINT            L1PS_VAL132_NN         CHECK ( L1PS_VAL132 IS NOT NULL),
    CONSTRAINT            L1PS_VAL133_NN         CHECK ( L1PS_VAL133 IS NOT NULL),
    CONSTRAINT            L1PS_VAL134_NN         CHECK ( L1PS_VAL134 IS NOT NULL),
    CONSTRAINT            L1PS_VAL135_NN         CHECK ( L1PS_VAL135 IS NOT NULL),
    CONSTRAINT            L1PS_VAL136_NN         CHECK ( L1PS_VAL136 IS NOT NULL),
    CONSTRAINT            L1PS_VAL137_NN         CHECK ( L1PS_VAL137 IS NOT NULL),
    CONSTRAINT            L1PS_VAL138_NN         CHECK ( L1PS_VAL138 IS NOT NULL),
    CONSTRAINT            L1PS_VAL139_NN         CHECK ( L1PS_VAL139 IS NOT NULL),
    CONSTRAINT            L1PS_VAL140_NN         CHECK ( L1PS_VAL140 IS NOT NULL),
    CONSTRAINT            L1PS_VAL141_NN         CHECK ( L1PS_VAL114 IS NOT NULL),
    CONSTRAINT            L1PS_VAL142_NN         CHECK ( L1PS_VAL142 IS NOT NULL),
    CONSTRAINT            L1PS_VAL143_NN         CHECK ( L1PS_VAL143 IS NOT NULL),
    CONSTRAINT            L1PS_VAL144_NN         CHECK ( L1PS_VAL144 IS NOT NULL),
    CONSTRAINT            L1PS_VAL145_NN         CHECK ( L1PS_VAL145 IS NOT NULL),
    CONSTRAINT            L1PS_VAL146_NN         CHECK ( L1PS_VAL146 IS NOT NULL),
    CONSTRAINT            L1PS_VAL147_NN         CHECK ( L1PS_VAL147 IS NOT NULL),
    CONSTRAINT            L1PS_VAL148_NN         CHECK ( L1PS_VAL148 IS NOT NULL),
    CONSTRAINT            L1PS_VAL149_NN         CHECK ( L1PS_VAL149 IS NOT NULL),
    CONSTRAINT            L1PS_VAL150_NN         CHECK ( L1PS_VAL150 IS NOT NULL),
    CONSTRAINT            L1PS_VAL151_NN         CHECK ( L1PS_VAL151 IS NOT NULL),
    CONSTRAINT            L1PS_VAL152_NN         CHECK ( L1PS_VAL152 IS NOT NULL),
    CONSTRAINT            L1PS_VAL153_NN         CHECK ( L1PS_VAL153 IS NOT NULL),
    CONSTRAINT            L1PS_VAL154_NN         CHECK ( L1PS_VAL154 IS NOT NULL),
    CONSTRAINT            L1PS_VAL155_NN         CHECK ( L1PS_VAL155 IS NOT NULL),
    CONSTRAINT            L1PS_VAL156_NN         CHECK ( L1PS_VAL156 IS NOT NULL),
    CONSTRAINT            L1PS_VAL157_NN         CHECK ( L1PS_VAL157 IS NOT NULL),
    CONSTRAINT            L1PS_VAL158_NN         CHECK ( L1PS_VAL158 IS NOT NULL),
    CONSTRAINT            L1PS_VAL159_NN         CHECK ( L1PS_VAL159 IS NOT NULL),
    CONSTRAINT            L1PS_VAL160_NN         CHECK ( L1PS_VAL160 IS NOT NULL),
    CONSTRAINT            L1PS_VAL161_NN         CHECK ( L1PS_VAL161 IS NOT NULL),
    CONSTRAINT            L1PS_VAL162_NN         CHECK ( L1PS_VAL162 IS NOT NULL),
    CONSTRAINT            L1PS_VAL163_NN         CHECK ( L1PS_VAL163 IS NOT NULL),
    CONSTRAINT            L1PS_VAL164_NN         CHECK ( L1PS_VAL164 IS NOT NULL),
    CONSTRAINT            L1PS_VAL165_NN         CHECK ( L1PS_VAL165 IS NOT NULL),
    CONSTRAINT            L1PS_VAL166_NN         CHECK ( L1PS_VAL166 IS NOT NULL),
    CONSTRAINT            L1PS_VAL167_NN         CHECK ( L1PS_VAL167 IS NOT NULL),
    CONSTRAINT            L1PS_VAL168_NN         CHECK ( L1PS_VAL168 IS NOT NULL),
    CONSTRAINT            L1PS_VAL169_NN         CHECK ( L1PS_VAL169 IS NOT NULL),
    CONSTRAINT            L1PS_VAL170_NN         CHECK ( L1PS_VAL170 IS NOT NULL),
    CONSTRAINT            L1PS_VAL171_NN         CHECK ( L1PS_VAL171 IS NOT NULL),
    CONSTRAINT            L1PS_VAL172_NN         CHECK ( L1PS_VAL172 IS NOT NULL),
    CONSTRAINT            L1PS_VAL173_NN         CHECK ( L1PS_VAL173 IS NOT NULL),
    CONSTRAINT            L1PS_VAL174_NN         CHECK ( L1PS_VAL174 IS NOT NULL),
    CONSTRAINT            L1PS_VAL175_NN         CHECK ( L1PS_VAL175 IS NOT NULL),
    CONSTRAINT            L1PS_VAL176_NN         CHECK ( L1PS_VAL176 IS NOT NULL),
    CONSTRAINT            L1PS_VAL177_NN         CHECK ( L1PS_VAL177 IS NOT NULL),
    CONSTRAINT            L1PS_VAL178_NN         CHECK ( L1PS_VAL178 IS NOT NULL),
    CONSTRAINT            L1PS_VAL179_NN         CHECK ( L1PS_VAL179 IS NOT NULL),
    CONSTRAINT            L1PS_VAL180_NN         CHECK ( L1PS_VAL180 IS NOT NULL),
    CONSTRAINT            L1PS_VAL181_NN         CHECK ( L1PS_VAL181 IS NOT NULL),
    CONSTRAINT            L1PS_VAL182_NN         CHECK ( L1PS_VAL182 IS NOT NULL),
    CONSTRAINT            L1PS_VAL183_NN         CHECK ( L1PS_VAL183 IS NOT NULL),
    CONSTRAINT            L1PS_VAL184_NN         CHECK ( L1PS_VAL184 IS NOT NULL),
    CONSTRAINT            L1PS_VAL185_NN         CHECK ( L1PS_VAL185 IS NOT NULL),
    CONSTRAINT            L1PS_VAL186_NN         CHECK ( L1PS_VAL186 IS NOT NULL),
    CONSTRAINT            L1PS_VAL187_NN         CHECK ( L1PS_VAL187 IS NOT NULL),
    CONSTRAINT            L1PS_VAL188_NN         CHECK ( L1PS_VAL188 IS NOT NULL),
    CONSTRAINT            L1PS_VAL189_NN         CHECK ( L1PS_VAL189 IS NOT NULL),
    CONSTRAINT            L1PS_VAL190_NN         CHECK ( L1PS_VAL190 IS NOT NULL),
    CONSTRAINT            L1PS_VAL191_NN         CHECK ( L1PS_VAL191 IS NOT NULL),
    CONSTRAINT            L1PS_VAL192_NN         CHECK ( L1PS_VAL192 IS NOT NULL),
    CONSTRAINT            L1PS_VAL193_NN         CHECK ( L1PS_VAL193 IS NOT NULL),
    CONSTRAINT            L1PS_VAL194_NN         CHECK ( L1PS_VAL194 IS NOT NULL),
    CONSTRAINT            L1PS_VAL195_NN         CHECK ( L1PS_VAL195 IS NOT NULL),
    CONSTRAINT            L1PS_VAL196_NN         CHECK ( L1PS_VAL196 IS NOT NULL),
    CONSTRAINT            L1PS_VAL197_NN         CHECK ( L1PS_VAL197 IS NOT NULL),
    CONSTRAINT            L1PS_VAL198_NN         CHECK ( L1PS_VAL198 IS NOT NULL),
    CONSTRAINT            L1PS_VAL199_NN         CHECK ( L1PS_VAL199 IS NOT NULL),
    CONSTRAINT            L1PS_VAL200_NN         CHECK ( L1PS_VAL200 IS NOT NULL),
    CONSTRAINT            L1PS_VAL201_NN         CHECK ( L1PS_VAL201 IS NOT NULL),
    CONSTRAINT            L1PS_VAL202_NN         CHECK ( L1PS_VAL202 IS NOT NULL),
    CONSTRAINT            L1PS_VAL203_NN         CHECK ( L1PS_VAL203 IS NOT NULL),
    CONSTRAINT            L1PS_VAL204_NN         CHECK ( L1PS_VAL204 IS NOT NULL),
    CONSTRAINT            L1PS_VAL205_NN         CHECK ( L1PS_VAL205 IS NOT NULL),
    CONSTRAINT            L1PS_VAL206_NN         CHECK ( L1PS_VAL206 IS NOT NULL),
    CONSTRAINT            L1PS_VAL207_NN         CHECK ( L1PS_VAL207 IS NOT NULL),
    CONSTRAINT            L1PS_VAL208_NN         CHECK ( L1PS_VAL208 IS NOT NULL),
    CONSTRAINT            L1PS_VAL209_NN         CHECK ( L1PS_VAL209 IS NOT NULL),
    CONSTRAINT            L1PS_VAL210_NN         CHECK ( L1PS_VAL210 IS NOT NULL),
    CONSTRAINT            L1PS_VAL211_NN         CHECK ( L1PS_VAL211 IS NOT NULL),
    CONSTRAINT            L1PS_VAL212_NN         CHECK ( L1PS_VAL212 IS NOT NULL),
    CONSTRAINT            L1PS_VAL213_NN         CHECK ( L1PS_VAL213 IS NOT NULL),
    CONSTRAINT            L1PS_VAL214_NN         CHECK ( L1PS_VAL214 IS NOT NULL),
    CONSTRAINT            L1PS_VAL215_NN         CHECK ( L1PS_VAL215 IS NOT NULL),
    CONSTRAINT            L1PS_VAL216_NN         CHECK ( L1PS_VAL216 IS NOT NULL),
    CONSTRAINT            L1PS_VAL217_NN         CHECK ( L1PS_VAL217 IS NOT NULL),
    CONSTRAINT            L1PS_VAL218_NN         CHECK ( L1PS_VAL218 IS NOT NULL),
    CONSTRAINT            L1PS_VAL219_NN         CHECK ( L1PS_VAL219 IS NOT NULL),
    CONSTRAINT            L1PS_VAL220_NN         CHECK ( L1PS_VAL220 IS NOT NULL),
    CONSTRAINT            L1PS_VAL221_NN         CHECK ( L1PS_VAL221 IS NOT NULL),
    CONSTRAINT            L1PS_VAL222_NN         CHECK ( L1PS_VAL222 IS NOT NULL),
    CONSTRAINT            L1PS_VAL223_NN         CHECK ( L1PS_VAL223 IS NOT NULL),
    CONSTRAINT            L1PS_VAL224_NN         CHECK ( L1PS_VAL224 IS NOT NULL),
    CONSTRAINT            L1PS_VAL225_NN         CHECK ( L1PS_VAL225 IS NOT NULL),
    CONSTRAINT            L1PS_VAL226_NN         CHECK ( L1PS_VAL226 IS NOT NULL),
    CONSTRAINT            L1PS_VAL227_NN         CHECK ( L1PS_VAL227 IS NOT NULL),
    CONSTRAINT            L1PS_VAL228_NN         CHECK ( L1PS_VAL228 IS NOT NULL),
    CONSTRAINT            L1PS_VAL229_NN         CHECK ( L1PS_VAL229 IS NOT NULL),
    CONSTRAINT            L1PS_VAL230_NN         CHECK ( L1PS_VAL230 IS NOT NULL),
    CONSTRAINT            L1PS_VAL231_NN         CHECK ( L1PS_VAL231 IS NOT NULL),
    CONSTRAINT            L1PS_VAL232_NN         CHECK ( L1PS_VAL232 IS NOT NULL),
    CONSTRAINT            L1PS_VAL233_NN         CHECK ( L1PS_VAL233 IS NOT NULL),
    CONSTRAINT            L1PS_VAL234_NN         CHECK ( L1PS_VAL234 IS NOT NULL),
    CONSTRAINT            L1PS_VAL235_NN         CHECK ( L1PS_VAL235 IS NOT NULL),
    CONSTRAINT            L1PS_VAL236_NN         CHECK ( L1PS_VAL236 IS NOT NULL),
    CONSTRAINT            L1PS_VAL237_NN         CHECK ( L1PS_VAL237 IS NOT NULL),
    CONSTRAINT            L1PS_VAL238_NN         CHECK ( L1PS_VAL238 IS NOT NULL),
    CONSTRAINT            L1PS_VAL239_NN         CHECK ( L1PS_VAL239 IS NOT NULL),
    CONSTRAINT            L1PS_VAL240_NN         CHECK ( L1PS_VAL240 IS NOT NULL),
    CONSTRAINT            L1PS_VAL241_NN         CHECK ( L1PS_VAL241 IS NOT NULL),
    CONSTRAINT            L1PS_VAL242_NN         CHECK ( L1PS_VAL242 IS NOT NULL),
    CONSTRAINT            L1PS_VAL243_NN         CHECK ( L1PS_VAL243 IS NOT NULL),
    CONSTRAINT            L1PS_VAL244_NN         CHECK ( L1PS_VAL244 IS NOT NULL),
    CONSTRAINT            L1PS_VAL245_NN         CHECK ( L1PS_VAL245 IS NOT NULL),
    CONSTRAINT            L1PS_VAL246_NN         CHECK ( L1PS_VAL246 IS NOT NULL),
    CONSTRAINT            L1PS_VAL247_NN         CHECK ( L1PS_VAL247 IS NOT NULL),
    CONSTRAINT            L1PS_VAL248_NN         CHECK ( L1PS_VAL248 IS NOT NULL),
    CONSTRAINT            L1PS_VAL249_NN         CHECK ( L1PS_VAL249 IS NOT NULL),
    CONSTRAINT            L1PS_VAL250_NN         CHECK ( L1PS_VAL250 IS NOT NULL),
    CONSTRAINT            L1PS_VAL251_NN         CHECK ( L1PS_VAL251 IS NOT NULL),
    CONSTRAINT            L1PS_VAL252_NN         CHECK ( L1PS_VAL252 IS NOT NULL),
    CONSTRAINT            L1PS_VAL253_NN         CHECK ( L1PS_VAL253 IS NOT NULL),
    CONSTRAINT            L1PS_VAL254_NN         CHECK ( L1PS_VAL254 IS NOT NULL),
    CONSTRAINT            L1PS_VAL255_NN         CHECK ( L1PS_VAL255 IS NOT NULL),
    CONSTRAINT            L1PS_VAL256_NN         CHECK ( L1PS_VAL256 IS NOT NULL),
    CONSTRAINT            L1PS_VAL257_NN         CHECK ( L1PS_VAL257 IS NOT NULL),
    CONSTRAINT            L1PS_VAL258_NN         CHECK ( L1PS_VAL258 IS NOT NULL),
    CONSTRAINT            L1PS_VAL259_NN         CHECK ( L1PS_VAL259 IS NOT NULL),
    CONSTRAINT            L1PS_VAL260_NN         CHECK ( L1PS_VAL260 IS NOT NULL),
    CONSTRAINT            L1PS_VAL261_NN         CHECK ( L1PS_VAL261 IS NOT NULL),
    CONSTRAINT            L1PS_VAL262_NN         CHECK ( L1PS_VAL262 IS NOT NULL),
    CONSTRAINT            L1PS_VAL263_NN         CHECK ( L1PS_VAL263 IS NOT NULL),
    CONSTRAINT            L1PS_VAL264_NN         CHECK ( L1PS_VAL264 IS NOT NULL),
    CONSTRAINT            L1PS_VAL265_NN         CHECK ( L1PS_VAL265 IS NOT NULL),
    CONSTRAINT            L1PS_VAL266_NN         CHECK ( L1PS_VAL266 IS NOT NULL),
    CONSTRAINT            L1PS_VAL267_NN         CHECK ( L1PS_VAL267 IS NOT NULL),
    CONSTRAINT            L1PS_VAL268_NN         CHECK ( L1PS_VAL268 IS NOT NULL),
    CONSTRAINT            L1PS_VAL269_NN         CHECK ( L1PS_VAL269 IS NOT NULL),
    CONSTRAINT            L1PS_VAL270_NN         CHECK ( L1PS_VAL270 IS NOT NULL),
    CONSTRAINT            L1PS_VAL271_NN         CHECK ( L1PS_VAL271 IS NOT NULL),
    CONSTRAINT            L1PS_VAL272_NN         CHECK ( L1PS_VAL272 IS NOT NULL),
    CONSTRAINT            L1PS_VAL273_NN         CHECK ( L1PS_VAL273 IS NOT NULL),
    CONSTRAINT            L1PS_VAL274_NN         CHECK ( L1PS_VAL274 IS NOT NULL),
    CONSTRAINT            L1PS_VAL275_NN         CHECK ( L1PS_VAL275 IS NOT NULL),
    CONSTRAINT            L1PS_VAL276_NN         CHECK ( L1PS_VAL276 IS NOT NULL),
    CONSTRAINT            L1PS_VAL277_NN         CHECK ( L1PS_VAL277 IS NOT NULL),
    CONSTRAINT            L1PS_VAL278_NN         CHECK ( L1PS_VAL278 IS NOT NULL),
    CONSTRAINT            L1PS_VAL279_NN         CHECK ( L1PS_VAL279 IS NOT NULL),
    CONSTRAINT            L1PS_VAL280_NN         CHECK ( L1PS_VAL280 IS NOT NULL),
    CONSTRAINT            L1PS_VAL281_NN         CHECK ( L1PS_VAL281 IS NOT NULL),
    CONSTRAINT            L1PS_VAL282_NN         CHECK ( L1PS_VAL282 IS NOT NULL),
    CONSTRAINT            L1PS_VAL283_NN         CHECK ( L1PS_VAL283 IS NOT NULL),
    CONSTRAINT            L1PS_VAL284_NN         CHECK ( L1PS_VAL284 IS NOT NULL),
    CONSTRAINT            L1PS_VAL285_NN         CHECK ( L1PS_VAL285 IS NOT NULL),
    CONSTRAINT            L1PS_VAL286_NN         CHECK ( L1PS_VAL286 IS NOT NULL),
    CONSTRAINT            L1PS_VAL287_NN         CHECK ( L1PS_VAL287 IS NOT NULL),
    CONSTRAINT            L1PS_VAL288_NN         CHECK ( L1PS_VAL288 IS NOT NULL),
    CONSTRAINT            L1PS_VAL289_NN         CHECK ( L1PS_VAL289 IS NOT NULL),
    CONSTRAINT            L1PS_VAL290_NN         CHECK ( L1PS_VAL290 IS NOT NULL),
    CONSTRAINT            L1PS_VAL291_NN         CHECK ( L1PS_VAL291 IS NOT NULL),
    CONSTRAINT            L1PS_VAL292_NN         CHECK ( L1PS_VAL292 IS NOT NULL),
    CONSTRAINT            L1PS_VAL293_NN         CHECK ( L1PS_VAL293 IS NOT NULL),
    CONSTRAINT            L1PS_VAL294_NN         CHECK ( L1PS_VAL294 IS NOT NULL),
    CONSTRAINT            L1PS_VAL295_NN         CHECK ( L1PS_VAL295 IS NOT NULL),
    CONSTRAINT            L1PS_VAL296_NN         CHECK ( L1PS_VAL296 IS NOT NULL),
    CONSTRAINT            L1PS_VAL297_NN         CHECK ( L1PS_VAL297 IS NOT NULL),
    CONSTRAINT            L1PS_VAL298_NN         CHECK ( L1PS_VAL298 IS NOT NULL),
    CONSTRAINT            L1PS_VAL299_NN         CHECK ( L1PS_VAL299 IS NOT NULL),
    CONSTRAINT            L1PS_VAL300_NN         CHECK ( L1PS_VAL300 IS NOT NULL),
    CONSTRAINT            L1PS_VAL301_NN         CHECK ( L1PS_VAL301 IS NOT NULL),
    CONSTRAINT            L1PS_VAL302_NN         CHECK ( L1PS_VAL302 IS NOT NULL),
    CONSTRAINT            L1PS_VAL303_NN         CHECK ( L1PS_VAL303 IS NOT NULL),
    CONSTRAINT            L1PS_VAL304_NN         CHECK ( L1PS_VAL304 IS NOT NULL),
    CONSTRAINT            L1PS_VAL305_NN         CHECK ( L1PS_VAL305 IS NOT NULL),
    CONSTRAINT            L1PS_VAL306_NN         CHECK ( L1PS_VAL306 IS NOT NULL),
    CONSTRAINT            L1PS_VAL307_NN         CHECK ( L1PS_VAL307 IS NOT NULL),
    CONSTRAINT            L1PS_VAL308_NN         CHECK ( L1PS_VAL308 IS NOT NULL),
    CONSTRAINT            L1PS_VAL309_NN         CHECK ( L1PS_VAL309 IS NOT NULL),
    CONSTRAINT            L1PS_VAL310_NN         CHECK ( L1PS_VAL310 IS NOT NULL),
    CONSTRAINT            L1PS_VAL311_NN         CHECK ( L1PS_VAL311 IS NOT NULL),
    CONSTRAINT            L1PS_VAL312_NN         CHECK ( L1PS_VAL312 IS NOT NULL),
    CONSTRAINT            L1PS_VAL313_NN         CHECK ( L1PS_VAL313 IS NOT NULL),
    CONSTRAINT            L1PS_VAL314_NN         CHECK ( L1PS_VAL314 IS NOT NULL),
    CONSTRAINT            L1PS_VAL315_NN         CHECK ( L1PS_VAL315 IS NOT NULL),
    CONSTRAINT            L1PS_VAL316_NN         CHECK ( L1PS_VAL316 IS NOT NULL),
    CONSTRAINT            L1PS_VAL317_NN         CHECK ( L1PS_VAL317 IS NOT NULL),
    CONSTRAINT            L1PS_VAL318_NN         CHECK ( L1PS_VAL318 IS NOT NULL),
    CONSTRAINT            L1PS_VAL319_NN         CHECK ( L1PS_VAL319 IS NOT NULL),
    CONSTRAINT            L1PS_VAL320_NN         CHECK ( L1PS_VAL320 IS NOT NULL),
    CONSTRAINT            L1PS_VAL321_NN         CHECK ( L1PS_VAL321 IS NOT NULL),
    CONSTRAINT            L1PS_VAL322_NN         CHECK ( L1PS_VAL322 IS NOT NULL),
    CONSTRAINT            L1PS_VAL323_NN         CHECK ( L1PS_VAL323 IS NOT NULL),
    CONSTRAINT            L1PS_VAL324_NN         CHECK ( L1PS_VAL324 IS NOT NULL),
    CONSTRAINT            L1PS_VAL325_NN         CHECK ( L1PS_VAL325 IS NOT NULL),
    CONSTRAINT            L1PS_VAL326_NN         CHECK ( L1PS_VAL326 IS NOT NULL),
    CONSTRAINT            L1PS_VAL327_NN         CHECK ( L1PS_VAL327 IS NOT NULL),
    CONSTRAINT            L1PS_VAL328_NN         CHECK ( L1PS_VAL328 IS NOT NULL),
    CONSTRAINT            L1PS_VAL329_NN         CHECK ( L1PS_VAL329 IS NOT NULL),
    CONSTRAINT            L1PS_VAL330_NN         CHECK ( L1PS_VAL330 IS NOT NULL),
    CONSTRAINT            L1PS_VAL331_NN         CHECK ( L1PS_VAL331 IS NOT NULL),
    CONSTRAINT            L1PS_VAL332_NN         CHECK ( L1PS_VAL332 IS NOT NULL),
    CONSTRAINT            L1PS_VAL333_NN         CHECK ( L1PS_VAL333 IS NOT NULL),
    CONSTRAINT            L1PS_VAL334_NN         CHECK ( L1PS_VAL334 IS NOT NULL),
    CONSTRAINT            L1PS_VAL335_NN         CHECK ( L1PS_VAL335 IS NOT NULL),
    CONSTRAINT            L1PS_VAL336_NN         CHECK ( L1PS_VAL336 IS NOT NULL),
    CONSTRAINT            L1PS_VAL337_NN         CHECK ( L1PS_VAL337 IS NOT NULL),
    CONSTRAINT            L1PS_VAL338_NN         CHECK ( L1PS_VAL338 IS NOT NULL),
    CONSTRAINT            L1PS_VAL339_NN         CHECK ( L1PS_VAL339 IS NOT NULL),
    CONSTRAINT            L1PS_VAL340_NN         CHECK ( L1PS_VAL340 IS NOT NULL),
    CONSTRAINT            L1PS_VAL341_NN         CHECK ( L1PS_VAL341 IS NOT NULL),
    CONSTRAINT            L1PS_VAL342_NN         CHECK ( L1PS_VAL342 IS NOT NULL),
    CONSTRAINT            L1PS_VAL343_NN         CHECK ( L1PS_VAL343 IS NOT NULL),
    CONSTRAINT            L1PS_VAL344_NN         CHECK ( L1PS_VAL344 IS NOT NULL),
    CONSTRAINT            L1PS_VAL345_NN         CHECK ( L1PS_VAL345 IS NOT NULL),
    CONSTRAINT            L1PS_VAL346_NN         CHECK ( L1PS_VAL346 IS NOT NULL),
    CONSTRAINT            L1PS_VAL347_NN         CHECK ( L1PS_VAL347 IS NOT NULL),
    CONSTRAINT            L1PS_VAL348_NN         CHECK ( L1PS_VAL348 IS NOT NULL),
    CONSTRAINT            L1PS_VAL349_NN         CHECK ( L1PS_VAL349 IS NOT NULL),
    CONSTRAINT            L1PS_VAL350_NN         CHECK ( L1PS_VAL350 IS NOT NULL),
    CONSTRAINT            L1PS_VAL351_NN         CHECK ( L1PS_VAL351 IS NOT NULL),
    CONSTRAINT            L1PS_VAL352_NN         CHECK ( L1PS_VAL352 IS NOT NULL),
    CONSTRAINT            L1PS_VAL353_NN         CHECK ( L1PS_VAL353 IS NOT NULL),
    CONSTRAINT            L1PS_VAL354_NN         CHECK ( L1PS_VAL354 IS NOT NULL),
    CONSTRAINT            L1PS_VAL355_NN         CHECK ( L1PS_VAL355 IS NOT NULL),
    CONSTRAINT            L1PS_VAL356_NN         CHECK ( L1PS_VAL356 IS NOT NULL),
    CONSTRAINT            L1PS_VAL357_NN         CHECK ( L1PS_VAL357 IS NOT NULL),
    CONSTRAINT            L1PS_VAL358_NN         CHECK ( L1PS_VAL358 IS NOT NULL),
    CONSTRAINT            L1PS_VAL359_NN         CHECK ( L1PS_VAL359 IS NOT NULL),
    CONSTRAINT            L1PS_VAL360_NN         CHECK ( L1PS_VAL360 IS NOT NULL),
    CONSTRAINT            L1PS_VAL361_NN         CHECK ( L1PS_VAL361 IS NOT NULL),
    CONSTRAINT            L1PS_VAL362_NN         CHECK ( L1PS_VAL362 IS NOT NULL),
    CONSTRAINT            L1PS_VAL363_NN         CHECK ( L1PS_VAL363 IS NOT NULL),
    CONSTRAINT            L1PS_VAL364_NN         CHECK ( L1PS_VAL364 IS NOT NULL),
    CONSTRAINT            L1PS_VAL365_NN         CHECK ( L1PS_VAL365 IS NOT NULL),
    CONSTRAINT            L1PS_VAL366_NN         CHECK ( L1PS_VAL366 IS NOT NULL),
    CONSTRAINT            L1PS_VAL367_NN         CHECK ( L1PS_VAL367 IS NOT NULL),
    CONSTRAINT            L1PS_VAL368_NN         CHECK ( L1PS_VAL368 IS NOT NULL),
    CONSTRAINT            L1PS_VAL369_NN         CHECK ( L1PS_VAL369 IS NOT NULL),
    CONSTRAINT            L1PS_VAL370_NN         CHECK ( L1PS_VAL370 IS NOT NULL),
    CONSTRAINT            L1PS_VAL371_NN         CHECK ( L1PS_VAL371 IS NOT NULL),
    CONSTRAINT            L1PS_VAL372_NN         CHECK ( L1PS_VAL372 IS NOT NULL),
    CONSTRAINT            L1PS_VAL373_NN         CHECK ( L1PS_VAL373 IS NOT NULL),
    CONSTRAINT            L1PS_VAL374_NN         CHECK ( L1PS_VAL374 IS NOT NULL),
    CONSTRAINT            L1PS_VAL375_NN         CHECK ( L1PS_VAL375 IS NOT NULL),
    CONSTRAINT            L1PS_VAL376_NN         CHECK ( L1PS_VAL376 IS NOT NULL),
    CONSTRAINT            L1PS_VAL377_NN         CHECK ( L1PS_VAL377 IS NOT NULL),
    CONSTRAINT            L1PS_VAL378_NN         CHECK ( L1PS_VAL378 IS NOT NULL),
    CONSTRAINT            L1PS_VAL379_NN         CHECK ( L1PS_VAL379 IS NOT NULL),
    CONSTRAINT            L1PS_VAL380_NN         CHECK ( L1PS_VAL380 IS NOT NULL),
    CONSTRAINT            L1PS_VAL381_NN         CHECK ( L1PS_VAL381 IS NOT NULL),
    CONSTRAINT            L1PS_VAL382_NN         CHECK ( L1PS_VAL382 IS NOT NULL),
    CONSTRAINT            L1PS_VAL383_NN         CHECK ( L1PS_VAL383 IS NOT NULL),
    CONSTRAINT            L1PS_VAL384_NN         CHECK ( L1PS_VAL384 IS NOT NULL),
    CONSTRAINT            L1PS_VAL385_NN         CHECK ( L1PS_VAL385 IS NOT NULL),
    CONSTRAINT            L1PS_VAL386_NN         CHECK ( L1PS_VAL386 IS NOT NULL),
    CONSTRAINT            L1PS_VAL387_NN         CHECK ( L1PS_VAL387 IS NOT NULL),
    CONSTRAINT            L1PS_VAL388_NN         CHECK ( L1PS_VAL388 IS NOT NULL),
    CONSTRAINT            L1PS_VAL389_NN         CHECK ( L1PS_VAL389 IS NOT NULL),
    CONSTRAINT            L1PS_VAL390_NN         CHECK ( L1PS_VAL390 IS NOT NULL),
    CONSTRAINT            L1PS_VAL391_NN         CHECK ( L1PS_VAL391 IS NOT NULL),
    CONSTRAINT            L1PS_VAL392_NN         CHECK ( L1PS_VAL392 IS NOT NULL),
    CONSTRAINT            L1PS_VAL393_NN         CHECK ( L1PS_VAL393 IS NOT NULL),
    CONSTRAINT            L1PS_VAL394_NN         CHECK ( L1PS_VAL394 IS NOT NULL),
    CONSTRAINT            L1PS_VAL395_NN         CHECK ( L1PS_VAL395 IS NOT NULL),
    CONSTRAINT            L1PS_VAL396_NN         CHECK ( L1PS_VAL396 IS NOT NULL),
    CONSTRAINT            L1PS_VAL397_NN         CHECK ( L1PS_VAL397 IS NOT NULL),
    CONSTRAINT            L1PS_VAL398_NN         CHECK ( L1PS_VAL398 IS NOT NULL),
    CONSTRAINT            L1PS_VAL399_NN         CHECK ( L1PS_VAL399 IS NOT NULL),
    CONSTRAINT            L1PS_VAL400_NN         CHECK ( L1PS_VAL400 IS NOT NULL),
    CONSTRAINT            L1PS_VAL401_NN         CHECK ( L1PS_VAL401 IS NOT NULL),
    CONSTRAINT            L1PS_VAL402_NN         CHECK ( L1PS_VAL402 IS NOT NULL),
    CONSTRAINT            L1PS_VAL403_NN         CHECK ( L1PS_VAL403 IS NOT NULL),
    CONSTRAINT            L1PS_VAL404_NN         CHECK ( L1PS_VAL404 IS NOT NULL),
    CONSTRAINT            L1PS_VAL405_NN         CHECK ( L1PS_VAL405 IS NOT NULL),
    CONSTRAINT            L1PS_VAL406_NN         CHECK ( L1PS_VAL406 IS NOT NULL),
    CONSTRAINT            L1PS_VAL407_NN         CHECK ( L1PS_VAL407 IS NOT NULL),
    CONSTRAINT            L1PS_VAL408_NN         CHECK ( L1PS_VAL408 IS NOT NULL),
    CONSTRAINT            L1PS_VAL409_NN         CHECK ( L1PS_VAL409 IS NOT NULL),
    CONSTRAINT            L1PS_VAL410_NN         CHECK ( L1PS_VAL410 IS NOT NULL),
    CONSTRAINT            L1PS_VAL411_NN         CHECK ( L1PS_VAL411 IS NOT NULL),
    CONSTRAINT            L1PS_VAL412_NN         CHECK ( L1PS_VAL412 IS NOT NULL),
    CONSTRAINT            L1PS_VAL413_NN         CHECK ( L1PS_VAL413 IS NOT NULL),
    CONSTRAINT            L1PS_VAL414_NN         CHECK ( L1PS_VAL414 IS NOT NULL),
    CONSTRAINT            L1PS_VAL415_NN         CHECK ( L1PS_VAL415 IS NOT NULL),
    CONSTRAINT            L1PS_VAL416_NN         CHECK ( L1PS_VAL416 IS NOT NULL),
    CONSTRAINT            L1PS_VAL417_NN         CHECK ( L1PS_VAL417 IS NOT NULL),
    CONSTRAINT            L1PS_VAL418_NN         CHECK ( L1PS_VAL418 IS NOT NULL),
    CONSTRAINT            L1PS_VAL419_NN         CHECK ( L1PS_VAL419 IS NOT NULL),
    CONSTRAINT            L1PS_VAL420_NN         CHECK ( L1PS_VAL420 IS NOT NULL),
    CONSTRAINT            L1PS_VAL421_NN         CHECK ( L1PS_VAL421 IS NOT NULL),
    CONSTRAINT            L1PS_VAL422_NN         CHECK ( L1PS_VAL422 IS NOT NULL),
    CONSTRAINT            L1PS_VAL423_NN         CHECK ( L1PS_VAL423 IS NOT NULL),
    CONSTRAINT            L1PS_VAL424_NN         CHECK ( L1PS_VAL424 IS NOT NULL),
    CONSTRAINT            L1PS_VAL425_NN         CHECK ( L1PS_VAL425 IS NOT NULL),
    CONSTRAINT            L1PS_VAL426_NN         CHECK ( L1PS_VAL426 IS NOT NULL),
    CONSTRAINT            L1PS_VAL427_NN         CHECK ( L1PS_VAL427 IS NOT NULL),
    CONSTRAINT            L1PS_VAL428_NN         CHECK ( L1PS_VAL428 IS NOT NULL),
    CONSTRAINT            L1PS_VAL429_NN         CHECK ( L1PS_VAL429 IS NOT NULL),
    CONSTRAINT            L1PS_VAL430_NN         CHECK ( L1PS_VAL430 IS NOT NULL),
    CONSTRAINT            L1PS_VAL431_NN         CHECK ( L1PS_VAL431 IS NOT NULL),
    CONSTRAINT            L1PS_VAL432_NN         CHECK ( L1PS_VAL432 IS NOT NULL),
    CONSTRAINT            L1PS_VAL433_NN         CHECK ( L1PS_VAL433 IS NOT NULL),
    CONSTRAINT            L1PS_VAL434_NN         CHECK ( L1PS_VAL434 IS NOT NULL),
    CONSTRAINT            L1PS_VAL435_NN         CHECK ( L1PS_VAL435 IS NOT NULL),
    CONSTRAINT            L1PS_VAL436_NN         CHECK ( L1PS_VAL436 IS NOT NULL),
    CONSTRAINT            L1PS_VAL437_NN         CHECK ( L1PS_VAL437 IS NOT NULL),
    CONSTRAINT            L1PS_VAL438_NN         CHECK ( L1PS_VAL438 IS NOT NULL),
    CONSTRAINT            L1PS_VAL439_NN         CHECK ( L1PS_VAL439 IS NOT NULL),
    CONSTRAINT            L1PS_VAL440_NN         CHECK ( L1PS_VAL440 IS NOT NULL),
    CONSTRAINT            L1PS_VAL441_NN         CHECK ( L1PS_VAL441 IS NOT NULL),
    CONSTRAINT            L1PS_VAL442_NN         CHECK ( L1PS_VAL442 IS NOT NULL),
    CONSTRAINT            L1PS_VAL443_NN         CHECK ( L1PS_VAL443 IS NOT NULL),
    CONSTRAINT            L1PS_VAL444_NN         CHECK ( L1PS_VAL444 IS NOT NULL),
    CONSTRAINT            L1PS_VAL445_NN         CHECK ( L1PS_VAL445 IS NOT NULL),
    CONSTRAINT            L1PS_VAL446_NN         CHECK ( L1PS_VAL446 IS NOT NULL),
    CONSTRAINT            L1PS_VAL447_NN         CHECK ( L1PS_VAL447 IS NOT NULL),
    CONSTRAINT            L1PS_VAL448_NN         CHECK ( L1PS_VAL448 IS NOT NULL),
    CONSTRAINT            L1PS_VAL449_NN         CHECK ( L1PS_VAL449 IS NOT NULL),
    CONSTRAINT            L1PS_VAL450_NN         CHECK ( L1PS_VAL450 IS NOT NULL),
    CONSTRAINT            L1PS_VAL451_NN         CHECK ( L1PS_VAL451 IS NOT NULL),
    CONSTRAINT            L1PS_VAL452_NN         CHECK ( L1PS_VAL452 IS NOT NULL),
    CONSTRAINT            L1PS_VAL453_NN         CHECK ( L1PS_VAL453 IS NOT NULL),
    CONSTRAINT            L1PS_VAL454_NN         CHECK ( L1PS_VAL454 IS NOT NULL),
    CONSTRAINT            L1PS_VAL455_NN         CHECK ( L1PS_VAL455 IS NOT NULL),
    CONSTRAINT            L1PS_VAL456_NN         CHECK ( L1PS_VAL456 IS NOT NULL),
    CONSTRAINT            L1PS_VAL457_NN         CHECK ( L1PS_VAL457 IS NOT NULL),
    CONSTRAINT            L1PS_VAL458_NN         CHECK ( L1PS_VAL458 IS NOT NULL),
    CONSTRAINT            L1PS_VAL459_NN         CHECK ( L1PS_VAL459 IS NOT NULL),
    CONSTRAINT            L1PS_VAL460_NN         CHECK ( L1PS_VAL460 IS NOT NULL),
    CONSTRAINT            L1PS_VAL461_NN         CHECK ( L1PS_VAL461 IS NOT NULL),
    CONSTRAINT            L1PS_VAL462_NN         CHECK ( L1PS_VAL462 IS NOT NULL),
    CONSTRAINT            L1PS_VAL463_NN         CHECK ( L1PS_VAL463 IS NOT NULL),
    CONSTRAINT            L1PS_VAL464_NN         CHECK ( L1PS_VAL464 IS NOT NULL),
    CONSTRAINT            L1PS_VAL465_NN         CHECK ( L1PS_VAL465 IS NOT NULL),
    CONSTRAINT            L1PS_VAL466_NN         CHECK ( L1PS_VAL466 IS NOT NULL),
    CONSTRAINT            L1PS_VAL467_NN         CHECK ( L1PS_VAL467 IS NOT NULL),
    CONSTRAINT            L1PS_VAL468_NN         CHECK ( L1PS_VAL468 IS NOT NULL),
    CONSTRAINT            L1PS_VAL469_NN         CHECK ( L1PS_VAL469 IS NOT NULL),
    CONSTRAINT            L1PS_VAL470_NN         CHECK ( L1PS_VAL470 IS NOT NULL),
    CONSTRAINT            L1PS_VAL471_NN         CHECK ( L1PS_VAL471 IS NOT NULL),
    CONSTRAINT            L1PS_VAL472_NN         CHECK ( L1PS_VAL472 IS NOT NULL),
    CONSTRAINT            L1PS_VAL473_NN         CHECK ( L1PS_VAL473 IS NOT NULL),
    CONSTRAINT            L1PS_VAL474_NN         CHECK ( L1PS_VAL474 IS NOT NULL),
    CONSTRAINT            L1PS_VAL475_NN         CHECK ( L1PS_VAL475 IS NOT NULL),
    CONSTRAINT            L1PS_VAL476_NN         CHECK ( L1PS_VAL476 IS NOT NULL),
    CONSTRAINT            L1PS_VAL477_NN         CHECK ( L1PS_VAL477 IS NOT NULL),
    CONSTRAINT            L1PS_VAL478_NN         CHECK ( L1PS_VAL478 IS NOT NULL),
    CONSTRAINT            L1PS_VAL479_NN         CHECK ( L1PS_VAL479 IS NOT NULL),
    CONSTRAINT            L1PS_VAL480_NN         CHECK ( L1PS_VAL480 IS NOT NULL),
    CONSTRAINT            L1PS_VAL481_NN         CHECK ( L1PS_VAL481 IS NOT NULL),
    CONSTRAINT            L1PS_VAL482_NN         CHECK ( L1PS_VAL482 IS NOT NULL),
    CONSTRAINT            L1PS_VAL483_NN         CHECK ( L1PS_VAL483 IS NOT NULL),
    CONSTRAINT            L1PS_VAL484_NN         CHECK ( L1PS_VAL484 IS NOT NULL),
    CONSTRAINT            L1PS_VAL485_NN         CHECK ( L1PS_VAL485 IS NOT NULL),
    CONSTRAINT            L1PS_VAL486_NN         CHECK ( L1PS_VAL486 IS NOT NULL),
    CONSTRAINT            L1PS_VAL487_NN         CHECK ( L1PS_VAL487 IS NOT NULL),
    CONSTRAINT            L1PS_VAL488_NN         CHECK ( L1PS_VAL488 IS NOT NULL),
    CONSTRAINT            L1PS_VAL489_NN         CHECK ( L1PS_VAL489 IS NOT NULL),
    CONSTRAINT            L1PS_VAL490_NN         CHECK ( L1PS_VAL490 IS NOT NULL),
    CONSTRAINT            L1PS_VAL491_NN         CHECK ( L1PS_VAL491 IS NOT NULL),
    CONSTRAINT            L1PS_VAL492_NN         CHECK ( L1PS_VAL492 IS NOT NULL),
    CONSTRAINT            L1PS_VAL493_NN         CHECK ( L1PS_VAL493 IS NOT NULL),
    CONSTRAINT            L1PS_VAL494_NN         CHECK ( L1PS_VAL494 IS NOT NULL),
    CONSTRAINT            L1PS_VAL495_NN         CHECK ( L1PS_VAL495 IS NOT NULL),
    CONSTRAINT            L1PS_VAL496_NN         CHECK ( L1PS_VAL496 IS NOT NULL),
    CONSTRAINT            L1PS_VAL497_NN         CHECK ( L1PS_VAL497 IS NOT NULL),
    CONSTRAINT            L1PS_VAL498_NN         CHECK ( L1PS_VAL498 IS NOT NULL),
    CONSTRAINT            L1PS_VAL499_NN         CHECK ( L1PS_VAL499 IS NOT NULL),
    CONSTRAINT            L1PS_VAL500_NN         CHECK ( L1PS_VAL500 IS NOT NULL),
    CONSTRAINT            L1PS_VAL501_NN         CHECK ( L1PS_VAL501 IS NOT NULL),
    CONSTRAINT            L1PS_VAL502_NN         CHECK ( L1PS_VAL502 IS NOT NULL),
    CONSTRAINT            L1PS_VAL503_NN         CHECK ( L1PS_VAL503 IS NOT NULL),
    CONSTRAINT            L1PS_VAL504_NN         CHECK ( L1PS_VAL504 IS NOT NULL),
    CONSTRAINT            L1PS_VAL505_NN         CHECK ( L1PS_VAL505 IS NOT NULL),
    CONSTRAINT            L1PS_VAL506_NN         CHECK ( L1PS_VAL506 IS NOT NULL),
    CONSTRAINT            L1PS_VAL507_NN         CHECK ( L1PS_VAL507 IS NOT NULL),
    CONSTRAINT            L1PS_VAL508_NN         CHECK ( L1PS_VAL508 IS NOT NULL),
    CONSTRAINT            L1PS_VAL509_NN         CHECK ( L1PS_VAL509 IS NOT NULL),
    CONSTRAINT            L1PS_VAL510_NN         CHECK ( L1PS_VAL510 IS NOT NULL),
    CONSTRAINT            L1PS_VAL511_NN         CHECK ( L1PS_VAL511 IS NOT NULL),
    CONSTRAINT            L1PS_VAL512_NN         CHECK ( L1PS_VAL512 IS NOT NULL),
CONSTRAINT            L1PS_USED_NN        CHECK ( L1PS_USED IS NOT NULL)
);
CREATE TABLE L1_TM_TO_PS ( 
    L1TM2PS_ID             NUMBER(10),    
    L1TM2PS_TRIGGER_MENU_ID     NUMBER(10),    
    L1TM2PS_PRESCALE_SET_ID     NUMBER(10),    
    L1TM2PS_USED            CHAR            DEFAULT 0,
    CONSTRAINT            L1TM2PS_PK        PRIMARY KEY (L1TM2PS_ID),
    CONSTRAINT            L1TM2PS_FK_TM        FOREIGN KEY (L1TM2PS_TRIGGER_MENU_ID)
                                REFERENCES L1_TRIGGER_MENU(L1TM_ID),
    CONSTRAINT            L1TM2PS_FK_PS         FOREIGN KEY (L1TM2PS_PRESCALE_SET_ID)
                                REFERENCES L1_PRESCALE_SET(L1PS_ID),
    CONSTRAINT            L1TM2PS_ID_NN         CHECK ( L1TM2PS_ID IS NOT NULL),
    CONSTRAINT            L1TM2PS_MENU_ID_NN     CHECK ( L1TM2PS_TRIGGER_MENU_ID IS NOT NULL),
    CONSTRAINT            L1TM2PS_PSS_ID_NN     CHECK ( L1TM2PS_PRESCALE_SET_ID IS NOT NULL),
    CONSTRAINT            L1TM2PS_USED_NN     CHECK ( L1TM2PS_USED IS NOT NULL)
);
CREATE INDEX L1TM2PS_TRIGGER_MENU_ID_IND ON L1_TM_TO_PS(L1TM2PS_TRIGGER_MENU_ID) COMPRESS 1;
CREATE INDEX L1TM2PS_PRESCALE_SET_ID_IND ON L1_TM_TO_PS(L1TM2PS_PRESCALE_SET_ID) COMPRESS 1;
CREATE TABLE L1_TM_TO_TI ( 
    L1TM2TI_ID             NUMBER(10),
    L1TM2TI_TRIGGER_MENU_ID     NUMBER(10),
    L1TM2TI_TRIGGER_ITEM_ID     NUMBER(10),
    CONSTRAINT            L1TM2TI_PK        PRIMARY KEY (L1TM2TI_ID),
    CONSTRAINT            L1TM2TI_FK_TM        FOREIGN KEY (L1TM2TI_TRIGGER_MENU_ID) 
                                REFERENCES L1_TRIGGER_MENU(L1TM_ID),
    CONSTRAINT            L1TM2TI_FK_TI         FOREIGN KEY (L1TM2TI_TRIGGER_ITEM_ID) 
                                REFERENCES L1_TRIGGER_ITEM(L1TI_ID),
    CONSTRAINT            L1TM2TI_ID_NN         CHECK ( L1TM2TI_ID IS NOT NULL),
    CONSTRAINT            L1TM2TI_TRIGGER_MENU_ID_NN         CHECK ( L1TM2TI_TRIGGER_MENU_ID IS NOT NULL),
    CONSTRAINT            L1TM2TI_TRIGGER_ITEM_ID_NN         CHECK ( L1TM2TI_TRIGGER_ITEM_ID IS NOT NULL)
);
CREATE INDEX L1TM2TI_TRIGGER_MENU_ID_IND ON L1_TM_TO_TI(L1TM2TI_TRIGGER_MENU_ID) COMPRESS 1;
CREATE INDEX L1TM2TI_TRIGGER_ITEM_ID_IND ON L1_TM_TO_TI(L1TM2TI_TRIGGER_ITEM_ID) COMPRESS 1;
CREATE TABLE L1_TI_TO_TT ( 
    L1TI2TT_ID             NUMBER(10),
    L1TI2TT_TRIGGER_ITEM_ID     NUMBER(10),
    L1TI2TT_TRIGGER_THRESHOLD_ID     NUMBER(10),
    L1TI2TT_POSITION        NUMBER(10),
    L1TI2TT_MULTIPLICITY        NUMBER(10),
    CONSTRAINT            L1TI2TT_PK        PRIMARY KEY (L1TI2TT_ID),
    CONSTRAINT            L1TI2TT_FK_TI        FOREIGN KEY (L1TI2TT_TRIGGER_ITEM_ID) 
                                REFERENCES L1_TRIGGER_ITEM(L1TI_ID),
    CONSTRAINT            L1TI2TT_FK_TT        FOREIGN KEY (L1TI2TT_TRIGGER_THRESHOLD_ID)
                                REFERENCES L1_TRIGGER_THRESHOLD(L1TT_ID),
    CONSTRAINT            L1TI2TT_ID_NN         CHECK ( L1TI2TT_ID IS NOT NULL),
    CONSTRAINT            L1TI2TT_ITEM_ID_NN     CHECK ( L1TI2TT_TRIGGER_ITEM_ID IS NOT NULL),
    CONSTRAINT            L1TI2TT_THRES_ID_NN     CHECK ( L1TI2TT_TRIGGER_THRESHOLD_ID IS NOT NULL),
    CONSTRAINT            L1TI2TT_POSITION_NN     CHECK ( L1TI2TT_POSITION IS NOT NULL),
    CONSTRAINT            L1TI2TT_MULTIPLICITY_NN CHECK ( L1TI2TT_MULTIPLICITY IS NOT NULL)
);
CREATE INDEX L1TI2TT_TRIGGER_ITEM_ID_IND  ON L1_TI_TO_TT(L1TI2TT_TRIGGER_ITEM_ID) COMPRESS 1;
CREATE INDEX L1TI2TT_TRIGGER_THRES_ID_IND ON L1_TI_TO_TT(L1TI2TT_TRIGGER_THRESHOLD_ID) COMPRESS 1;
CREATE TABLE L1_TT_TO_TTV (
    L1TT2TTV_ID             NUMBER(10),     
    L1TT2TTV_TRIGGER_THRESHOLD_ID     NUMBER(10),     
    L1TT2TTV_TRIG_THRES_VALUE_ID     NUMBER(10),     
    CONSTRAINT            L1TT2TTV_PK        PRIMARY KEY (L1TT2TTV_ID),
    CONSTRAINT            L1TT2TTV_FK_TT        FOREIGN KEY (L1TT2TTV_TRIGGER_THRESHOLD_ID)
                                REFERENCES L1_TRIGGER_THRESHOLD(L1TT_ID),
    CONSTRAINT            L1TT2TTV_FK_TTV        FOREIGN KEY (L1TT2TTV_TRIG_THRES_VALUE_ID)
                                REFERENCES L1_TRIGGER_THRESHOLD_VALUE(L1TTV_ID),
    CONSTRAINT            L1TT2TTV_ID_NN         CHECK ( L1TT2TTV_ID IS NOT NULL),
    CONSTRAINT            L1TT2TTV_THRES_ID_NN    CHECK ( L1TT2TTV_TRIGGER_THRESHOLD_ID IS NOT NULL),
    CONSTRAINT            L1TT2TTV_THRES_VA_ID_NN CHECK ( L1TT2TTV_TRIG_THRES_VALUE_ID IS NOT NULL)
);
CREATE INDEX L1TT2TTV_TRIGGER_THRES_ID_IND  ON L1_TT_TO_TTV(L1TT2TTV_TRIGGER_THRESHOLD_ID) COMPRESS 1;
CREATE INDEX L1TT2TTV_TRIG_THRES_VAL_ID_IND ON L1_TT_TO_TTV(L1TT2TTV_TRIG_THRES_VALUE_ID) COMPRESS 1;
CREATE TABLE L1_TM_TO_TT_FORCED ( 
    L1TM2TTF_ID             NUMBER(10), 
    L1TM2TTF_TRIGGER_MENU_ID     NUMBER(10), 
    L1TM2TTF_TRIGGER_THRESHOLD_ID     NUMBER(10), 
    CONSTRAINT            L1TM2TTF_PK        PRIMARY KEY (L1TM2TTF_ID),
    CONSTRAINT            L1TM2TTF_FK_TM        FOREIGN KEY (L1TM2TTF_TRIGGER_MENU_ID) 
                                REFERENCES L1_TRIGGER_MENU(L1TM_ID),
    CONSTRAINT            L1TM2TTF_FK_TT        FOREIGN KEY (L1TM2TTF_TRIGGER_THRESHOLD_ID)
                                REFERENCES L1_TRIGGER_THRESHOLD(L1TT_ID),
    CONSTRAINT            L1TM2TTF_ID_NN         CHECK ( L1TM2TTF_ID IS NOT NULL),
    CONSTRAINT            L1TM2TTF_MENU_ID_NN    CHECK ( L1TM2TTF_TRIGGER_MENU_ID IS NOT NULL),
    CONSTRAINT            L1TM2TTF_THRES_ID_NN     CHECK ( L1TM2TTF_TRIGGER_THRESHOLD_ID IS NOT NULL)
);
CREATE INDEX L1TM2TTF_TRIGGER_MENU_ID_IND ON L1_TM_TO_TT_FORCED(L1TM2TTF_TRIGGER_MENU_ID) COMPRESS 1;
CREATE INDEX L1TM2TTF_TRIGGER_THRESID_IND ON L1_TM_TO_TT_FORCED(L1TM2TTF_TRIGGER_THRESHOLD_ID) COMPRESS 1;
CREATE TABLE L1_TM_TO_TT ( 
    L1TM2TT_ID                   NUMBER(10),     
    L1TM2TT_TRIGGER_MENU_ID      NUMBER(10),     
    L1TM2TT_TRIGGER_THRESHOLD_ID NUMBER(10),     
    L1TM2TT_CABLE_NAME           VARCHAR2(12),    
    L1TM2TT_CABLE_CTPIN          VARCHAR2(10),    
    L1TM2TT_CABLE_CONNECTOR      VARCHAR2(10),    
    L1TM2TT_CABLE_START          NUMBER(10),    
    L1TM2TT_CABLE_END            NUMBER(10),    
    L1TM2TT_CABLE_CLOCK          NUMBER(2),    
    CONSTRAINT            L1TM2TT_PK        PRIMARY KEY (L1TM2TT_ID),
    CONSTRAINT            L1TM2TT_FK_TM        FOREIGN KEY (L1TM2TT_TRIGGER_MENU_ID) 
                                REFERENCES L1_TRIGGER_MENU(L1TM_ID),
    CONSTRAINT            L1TM2TT_FK_TT        FOREIGN KEY (L1TM2TT_TRIGGER_THRESHOLD_ID)
                                REFERENCES L1_TRIGGER_THRESHOLD(L1TT_ID),
    CONSTRAINT            L1TM2TT_ID_NN              CHECK ( L1TM2TT_ID IS NOT NULL),
    CONSTRAINT            L1TM2TT_MENU_ID_NN         CHECK ( L1TM2TT_TRIGGER_MENU_ID IS NOT NULL),
    CONSTRAINT            L1TM2TT_THRES_ID_NN        CHECK ( L1TM2TT_TRIGGER_THRESHOLD_ID IS NOT NULL),
    CONSTRAINT            L1TM2TT_CABLE_NAME_NN      CHECK ( L1TM2TT_CABLE_NAME IS NOT NULL),
    CONSTRAINT            L1TM2TT_CABLE_CTPIN_NN     CHECK ( L1TM2TT_TRIGGER_THRESHOLD_ID IS NOT NULL),
    CONSTRAINT            L1TM2TT_CABLE_CONN_NN      CHECK ( L1TM2TT_CABLE_CONNECTOR IS NOT NULL),
    CONSTRAINT            L1TM2TT_CABLE_START_NN     CHECK ( L1TM2TT_CABLE_START IS NOT NULL),
    CONSTRAINT            L1TM2TT_CABLE_END_NN       CHECK ( L1TM2TT_CABLE_END IS NOT NULL),
    CONSTRAINT            L1TM2TT_CABLE_CLOCK_NN     CHECK ( L1TM2TT_CABLE_CLOCK IS NOT NULL)
);
CREATE INDEX L1TM2TT_TRIGGER_MENU_ID_IND  ON L1_TM_TO_TT(L1TM2TT_TRIGGER_MENU_ID) COMPRESS 1;
CREATE INDEX L1TM2TT_TRIGGER_THRES_ID_IND ON L1_TM_TO_TT(L1TM2TT_TRIGGER_THRESHOLD_ID) COMPRESS 1;
CREATE TABLE L1_PITS (
    L1PIT_ID            NUMBER(10),     
        L1PIT_TM_TO_TT_ID            NUMBER(10), 
        L1PIT_PIT_NUMBER             NUMBER(10), 
        L1PIT_THRESHOLD_BIT          NUMBER(2),  
    CONSTRAINT            L1PIT_PK        PRIMARY KEY (L1PIT_ID),
        CONSTRAINT                L1PIT_TM_TO_TT_ID_FK    FOREIGN KEY (L1PIT_TM_TO_TT_ID)
                                                REFERENCES  L1_TM_TO_TT(L1TM2TT_ID),
    CONSTRAINT            L1PIT_ID_NN         CHECK ( L1PIT_ID IS NOT NULL),
    CONSTRAINT            L1PIT_TM_TO_TT_ID_NN     CHECK ( L1PIT_TM_TO_TT_ID IS NOT NULL),
    CONSTRAINT            L1PIT_PIT_NUMBER_NN     CHECK ( L1PIT_PIT_NUMBER IS NOT NULL),
    CONSTRAINT            L1PIT_THRESHOLD_BIT_NN     CHECK ( L1PIT_THRESHOLD_BIT IS NOT NULL)
);
CREATE INDEX L1PIT_TM_TO_TT_ID_IND ON L1_PITS(L1PIT_TM_TO_TT_ID) COMPRESS 1;
CREATE TABLE L1_TM_TO_TT_MON (
    L1TM2TTM_ID             NUMBER(10),
    L1TM2TTM_TRIGGER_MENU_ID     NUMBER(10),
    L1TM2TTM_TRIGGER_THRESHOLD_ID     NUMBER(10),
    L1TM2TTM_NAME            VARCHAR2(50),
    L1TM2TTM_INTERNAL_COUNTER    NUMBER(3),
    L1TM2TTM_BUNCH_GROUP_ID        NUMBER(10),
    L1TM2TTM_COUNTER_TYPE        VARCHAR2(10),
    L1TM2TTM_MULTIPLICITY        NUMBER(3),
    CONSTRAINT            L1TM2TTM_PK        PRIMARY KEY (L1TM2TTM_ID),
    CONSTRAINT            L1TM2TTM_FK_TM        FOREIGN KEY (L1TM2TTM_TRIGGER_MENU_ID) 
                                REFERENCES L1_TRIGGER_MENU(L1TM_ID),
    CONSTRAINT            L1TM2TTM_FK_TT        FOREIGN KEY (L1TM2TTM_TRIGGER_THRESHOLD_ID)
                                REFERENCES L1_TRIGGER_THRESHOLD(L1TT_ID),
    CONSTRAINT            L1TM2TTM_ID_NN         CHECK ( L1TM2TTM_ID IS NOT NULL),
    CONSTRAINT            L1TM2TTM_MENU_ID_NN    CHECK ( L1TM2TTM_TRIGGER_MENU_ID IS NOT NULL),
    CONSTRAINT            L1TM2TTM_THRES_ID_NN     CHECK ( L1TM2TTM_TRIGGER_THRESHOLD_ID IS NOT NULL),
    CONSTRAINT            L1TM2TTM_NAME_NN     CHECK ( L1TM2TTM_NAME IS NOT NULL),
    CONSTRAINT            L1TM2TTM_INT_COUNTER_NN CHECK ( L1TM2TTM_INTERNAL_COUNTER IS NOT NULL),
    CONSTRAINT            L1TM2TTM_BCH_GRP_ID_NN     CHECK ( L1TM2TTM_BUNCH_GROUP_ID IS NOT NULL),
    CONSTRAINT            L1TM2TTM_CTER_TYPE_NN     CHECK ( L1TM2TTM_COUNTER_TYPE IS NOT NULL),
    CONSTRAINT            L1TM2TTM_MPLICITY_NN     CHECK ( L1TM2TTM_MULTIPLICITY IS NOT NULL)
);
CREATE INDEX L1TM2TTM_TRIGGER_MENU_ID_IND  ON L1_TM_TO_TT_MON(L1TM2TTM_TRIGGER_MENU_ID) COMPRESS 1;
CREATE INDEX L1TM2TTM_TRIGGER_THRES_ID_IND ON L1_TM_TO_TT_MON(L1TM2TTM_TRIGGER_THRESHOLD_ID) COMPRESS 1;
CREATE TABLE L1_BGS_TO_BG (
    L1BGS2BG_ID             NUMBER(10),
    L1BGS2BG_BUNCH_GROUP_SET_ID     NUMBER(10),
    L1BGS2BG_BUNCH_GROUP_ID     NUMBER(10),
    L1BGS2BG_INTERNAL_NUMBER    NUMBER(2),
    L1BGS2BG_BUNCH_GROUP_NAME    VARCHAR(25),
    L1BGS2BG_PARTITION    NUMBER(1),
    CONSTRAINT            L1BGS2BG_PK        PRIMARY KEY (L1BGS2BG_ID),
    CONSTRAINT            L1BGS2BG_FK_BGS        FOREIGN KEY (L1BGS2BG_BUNCH_GROUP_SET_ID)
                                REFERENCES L1_BUNCH_GROUP_SET(L1BGS_ID),
    CONSTRAINT            L1BGS2BG_FK_BG        FOREIGN KEY (L1BGS2BG_BUNCH_GROUP_ID)
                                REFERENCES L1_BUNCH_GROUP(L1BG_ID),
    CONSTRAINT            L1BGS2BG_ID_NN         CHECK ( L1BGS2BG_ID IS NOT NULL),
    CONSTRAINT            L1BGS2BG_BGRP_SET_ID_NN CHECK ( L1BGS2BG_BUNCH_GROUP_SET_ID IS NOT NULL),
    CONSTRAINT            L1BGS2BG_BGRP_ID_NN     CHECK ( L1BGS2BG_BUNCH_GROUP_ID IS NOT NULL),
    CONSTRAINT            L1BGS2BG_INT_NUMBER_NN     CHECK ( L1BGS2BG_INTERNAL_NUMBER IS NOT NULL),
    CONSTRAINT            L1BGS2BG_BUNCH_GROUP_NAME     CHECK ( L1BGS2BG_BUNCH_GROUP_NAME IS NOT NULL),
    CONSTRAINT            L1BGS2BG_PARTITION_NN     CHECK ( L1BGS2BG_PARTITION IS NOT NULL)
);
CREATE INDEX L1BGS2BG_BGROUP_SET_ID_IND ON L1_BGS_TO_BG(L1BGS2BG_BUNCH_GROUP_SET_ID) COMPRESS 1;
CREATE INDEX L1BGS2BG_BGROUP_ID_IND     ON L1_BGS_TO_BG(L1BGS2BG_BUNCH_GROUP_ID) COMPRESS 1;
CREATE TABLE L1_BG_TO_B (
    L1BG2B_ID             NUMBER(10),     
    L1BG2B_BUNCH_GROUP_ID         NUMBER(10),     
    L1BG2B_BUNCH_NUMBER        NUMBER(10),    
    CONSTRAINT            L1BG2B_PK        PRIMARY KEY (L1BG2B_ID),
    CONSTRAINT            L1BG2B_FK_BG        FOREIGN KEY (L1BG2B_BUNCH_GROUP_ID)
                                REFERENCES L1_BUNCH_GROUP(L1BG_ID),
    CONSTRAINT            L1BG2B_ID_NN         CHECK ( L1BG2B_ID IS NOT NULL),
    CONSTRAINT            L1BG2B_BCH_GROUP_ID_NN     CHECK ( L1BG2B_BUNCH_GROUP_ID IS NOT NULL),
    CONSTRAINT            L1BG2B_BCH_NUMBER_NN     CHECK ( L1BG2B_BUNCH_NUMBER IS NOT NULL)
);
CREATE INDEX L1BG2B_BUNCH_GROUP_ID_IND ON L1_BG_TO_B(L1BG2B_BUNCH_GROUP_ID) COMPRESS 1;
CREATE TABLE L1_CI_TO_CSC (
    L1CI2CSC_ID                     NUMBER(10), 
    L1CI2CSC_CALO_INFO_ID           NUMBER(10), 
    L1CI2CSC_CALO_SIN_COS_ID        NUMBER(10), 
    CONSTRAINT                      L1CI2CSC_PK         PRIMARY KEY (L1CI2CSC_ID),
    CONSTRAINT                      L1CI2CSC_FK_CI      FOREIGN KEY (L1CI2CSC_CALO_INFO_ID)
                                                        REFERENCES L1_CALO_INFO(L1CI_ID),
    CONSTRAINT                      L1CI2CSC_FK_CSC     FOREIGN KEY (L1CI2CSC_CALO_SIN_COS_ID)
                                                        REFERENCES L1_CALO_SIN_COS(L1CSC_ID),
    CONSTRAINT            L1CI2CSC_ID_NN          CHECK ( L1CI2CSC_ID IS NOT NULL),
    CONSTRAINT            L1CI2CSC_CALO_INFO_NN   CHECK ( L1CI2CSC_CALO_INFO_ID IS NOT NULL),
    CONSTRAINT            L1CI2CSC_CALO_SINCOS_NN CHECK ( L1CI2CSC_CALO_SIN_COS_ID IS NOT NULL)
);
CREATE INDEX L1CI2CSC_CALO_INFO_ID_IND    ON L1_CI_TO_CSC(L1CI2CSC_CALO_INFO_ID) COMPRESS 1;
CREATE INDEX L1CI2CSC_CALO_SIN_COS_ID_IND ON L1_CI_TO_CSC(L1CI2CSC_CALO_SIN_COS_ID) COMPRESS 1;
CREATE TABLE L1_MASTER_TABLE (
    L1MT_ID                 NUMBER(10),
    L1MT_NAME            VARCHAR2(50),
    L1MT_VERSION            NUMBER(11),
    L1MT_COMMENT            VARCHAR2(200),
    L1MT_TRIGGER_MENU_ID        NUMBER(10),
    L1MT_MUCTPI_INFO_ID        NUMBER(10),
    L1MT_RANDOM_ID            NUMBER(10),
    L1MT_PRESCALED_CLOCK_ID        NUMBER(10),
    L1MT_CALO_INFO_ID        NUMBER(10),
    L1MT_MUON_THRESHOLD_SET_ID       NUMBER(10),
    L1MT_CTPVERSION       NUMBER(10),
    L1MT_L1VERSION       NUMBER(10),
    L1MT_USERNAME            VARCHAR2(50),
    L1MT_MODIFIED_TIME        TIMESTAMP,
    L1MT_STATUS            NUMBER(2),
    L1MT_USED            CHAR            DEFAULT 0,
    CONSTRAINT L1MT_PK      PRIMARY KEY (L1MT_ID),
    CONSTRAINT L1MT_FK_TM   FOREIGN KEY (L1MT_TRIGGER_MENU_ID)          REFERENCES L1_TRIGGER_MENU(L1TM_ID),
    CONSTRAINT L1MT_FK_MI   FOREIGN KEY (L1MT_MUCTPI_INFO_ID)           REFERENCES L1_MUCTPI_INFO(L1MI_ID),
    CONSTRAINT L1MT_FK_R    FOREIGN KEY (L1MT_RANDOM_ID)                REFERENCES L1_RANDOM(L1R_ID),
    CONSTRAINT L1MT_FK_PSC  FOREIGN KEY (L1MT_PRESCALED_CLOCK_ID)       REFERENCES L1_PRESCALED_CLOCK(L1PC_ID),
    CONSTRAINT L1MT_FK_CI   FOREIGN KEY (L1MT_CALO_INFO_ID)             REFERENCES L1_CALO_INFO(L1CI_ID),
    CONSTRAINT L1MT_FK_MT   FOREIGN KEY (L1MT_MUON_THRESHOLD_SET_ID)    REFERENCES L1_MUON_THRESHOLD_SET(L1MTS_ID),
    CONSTRAINT L1MT_NMVER               UNIQUE (L1MT_NAME, L1MT_VERSION),
    CONSTRAINT L1MT_ID_NN               CHECK ( L1MT_ID IS NOT NULL),
    CONSTRAINT L1MT_NAME_NN             CHECK ( L1MT_NAME IS NOT NULL),
    CONSTRAINT L1MT_VERSION_NN          CHECK ( L1MT_VERSION IS NOT NULL),
    CONSTRAINT L1MT_TRIGGER_MENU_ID_NN  CHECK ( L1MT_TRIGGER_MENU_ID IS NOT NULL),
    CONSTRAINT L1MT_MUCTPI_INFO_ID_NN   CHECK ( L1MT_MUCTPI_INFO_ID IS NOT NULL),
    CONSTRAINT L1MT_RANDOM_ID_NN        CHECK ( L1MT_RANDOM_ID IS NOT NULL),
    CONSTRAINT L1MT_PSCALE_CLOCK_ID_NN  CHECK ( L1MT_PRESCALED_CLOCK_ID IS NOT NULL),
    CONSTRAINT L1MT_CALO_INFO_ID_NN     CHECK ( L1MT_CALO_INFO_ID IS NOT NULL),
    CONSTRAINT L1MT_MUON_THRES_SET_NN   CHECK ( L1MT_MUON_THRESHOLD_SET_ID IS NOT NULL),
    CONSTRAINT L1MT_STATUS_NN           CHECK ( L1MT_STATUS IS NOT NULL),
    CONSTRAINT L1MT_USED_NN             CHECK ( L1MT_USED IS NOT NULL)
);
CREATE INDEX L1MT_TRIGGER_MENU_ID_IND       ON L1_MASTER_TABLE(L1MT_TRIGGER_MENU_ID) COMPRESS 1;
CREATE INDEX L1MT_MUCTPI_INFO_ID_IND        ON L1_MASTER_TABLE(L1MT_MUCTPI_INFO_ID) COMPRESS 1;
CREATE INDEX L1MT_RANDOM_ID_IND             ON L1_MASTER_TABLE(L1MT_RANDOM_ID) COMPRESS 1;
CREATE INDEX L1MT_PRESCALED_CLOCK_ID_IND    ON L1_MASTER_TABLE(L1MT_PRESCALED_CLOCK_ID) COMPRESS 1;
CREATE INDEX L1MT_CALO_INFO_ID_IND          ON L1_MASTER_TABLE(L1MT_CALO_INFO_ID) COMPRESS 1;
CREATE INDEX L1MT_MUON_THRESHOLD_SET_ID_IND ON L1_MASTER_TABLE(L1MT_MUON_THRESHOLD_SET_ID) COMPRESS 1;
CREATE TABLE TOPO_TRIGGER_MENU (
    TTM_ID   		NUMBER(10),
    TTM_NAME		VARCHAR2(50),
    TTM_VERSION 	NUMBER(10),
    TTM_CTPLINK_ID 	NUMBER(10),
    CONSTRAINT 		TTM_PK		PRIMARY KEY (TTM_ID),
    CONSTRAINT 		TTM_FK_CTPLINK  FOREIGN KEY (TTM_CTPLINK_ID)          REFERENCES TOPO_OUTPUT_LIST(OL_ID),
    CONSTRAINT          TTM_NMVER     	UNIQUE (TTM_NAME, TTM_VERSION),
    CONSTRAINT		TTM_ID_NN	CHECK ( TTM_ID IS NOT NULL),
    CONSTRAINT		TTM_NAME_NN	CHECK ( TTM_NAME IS NOT NULL),
    CONSTRAINT 		TTM_VERSION_NN	CHECK ( TTM_VERSION IS NOT NULL)
);
CREATE INDEX TTM_CTPLINK_ID_IND ON TOPO_TRIGGER_MENU (TTM_CTPLINK_ID) COMPRESS 1;
CREATE TABLE TOPO_ALGO (
    TA_ID    	       NUMBER(10),
    TA_NAME	       VARCHAR2(50),
    TA_OUTPUT	       VARCHAR2(50),
    TA_TYPE	       VARCHAR2(50),
    -- THE NUMBER OF OUTPUT BITS FOR THIS ALGO ALWAYS 0 FOR SORT ALGOS
    TA_BITS	       NUMBER(10,0),
    -- BEST THING TO STORE THIS TYPE AS?
    TA_SORT_DECI       VARCHAR2(50),
    TA_ALGO_ID	       NUMBER(10),
    CONSTRAINT	       TA_PK		PRIMARY KEY (TA_ID),
    CONSTRAINT	       TA_ID_NN		CHECK( TA_ID IS NOT NULL),
    CONSTRAINT	       TA_NAME_NN	CHECK( TA_NAME IS NOT NULL),
    CONSTRAINT	       TA_OUTPUT_NN	CHECK( TA_OUTPUT IS NOT NULL),	
    CONSTRAINT	       TA_TYPE_NN	CHECK( TA_TYPE IS NOT NULL),
    CONSTRAINT	       TA_SORT_DECI_NN	CHECK( TA_SORT_DECI IS NOT NULL)
);
CREATE TABLE TOPO_ALGO_INPUT (
    TAI_ID   		NUMBER(10),
    TAI_NAME		VARCHAR2(50),
    TAI_VALUE		VARCHAR2(50),
    TAI_POSITION	NUMBER(10),
    CONSTRAINT		TAI_PK		PRIMARY KEY (TAI_ID),
    CONSTRAINT		TAI_ID_NN	CHECK( TAI_ID IS NOT NULL),
    CONSTRAINT		TAI_NAME_NN	CHECK( TAI_NAME IS NOT NULL),
    CONSTRAINT		TAI_VALUE_NN	CHECK( TAI_VALUE IS NOT NULL)
);
CREATE TABLE TOPO_ALGO_OUTPUT (
    TAO_ID   		NUMBER(10),
    TAO_NAME		VARCHAR2(50),
    TAO_VALUE		VARCHAR2(50),
    TAO_SELECTION	NUMBER(10),
    TAO_BITNAME		VARCHAR2(50),
    CONSTRAINT		TAO_PK		PRIMARY KEY (TAO_ID),
    CONSTRAINT		TAO_ID_NN	CHECK( TAO_ID IS NOT NULL ),
    CONSTRAINT		TAO_NAME_NN	CHECK( TAO_NAME IS NOT NULL ),	
    CONSTRAINT		TAO_VALUE_NN	CHECK( TAO_VALUE IS NOT NULL ),	
    CONSTRAINT		TAO_SELECTION_NN	CHECK( TAO_SELECTION IS NOT NULL ),	
    CONSTRAINT		TAO_BITNAME_NN	CHECK( TAO_BITNAME IS NOT NULL )	
);
CREATE TABLE TOPO_PARAMETER (
    TP_ID    		NUMBER(10),
    TP_NAME		VARCHAR2(50),
    TP_POSITION		NUMBER(10),
    TP_VALUE		NUMBER(10),
    TP_SELECTION	NUMBER(10),
    CONSTRAINT		TP_PK		PRIMARY KEY (TP_ID),
    CONSTRAINT		TP_ID_NN	CHECK( TP_ID IS NOT NULL),
    CONSTRAINT		TP_NAME_NN	CHECK( TP_NAME IS NOT NULL),
    CONSTRAINT		TP_VALUE_NN	CHECK( TP_VALUE IS NOT NULL)
);
CREATE TABLE TOPO_GENERIC (
    TG_ID    		NUMBER(10),
    TG_NAME		VARCHAR2(50),
    TG_VALUE		VARCHAR2(50),
    CONSTRAINT		TG_PK		PRIMARY KEY (TG_ID),
    CONSTRAINT 		TG_ID_NN 	CHECK( TG_ID IS NOT NULL ),		
    CONSTRAINT 		TG_NAME_NN 	CHECK( TG_NAME IS NOT NULL ),		
    CONSTRAINT 		TG_VALUE_NN 	CHECK( TG_VALUE IS NOT NULL )
);
CREATE TABLE TOPO_CONFIG (
    TC_ID              NUMBER(10),
    TC_NAME	       VARCHAR2(50),
    TC_VALUE	       VARCHAR2(50),
    CONSTRAINT	       TC_PK		PRIMARY KEY (TC_ID),
    CONSTRAINT	       TC_ID_NN		CHECK( TC_ID IS NOT NULL),
    CONSTRAINT	       TC_NAME_NN	CHECK( TC_NAME IS NOT NULL),
    CONSTRAINT	       TC_VALUE_NN	CHECK( TC_VALUE IS NOT NULL)
);
CREATE TABLE TOPO_OUTPUT_LINE (
    TOL_ID    	       NUMBER(10),
    TOL_ALGO_NAME      VARCHAR2(50),
    TOL_TRIGGERLINE      VARCHAR2(200),
    TOL_ALGO_ID	       NUMBER(10),
    TOL_MODULE 	       NUMBER(2),
    TOL_FPGA	       NUMBER(2),
    TOL_FIRST_BIT       NUMBER(10),
    TOL_CLOCK	       NUMBER(1),
    CONSTRAINT	       TOL_PK		PRIMARY KEY (TOL_ID),
    CONSTRAINT	       TOL_ID_NN	CHECK( TOL_ID IS NOT NULL),
    CONSTRAINT	       TOL_ALGO_NAME_NN	CHECK( TOL_ALGO_NAME IS NOT NULL),
    CONSTRAINT	       TOL_TRIGGERLINE_NN	CHECK( TOL_TRIGGERLINE IS NOT NULL),
    CONSTRAINT	       TOL_ALGO_ID_NN	CHECK( TOL_ALGO_ID IS NOT NULL),
    CONSTRAINT	       TOL_FMODULE_NN	CHECK( TOL_MODULE IS NOT NULL),
    CONSTRAINT	       TOL_FPGA_NN	CHECK( TOL_FPGA IS NOT NULL),
    CONSTRAINT	       TOL_FIRST_BIT_NN	CHECK( TOL_FIRST_BIT IS NOT NULL),
    CONSTRAINT	       TOL_CLOCK_NN	CHECK( TOL_CLOCK IS NOT NULL)
);
CREATE TABLE TTM_TO_TA (
    TTM2TA_ID		NUMBER(10),
    TTM2TA_MENU_ID	NUMBER(10),
    TTM2TA_ALGO_ID	NUMBER(10),
    CONSTRAINT          TTM2TA_PK	    PRIMARY KEY (TTM2TA_ID),
    CONSTRAINT          TTM2TA_FK_OUT        FOREIGN KEY (TTM2TA_MENU_ID)
                                REFERENCES TOPO_TRIGGER_MENU(TTM_ID),
    CONSTRAINT          TTM2TA_FK_ALGO        FOREIGN KEY (TTM2TA_ALGO_ID)
                                REFERENCES TOPO_ALGO(TA_ID),
    CONSTRAINT 		TTM2TA_ID_NN 	   CHECK( TTM2TA_ID IS NOT NULL ),
    CONSTRAINT 		TTM2TA_MENU_ID_NN 	   CHECK( TTM2TA_MENU_ID IS NOT NULL ),
    CONSTRAINT 		TTM2TA_ALGO_ID_NN 	   CHECK( TTM2TA_ALGO_ID IS NOT NULL )
);
CREATE INDEX TTM2TA_MENU_ID_IND       ON TTM_TO_TA(TTM2TA_MENU_ID) COMPRESS 1;
CREATE INDEX TTM2TA_ALGO_ID_IND       ON TTM_TO_TA(TTM2TA_ALGO_ID) COMPRESS 1;
CREATE TABLE TTM_TO_TC (
    TTM2TC_ID		NUMBER(10),
    TTM2TC_MENU_ID	NUMBER(10),
    TTM2TC_CONFIG_ID	NUMBER(10),
    CONSTRAINT          TTM2TC_PK	    PRIMARY KEY (TTM2TC_ID),
    CONSTRAINT          TTM2TC_FK_OUT        FOREIGN KEY (TTM2TC_MENU_ID)
                                REFERENCES TOPO_TRIGGER_MENU(TTM_ID),
    CONSTRAINT          TTM2TC_FK_CONFIG        FOREIGN KEY (TTM2TC_CONFIG_ID)
                                REFERENCES TOPO_CONFIG(TC_ID),
    CONSTRAINT 		TTM2TC_ID_NN 	   CHECK( TTM2TC_ID IS NOT NULL ),
    CONSTRAINT 		TTM2TC_MENU_ID_NN 	   CHECK( TTM2TC_MENU_ID IS NOT NULL ),
    CONSTRAINT 		TTM2TC_CONFIG_ID_NN 	   CHECK( TTM2TC_CONFIG_ID IS NOT NULL )
);
CREATE INDEX TTM2TC_MENU_ID_IND       ON TTM_TO_TC(TTM2TC_MENU_ID) COMPRESS 1;
CREATE INDEX TTM2TC_CONFIG_ID_IND     ON TTM_TO_TC(TTM2TC_CONFIG_ID) COMPRESS 1;
CREATE TABLE TA_TO_TI (
    TA2TI_ID		NUMBER(10),
    TA2TI_ALGO_ID	NUMBER(10),
    TA2TI_INPUT_ID	NUMBER(10),
    CONSTRAINT          TA2TI_PK	    PRIMARY KEY (TA2TI_ID),
    CONSTRAINT          TA2TI_FK_OUT        FOREIGN KEY (TA2TI_ALGO_ID)
                                REFERENCES TOPO_ALGO(TA_ID),
    CONSTRAINT          TA2TI_FK_INPUT        FOREIGN KEY (TA2TI_INPUT_ID)
                                REFERENCES TOPO_ALGO_INPUT(TAI_ID),
    CONSTRAINT 		TA2TI_ID_NN 	   CHECK( TA2TI_ID IS NOT NULL ),
    CONSTRAINT 		TA2TI_ALGO_ID_NN 	   CHECK( TA2TI_ALGO_ID IS NOT NULL ),
    CONSTRAINT 		TA2TI_INPUT_ID_NN 	   CHECK( TA2TI_INPUT_ID IS NOT NULL )
);
CREATE INDEX TA2TI_ALGO_ID_IND       ON TA_TO_TI(TA2TI_ALGO_ID) COMPRESS 1;
CREATE INDEX TA2TI_INPUT_ID_IND      ON TA_TO_TI(TA2TI_INPUT_ID) COMPRESS 1;
CREATE TABLE TA_TO_TP (
    TA2TP_ID            NUMBER(10),
    TA2TP_ALGO_ID       NUMBER(10),
    TA2TP_PARAM_ID      NUMBER(10),
    CONSTRAINT          TA2TP_PK            PRIMARY KEY (TA2TP_ID),
    CONSTRAINT          TA2TP_FK_OUT        FOREIGN KEY (TA2TP_ALGO_ID)
                                REFERENCES TOPO_ALGO(TA_ID),
    CONSTRAINT          TA2TP_FK_PARAM        FOREIGN KEY (TA2TP_PARAM_ID)
                                REFERENCES TOPO_PARAMETER(TP_ID),
    CONSTRAINT          TA2TP_ID_NN        CHECK( TA2TP_ID IS NOT NULL ),
    CONSTRAINT          TA2TP_ALGO_ID_NN           CHECK( TA2TP_ALGO_ID IS NOT NULL ),
    CONSTRAINT          TA2TP_PARAM_ID_NN          CHECK( TA2TP_PARAM_ID IS NOT NULL )
);
CREATE INDEX TA2TP_ALGO_ID_IND       ON TA_TO_TP(TA2TP_ALGO_ID) COMPRESS 1;
CREATE INDEX TA2TP_PARAM_ID_IND      ON TA_TO_TP(TA2TP_PARAM_ID) COMPRESS 1;
CREATE TABLE TA_TO_TG (
    TA2TG_ID            NUMBER(10),
    TA2TG_ALGO_ID       NUMBER(10),
    TA2TG_GENERIC_ID      NUMBER(10),
    CONSTRAINT          TA2TG_PK            PRIMARY KEY (TA2TG_ID),
    CONSTRAINT          TA2TG_FK_OUT        FOREIGN KEY (TA2TG_ALGO_ID)
                                REFERENCES TOPO_ALGO(TA_ID),
    CONSTRAINT          TA2TG_FK_GENERIC        FOREIGN KEY (TA2TG_GENERIC_ID)
                                REFERENCES TOPO_GENERIC(TG_ID),
    CONSTRAINT          TA2TG_ID_NN        CHECK( TA2TG_ID IS NOT NULL ),
    CONSTRAINT          TA2TG_ALGO_ID_NN           CHECK( TA2TG_ALGO_ID IS NOT NULL ),
    CONSTRAINT          TA2TG_GENERIC_ID_NN          CHECK( TA2TG_GENERIC_ID IS NOT NULL )
);
CREATE INDEX TA2TG_ALGO_ID_IND       ON TA_TO_TG(TA2TG_ALGO_ID) COMPRESS 1;
CREATE INDEX TA2TG_GENERIC_ID_IND      ON TA_TO_TG(TA2TG_GENERIC_ID) COMPRESS 1;
CREATE TABLE TA_TO_TO (
    TA2TO_ID		NUMBER(10),
    TA2TO_ALGO_ID	NUMBER(10),
    TA2TO_OUTPUT_ID	NUMBER(10),
    CONSTRAINT          TA2TO_PK	    PRIMARY KEY (TA2TO_ID),
    CONSTRAINT          TA2TO_FK_OUT        FOREIGN KEY (TA2TO_ALGO_ID)
                                REFERENCES TOPO_ALGO(TA_ID),
    CONSTRAINT          TA2TO_FK_OUTPUT        FOREIGN KEY (TA2TO_OUTPUT_ID)
                                REFERENCES TOPO_ALGO_OUTPUT(TAO_ID),
    CONSTRAINT 		TA2TO_ID_NN 	   CHECK( TA2TO_ID IS NOT NULL ),
    CONSTRAINT 		TA2TO_ALGO_ID_NN 	   CHECK( TA2TO_ALGO_ID IS NOT NULL ),
    CONSTRAINT 		TA2TO_OUTPUT_ID_NN 	   CHECK( TA2TO_OUTPUT_ID IS NOT NULL )
);
CREATE INDEX TA2TO_ALGO_ID_IND       ON TA_TO_TO(TA2TO_ALGO_ID) COMPRESS 1;
CREATE INDEX TA2TO_OUTPUT_ID_IND      ON TA_TO_TO(TA2TO_OUTPUT_ID) COMPRESS 1;
CREATE TABLE TOPO_OUTPUT_LINK (
    TL_ID		NUMBER(10),
    TL_LINK_ID	NUMBER(10),
    TL_OUTPUT_ID	NUMBER(10),
    CONSTRAINT          TL_PK	    PRIMARY KEY (TL_ID),
    CONSTRAINT          TL_FK_LINK        FOREIGN KEY (TL_LINK_ID)
                                REFERENCES TOPO_OUTPUT_LIST(OL_ID),
    CONSTRAINT          TL_FK_OUTPUT        FOREIGN KEY (TL_OUTPUT_ID)
                                REFERENCES TOPO_OUTPUT_LINE(TOL_ID),
    CONSTRAINT 		TL_ID_NN 	   CHECK( TL_ID IS NOT NULL ),
    CONSTRAINT 		TL_LINK_ID_NN 	   CHECK( TL_LINK_ID IS NOT NULL ),
    CONSTRAINT 		TL_OUTPUT_ID_NN 	   CHECK( TL_OUTPUT_ID IS NOT NULL )
);
CREATE INDEX TL_LINK_ID_IND       ON TOPO_OUTPUT_LINK(TL_LINK_ID) COMPRESS 1;
CREATE INDEX TL_OUTPUT_ID_IND       ON TOPO_OUTPUT_LINK(TL_OUTPUT_ID) COMPRESS 1;
CREATE TABLE TOPO_MASTER_TABLE (
    TMT_ID                 NUMBER(10),
    TMT_HASH		   NUMBER(10),
    TMT_NAME               VARCHAR2(50),
    TMT_VERSION            NUMBER(11),
    TMT_COMMENT            VARCHAR2(200),
    TMT_TRIGGER_MENU_ID    NUMBER(10),
    CONSTRAINT            TMT_PK            PRIMARY KEY (TMT_ID),
    CONSTRAINT            TMT_FK_TM        FOREIGN KEY (TMT_TRIGGER_MENU_ID)
                                REFERENCES TOPO_TRIGGER_MENU(TTM_ID),
    CONSTRAINT            TMT_NMVER        UNIQUE (TMT_NAME, TMT_VERSION),
    CONSTRAINT            TMT_ID_NN         CHECK ( TMT_ID IS NOT NULL),
    CONSTRAINT            TMT_HASH_NN         CHECK ( TMT_HASH IS NOT NULL),
    CONSTRAINT            TMT_NAME_NN         CHECK ( TMT_NAME IS NOT NULL),
    CONSTRAINT            TMT_VERSION_NN     CHECK ( TMT_VERSION IS NOT NULL),
    CONSTRAINT            TMT_TRIGGER_MENU_ID_NN CHECK ( TMT_TRIGGER_MENU_ID IS NOT NULL)
);
CREATE INDEX TMT_TRIGGER_MENU_ID_IND       ON TOPO_MASTER_TABLE(TMT_TRIGGER_MENU_ID) COMPRESS 1;
CREATE TABLE HLT_PARAMETER (
      HPA_ID                         NUMBER(10),
      HPA_HASH                      NUMBER(10),	
      HPA_NAME                   VARCHAR2(50),
      HPA_OP                     VARCHAR2(30),
      HPA_VALUE                  VARCHAR2(4000),
      HPA_CHAIN_USER_VERSION         CHAR,
      CONSTRAINT                 HPA_PK                PRIMARY KEY (HPA_ID),
    CONSTRAINT            HPA_ID_NN         CHECK ( HPA_ID IS NOT NULL),
    CONSTRAINT            HPA_HASH_NN         CHECK ( HPA_HASH IS NOT NULL),
    CONSTRAINT            HPA_NAME_NN         CHECK ( HPA_NAME IS NOT NULL),
    CONSTRAINT            HPA_OP_NN         CHECK ( HPA_OP IS NOT NULL),
    CONSTRAINT            HPA_VALUE_NN         CHECK ( HPA_VALUE IS NOT NULL),
    CONSTRAINT            HPA_CHAIN_USER_V_NN     CHECK ( HPA_CHAIN_USER_VERSION IS NOT NULL)
);
CREATE INDEX HPA_PARAMETER_HASH_IND ON HLT_PARAMETER(HPA_HASH) COMPRESS 1;
CREATE TABLE HLT_COMPONENT (
    HCP_ID                   NUMBER(10),
    HCP_HASH                 NUMBER(10),
    HCP_HASHFULL             NUMBER(10),
    HCP_NAME                 VARCHAR2(200),
    HCP_VERSION              NUMBER(11),
    HCP_ALIAS                VARCHAR2(200),
    HCP_TYPE                 VARCHAR2(200),
    HCP_PY_NAME              VARCHAR2(200),
    HCP_PY_PACKAGE           VARCHAR2(200),
    CONSTRAINT            HCP_PK            PRIMARY KEY (HCP_ID),
    CONSTRAINT            HCP_NMVER         UNIQUE (HCP_NAME, HCP_ALIAS, HCP_VERSION),
    CONSTRAINT            HCP_ID_NN         CHECK ( HCP_ID IS NOT NULL),
    CONSTRAINT            HCP_HASH_NN         CHECK ( HCP_HASH IS NOT NULL),
    CONSTRAINT            HCP_HASHFULL_NN         CHECK ( HCP_HASHFULL IS NOT NULL),
    CONSTRAINT            HCP_NAME_NN         CHECK ( HCP_NAME IS NOT NULL),
    CONSTRAINT            HCP_VERSION_NN         CHECK ( HCP_VERSION IS NOT NULL),
    CONSTRAINT            HCP_ALIAS_NN         CHECK ( HCP_ALIAS IS NOT NULL),
    CONSTRAINT            HCP_TYPE_NN         CHECK ( HCP_TYPE IS NOT NULL),
    CONSTRAINT            HCP_PY_NAME_NN         CHECK ( HCP_PY_NAME IS NOT NULL),
    CONSTRAINT            HCP_PY_PACKAGE_NN     CHECK ( HCP_PY_PACKAGE IS NOT NULL)
);
CREATE INDEX HCP_COMPONENT_HASH_IND ON HLT_COMPONENT(HCP_HASH) COMPRESS 1;
CREATE INDEX HCP_COMPONENT_HASHFULL_IND ON HLT_COMPONENT(HCP_HASHFULL) COMPRESS 1;
CREATE TABLE HLT_CP_TO_CP (
     HCP2CP_ID            NUMBER(10),
     HCP2CP_PARENT_COMP_ID        NUMBER(10),
     HCP2CP_CHILD_COMP_ID        NUMBER(10),
    CONSTRAINT              HCP2CP_PK        PRIMARY KEY (HCP2CP_ID),
     CONSTRAINT              HCP2CP_FK_ACP        FOREIGN KEY (HCP2CP_PARENT_COMP_ID)
                                   REFERENCES HLT_COMPONENT (HCP_ID),
     CONSTRAINT              HCP2CP_FK_TCP        FOREIGN KEY (HCP2CP_CHILD_COMP_ID)
                                   REFERENCES HLT_COMPONENT (HCP_ID),
    CONSTRAINT            HCP2CP_ID_NN         CHECK ( HCP2CP_ID IS NOT NULL),
    CONSTRAINT            HCP2CP_PARENT_ID_NN     CHECK ( HCP2CP_PARENT_COMP_ID IS NOT NULL),
    CONSTRAINT            HCP2CP_CHILD_ID_NN     CHECK ( HCP2CP_CHILD_COMP_ID IS NOT NULL)
);
CREATE INDEX HCP2CP_PARENT_COMP_ID_IND ON HLT_CP_TO_CP(HCP2CP_PARENT_COMP_ID) COMPRESS 1;
CREATE INDEX HCP2CP_CHILD_COMP_ID_IND  ON HLT_CP_TO_CP(HCP2CP_CHILD_COMP_ID) COMPRESS 1;
CREATE TABLE HLT_CP_TO_PA (
     HCP2PA_ID            NUMBER(10),
     HCP2PA_COMPONENT_ID        NUMBER(10),
     HCP2PA_PARAMETER_ID        NUMBER(10),
    CONSTRAINT              HCP2PA_PK        PRIMARY KEY (HCP2PA_ID),
     CONSTRAINT              HCP2PA_FK_CP        FOREIGN KEY (HCP2PA_COMPONENT_ID)
                                   REFERENCES HLT_COMPONENT (HCP_ID),
     CONSTRAINT              HCP2PA_FK_PA        FOREIGN KEY (HCP2PA_PARAMETER_ID)
                                   REFERENCES HLT_PARAMETER (HPA_ID),
    CONSTRAINT            HCP2PA_ID_NN         CHECK ( HCP2PA_ID IS NOT NULL),
    CONSTRAINT            HCP2PA_COMPONENT_ID_NN     CHECK ( HCP2PA_COMPONENT_ID IS NOT NULL),
    CONSTRAINT            HCP2PA_PARAMETER_ID_NN     CHECK ( HCP2PA_PARAMETER_ID IS NOT NULL)
);
CREATE INDEX HCP2PA_COMPONENT_ID_IND ON HLT_CP_TO_PA(HCP2PA_COMPONENT_ID) COMPRESS 1;
CREATE INDEX HCP2PA_PARAMETER_ID_IND ON HLT_CP_TO_PA(HCP2PA_PARAMETER_ID) COMPRESS 1;
CREATE TABLE HLT_SETUP (
    HST_ID                NUMBER(10),
    HST_HASH              NUMBER(10),
    HST_NAME              VARCHAR2(50),
    HST_VERSION		  NUMBER(11),
    CONSTRAINT            HST_PK            PRIMARY KEY (HST_ID),
    CONSTRAINT            HST_NMVER         UNIQUE (HST_NAME, HST_VERSION),
    CONSTRAINT            HST_ID_NN         CHECK ( HST_ID IS NOT NULL),
    CONSTRAINT            HST_NAME_NN         CHECK ( HST_NAME IS NOT NULL),
    CONSTRAINT            HST_VERSION_NN         CHECK ( HST_VERSION IS NOT NULL)
);
CREATE INDEX HST_SETUP_HASH_IND ON HLT_SETUP(HST_HASH) COMPRESS 1;
CREATE TABLE HLT_ST_TO_CP (
    HST2CP_ID            NUMBER(10),
    HST2CP_SETUP_ID         NUMBER(10),
    HST2CP_COMPONENT_ID        NUMBER(10),
    CONSTRAINT            HST2CP_PK        PRIMARY KEY (HST2CP_ID),
     CONSTRAINT            HST2CP_FK_ST        FOREIGN KEY (HST2CP_SETUP_ID) 
                                REFERENCES HLT_SETUP(HST_ID),
    CONSTRAINT            HST2CP_FK_CP        FOREIGN KEY (HST2CP_COMPONENT_ID) 
                                REFERENCES HLT_COMPONENT(HCP_ID),
    CONSTRAINT            HST2CP_ID_NN         CHECK ( HST2CP_ID IS NOT NULL),
    CONSTRAINT            HST2CP_SETUP_ID_NN     CHECK ( HST2CP_SETUP_ID IS NOT NULL),
    CONSTRAINT            HST2CP_COMPONENT_ID_NN     CHECK ( HST2CP_COMPONENT_ID IS NOT NULL)
);
CREATE INDEX HST2CP_SETUP_ID_IND     ON HLT_ST_TO_CP(HST2CP_SETUP_ID) COMPRESS 1;
CREATE INDEX HST2CP_COMPONENT_ID_IND ON HLT_ST_TO_CP(HST2CP_COMPONENT_ID) COMPRESS 1;
CREATE TABLE HLT_RELEASE (
    HRE_ID                NUMBER(10),
    HRE_HASH		  NUMBER(10),
    HRE_NAME             VARCHAR2(200),
    HRE_BASE             VARCHAR2(200),
    HRE_PATCH_1             VARCHAR2(200),
    HRE_PATCH_2             VARCHAR2(200),
    CONSTRAINT            HRE_PK            PRIMARY KEY (HRE_ID),
    CONSTRAINT            HRE_ID_NN         CHECK ( HRE_ID IS NOT NULL),
    CONSTRAINT            HRE_BASE_NN         CHECK ( HRE_BASE IS NOT NULL),
    CONSTRAINT            HRE_PATCH_1_NN         CHECK ( HRE_PATCH_1 IS NOT NULL),
    CONSTRAINT            HRE_PATCH_2_NN         CHECK ( HRE_PATCH_2 IS NOT NULL)
);
CREATE INDEX HRE_RELEASE_HASH_IND ON HLT_RELEASE(HRE_HASH) COMPRESS 1;
CREATE TABLE HLT_TRIGGER_MENU ( 
    HTM_ID                 NUMBER(10),
    HTM_HASH		   NUMBER(10),
    HTM_NAME             VARCHAR2(50),
    HTM_VERSION             NUMBER(11),
    HTM_PHASE             VARCHAR2(50),
    HTM_CONSISTENT            CHAR,
    CONSTRAINT             HTM_PK            PRIMARY KEY (HTM_ID),
    CONSTRAINT             HTM_NMVER        UNIQUE (HTM_NAME, HTM_VERSION),
    CONSTRAINT            HTM_ID_NN         CHECK ( HTM_ID IS NOT NULL),
    CONSTRAINT            HTM_NAME_NN         CHECK ( HTM_NAME IS NOT NULL),
    CONSTRAINT            HTM_VERSION_NN         CHECK ( HTM_VERSION IS NOT NULL),
    CONSTRAINT            HTM_PHASE_NN         CHECK ( HTM_PHASE IS NOT NULL),
    CONSTRAINT            HTM_CONSISTENT_NN     CHECK ( HTM_CONSISTENT IS NOT NULL)
);
CREATE INDEX HTM_TRIGGER_MENU_HASH_IND ON HLT_TRIGGER_MENU(HTM_HASH) COMPRESS 1;
CREATE TABLE HLT_TRIGGER_CHAIN (
    HTC_ID                         NUMBER(10),
    HTC_HASH			   NUMBER(10),
    HTC_NAME                       VARCHAR2(4000),
    HTC_VERSION                    NUMBER(11),
    HTC_USER_VERSION               NUMBER(11),
    HTC_COMMENT                    VARCHAR2(4000),
    HTC_CHAIN_COUNTER              NUMBER(10),
    HTC_LOWER_CHAIN_NAME           VARCHAR2(4000),
    HTC_EB_POINT		   NUMBER(2),
    CONSTRAINT            HTC_PK                  PRIMARY KEY (HTC_ID),
    CONSTRAINT            HTC_NMVER               UNIQUE (HTC_NAME, HTC_VERSION),
    CONSTRAINT            HTC_ID_NN               CHECK ( HTC_ID IS NOT NULL),
    CONSTRAINT            HTC_NAME_NN             CHECK ( HTC_NAME IS NOT NULL),
    CONSTRAINT            HTC_VERSION_NN          CHECK ( HTC_VERSION IS NOT NULL),
    CONSTRAINT            HTC_USER_VERSION_NN     CHECK ( HTC_USER_VERSION IS NOT NULL),
    CONSTRAINT            HTC_CHAIN_COUNTER_NN    CHECK ( HTC_CHAIN_COUNTER IS NOT NULL),
    CONSTRAINT            HTC_LOWER_CHAIN_NAME_NN CHECK ( HTC_LOWER_CHAIN_NAME IS NOT NULL)
    --CONSTRAINT 		  HTC_EB_POINT_NN	  CHECK ( HTC_EB_POINT IS NOT NULL)
);
CREATE INDEX HTC_TRIGGER_CHAIN_HASH_IND ON HLT_TRIGGER_CHAIN(HTC_HASH) COMPRESS 1;
CREATE TABLE HLT_TRIGGER_SIGNATURE ( 
    HTS_ID                 NUMBER(10),
    HTS_HASH                      NUMBER(10),
    HTS_LOGIC            NUMBER(2),
    CONSTRAINT             HTS_PK            PRIMARY KEY (HTS_ID),
    CONSTRAINT            HTS_ID_NN         CHECK ( HTS_ID IS NOT NULL),
    CONSTRAINT            HTS_LOGIC_NN         CHECK ( HTS_LOGIC IS NOT NULL)
);
CREATE INDEX HTS_TRIGGER_SIGNATURE_HASH_IND ON HLT_TRIGGER_SIGNATURE(HTS_HASH) COMPRESS 1;
CREATE TABLE HLT_TRIGGER_ELEMENT ( 
    HTE_ID                    NUMBER(10),
    HTE_HASH		      NUMBER(10),
    HTE_NAME                  VARCHAR2(100),
    HTE_VERSION               NUMBER(11),
    CONSTRAINT             HTE_PK            PRIMARY KEY (HTE_ID),
    CONSTRAINT            HTE_ID_NN         CHECK ( HTE_ID IS NOT NULL),
    CONSTRAINT            HTE_NAME_NN         CHECK ( HTE_NAME IS NOT NULL),
    CONSTRAINT            HTE_VERSION_NN         CHECK ( HTE_VERSION IS NOT NULL),
    CONSTRAINT            HTE_HASH_NN         CHECK ( HTE_HASH IS NOT NULL)
 );
CREATE INDEX HTS_TRIGGER_ELEMENT_HASH_IND ON HLT_TRIGGER_ELEMENT(HTE_HASH) COMPRESS 1;
CREATE TABLE HLT_PRESCALE_SET ( 
    HPS_ID                        NUMBER(10),
    HPS_NAME                      VARCHAR2(65),
    HPS_VERSION                   NUMBER(11),
    HPS_COMMENT                   VARCHAR2(200),
    HPS_USERNAME                  VARCHAR2(50),
    HPS_MODIFIED_TIME             TIMESTAMP, 
    HPS_USED                      CHAR DEFAULT 0, 
    HPS_TYPE                      VARCHAR2(200),     
    CONSTRAINT            HPS_PK                PRIMARY KEY (HPS_ID),
    CONSTRAINT            HPS_NMVER             UNIQUE (HPS_NAME, HPS_VERSION),
    CONSTRAINT            HPS_ID_NN         CHECK ( HPS_ID IS NOT NULL),
    CONSTRAINT            HPS_NAME_NN         CHECK ( HPS_NAME IS NOT NULL),
    CONSTRAINT            HPS_VERSION_NN         CHECK ( HPS_VERSION IS NOT NULL),
    CONSTRAINT            HPS_USED_NN         CHECK ( HPS_USED IS NOT NULL),
    CONSTRAINT            HPS_TYPE_NN         CHECK ( HPS_TYPE IS NOT NULL)
);
CREATE TABLE HLT_PRESCALE (
      HPR_ID                        NUMBER(10),
      HPR_HASH                      NUMBER(10),
      HPR_PRESCALE_SET_ID           NUMBER(10),
      HPR_CHAIN_COUNTER             NUMBER(10),
      HPR_VALUE                     NUMBER(10,2),
      HPR_TYPE                      VARCHAR2(50),
      HPR_CONDITION                 VARCHAR2(200),
      CONSTRAINT     HPR_PK                     PRIMARY KEY (HPR_ID),
      CONSTRAINT     HPR_FK_PS                  FOREIGN KEY (HPR_PRESCALE_SET_ID) REFERENCES HLT_PRESCALE_SET(HPS_ID),
      CONSTRAINT     HPR_ID_NN                  CHECK ( HPR_ID IS NOT NULL),
      CONSTRAINT     HPR_PRESCALE_SET_ID_NN     CHECK ( HPR_PRESCALE_SET_ID IS NOT NULL),
      CONSTRAINT     HPR_CHAIN_COUNTER_NN       CHECK ( HPR_CHAIN_COUNTER IS NOT NULL),
      CONSTRAINT     HPR_VALUE_NN               CHECK ( HPR_VALUE IS NOT NULL),
      CONSTRAINT     HPR_TYPE_NN                CHECK ( HPR_TYPE IS NOT NULL)
);
CREATE INDEX HPR_PRESCALE_SET_ID_IND ON HLT_PRESCALE(HPR_PRESCALE_SET_ID) COMPRESS 1;
CREATE INDEX HPR_PRESCALE_HASH_IND ON HLT_PRESCALE(HPR_HASH) COMPRESS 1;
CREATE TABLE HLT_TM_TO_PS ( 
    HTM2PS_ID             NUMBER(10),
    HTM2PS_TRIGGER_MENU_ID         NUMBER(10),
    HTM2PS_PRESCALE_SET_ID      NUMBER(10),
    HTM2PS_USED            CHAR            DEFAULT 0,
    CONSTRAINT            HTM2PS_PK        PRIMARY KEY (HTM2PS_ID),
    CONSTRAINT            HTM2PS_FK_TM        FOREIGN KEY (HTM2PS_TRIGGER_MENU_ID) 
                                REFERENCES HLT_TRIGGER_MENU(HTM_ID),
    CONSTRAINT            HTM2PS_FK_PS        FOREIGN KEY (HTM2PS_PRESCALE_SET_ID)
                                REFERENCES HLT_PRESCALE_SET(HPS_ID),
    CONSTRAINT            HTM2PS_ID_NN         CHECK ( HTM2PS_ID IS NOT NULL),
    CONSTRAINT            HTM2PS_MENU_ID_NN     CHECK ( HTM2PS_TRIGGER_MENU_ID IS NOT NULL),
    CONSTRAINT            HTM2PS_SET_ID_NN     CHECK ( HTM2PS_PRESCALE_SET_ID IS NOT NULL),
    CONSTRAINT            HTM2PS_USED_NN         CHECK ( HTM2PS_USED IS NOT NULL)
);
CREATE INDEX HTM2PS_TRIGGER_MENU_ID_IND ON HLT_TM_TO_PS(HTM2PS_TRIGGER_MENU_ID) COMPRESS 1;
CREATE INDEX HTM2PS_PRESCALE_SET_ID_IND ON HLT_TM_TO_PS(HTM2PS_PRESCALE_SET_ID) COMPRESS 1;
CREATE TABLE HLT_TM_TO_TC ( 
    HTM2TC_ID             NUMBER(10),
    HTM2TC_TRIGGER_MENU_ID         NUMBER(10),
    HTM2TC_TRIGGER_CHAIN_ID     NUMBER(10),
    CONSTRAINT            HTM2TC_PK        PRIMARY KEY (HTM2TC_ID),
    CONSTRAINT            HTM2TC_FK_TM        FOREIGN KEY (HTM2TC_TRIGGER_MENU_ID) 
                                REFERENCES HLT_TRIGGER_MENU(HTM_ID),
    CONSTRAINT            HTM2TC_FK_TC        FOREIGN KEY (HTM2TC_TRIGGER_CHAIN_ID)
                                REFERENCES HLT_TRIGGER_CHAIN(HTC_ID),
    CONSTRAINT            HTM2TC_ID_NN         CHECK ( HTM2TC_ID IS NOT NULL),
    CONSTRAINT            HTM2TC_TRIG_MENU_ID_NN     CHECK ( HTM2TC_TRIGGER_MENU_ID IS NOT NULL),
    CONSTRAINT            HTM2TC_TRIG_CHAIN_ID_NN CHECK ( HTM2TC_TRIGGER_CHAIN_ID IS NOT NULL)
);
CREATE INDEX HTM2TC_TRIGGER_MENU_ID_IND  ON HLT_TM_TO_TC(HTM2TC_TRIGGER_MENU_ID) COMPRESS 1;
CREATE INDEX HTM2TC_TRIGGER_CHAIN_ID_IND ON HLT_TM_TO_TC(HTM2TC_TRIGGER_CHAIN_ID) COMPRESS 1;
CREATE TABLE HLT_TC_TO_TS ( 
    HTC2TS_ID             NUMBER(10),
    HTC2TS_TRIGGER_CHAIN_ID     NUMBER(10),
    HTC2TS_TRIGGER_SIGNATURE_ID     NUMBER(10),
    HTC2TS_SIGNATURE_COUNTER     NUMBER(10),
    CONSTRAINT            HTC2TS_PK        PRIMARY KEY (HTC2TS_ID),
    CONSTRAINT            HTC2TS_FK_TC        FOREIGN KEY (HTC2TS_TRIGGER_CHAIN_ID) 
                                 REFERENCES HLT_TRIGGER_CHAIN(HTC_ID),
    CONSTRAINT            HTC2TS_FK_TS        FOREIGN KEY (HTC2TS_TRIGGER_SIGNATURE_ID)
                                REFERENCES HLT_TRIGGER_SIGNATURE(HTS_ID),
    CONSTRAINT            HTC2TS_ID_NN         CHECK ( HTC2TS_ID IS NOT NULL),
    CONSTRAINT            HTC2TS_TRIG_CHAIN_ID_NN CHECK ( HTC2TS_TRIGGER_CHAIN_ID IS NOT NULL),
    CONSTRAINT            HTC2TS_TRIG_SIG_ID_NN     CHECK ( HTC2TS_TRIGGER_SIGNATURE_ID IS NOT NULL),
    CONSTRAINT            HTC2TS_SIG_COUNTER_NN     CHECK ( HTC2TS_SIGNATURE_COUNTER IS NOT NULL)
);
CREATE INDEX HTC2TS_TRIGR_CHAIN_ID_IND ON HLT_TC_TO_TS(HTC2TS_TRIGGER_CHAIN_ID) COMPRESS 1;
CREATE INDEX HTC2TS_TRIGR_SIG_ID_IND   ON HLT_TC_TO_TS(HTC2TS_TRIGGER_SIGNATURE_ID) COMPRESS 1;
CREATE TABLE HLT_TRIGGER_GROUP (
      HTG_ID                         NUMBER(10),
      HTG_TRIGGER_CHAIN_ID           NUMBER(10),
      HTG_NAME                       VARCHAR2(50),
      CONSTRAINT             HTG_PK              PRIMARY KEY (HTG_ID),
      CONSTRAINT             HTG_FK_TC           FOREIGN KEY (HTG_TRIGGER_CHAIN_ID)  
                                REFERENCES HLT_TRIGGER_CHAIN(HTC_ID),
    CONSTRAINT            HTG_ID_NN         CHECK ( HTG_ID IS NOT NULL),
    CONSTRAINT            HTG_TRIGGER_CHAIN_ID_NN CHECK ( HTG_TRIGGER_CHAIN_ID IS NOT NULL),
    CONSTRAINT            HTG_NAME_NN         CHECK ( HTG_NAME IS NOT NULL)
);
CREATE INDEX HTG_TRIGGER_CHAIN_ID_IND ON HLT_TRIGGER_GROUP(HTG_TRIGGER_CHAIN_ID) COMPRESS 1;
CREATE TABLE HLT_TRIGGER_TYPE (
      HTT_ID                         NUMBER(10),
      HTT_TRIGGER_CHAIN_ID           NUMBER(10),
      HTT_TYPEBIT                    NUMBER(10),
      CONSTRAINT             HTT_PK              PRIMARY KEY (HTT_ID),
      CONSTRAINT             HTT_FK_TC           FOREIGN KEY (HTT_TRIGGER_CHAIN_ID)      
                                REFERENCES HLT_TRIGGER_CHAIN(HTC_ID),
    CONSTRAINT            HTT_ID_NN         CHECK ( HTT_ID IS NOT NULL),
    CONSTRAINT            HTT_TRIGGER_CHAIN_ID_NN CHECK ( HTT_TRIGGER_CHAIN_ID IS NOT NULL)
);
CREATE INDEX HTT_TRIGGER_CHAIN_ID_IND ON HLT_TRIGGER_TYPE(HTT_TRIGGER_CHAIN_ID) COMPRESS 1;
CREATE TABLE HLT_TRIGGER_STREAM (
      HTR_ID                         NUMBER(10),
      HTR_HASH			     NUMBER(10),
      HTR_NAME                       VARCHAR2(50),
      HTR_DESCRIPTION                VARCHAR2(200),
      HTR_TYPE                       VARCHAR2(50),
      HTR_OBEYLB                     NUMBER(1),
      CONSTRAINT             HTR_PK              PRIMARY KEY (HTR_ID),
    CONSTRAINT            HTR_ID_NN         CHECK ( HTR_ID IS NOT NULL),
    CONSTRAINT            HTR_NAME_NN         CHECK ( HTR_NAME IS NOT NULL),
    CONSTRAINT            HTR_DESCRIPTION_NN     CHECK ( HTR_DESCRIPTION IS NOT NULL),
    CONSTRAINT            HTR_TYPE_NN         CHECK ( HTR_TYPE IS NOT NULL),
    CONSTRAINT            HTR_OBEYLB_NN         CHECK ( HTR_OBEYLB IS NOT NULL)
);
CREATE INDEX HTR_TRIGGER_STREAM_HASH_IND ON HLT_TRIGGER_STREAM(HTR_HASH) COMPRESS 1;
CREATE TABLE HLT_TC_TO_TR (
      HTC2TR_ID                           NUMBER(10),
      HTC2TR_TRIGGER_CHAIN_ID             NUMBER(10),
      HTC2TR_TRIGGER_STREAM_ID            NUMBER(10),
      HTC2TR_TRIGGER_STREAM_PRESCALE      VARCHAR2(50),
      CONSTRAINT  HTC2TR_PK               PRIMARY KEY (HTC2TR_ID),
      CONSTRAINT  HTC2TR_FK_TC            FOREIGN KEY (HTC2TR_TRIGGER_CHAIN_ID)  REFERENCES HLT_TRIGGER_CHAIN(HTC_ID),
      CONSTRAINT  HTC2TR_FK_TM            FOREIGN KEY (HTC2TR_TRIGGER_STREAM_ID) REFERENCES HLT_TRIGGER_STREAM(HTR_ID),
      CONSTRAINT  HTC2TR_ID_NN            CHECK ( HTC2TR_ID IS NOT NULL),
      CONSTRAINT  HTC2TR_TRIG_CHAIN_NN    CHECK ( HTC2TR_TRIGGER_CHAIN_ID IS NOT NULL),
      CONSTRAINT  HTC2TR_TRIG_STR_NN      CHECK ( HTC2TR_TRIGGER_STREAM_ID IS NOT NULL),
      CONSTRAINT  HTC2TR_TRIG_STR_PS_NN   CHECK ( HTC2TR_TRIGGER_STREAM_PRESCALE IS NOT NULL)
);
CREATE INDEX HTC2TR_TRIGGER_CHAIN_ID_IND  ON HLT_TC_TO_TR(HTC2TR_TRIGGER_CHAIN_ID) COMPRESS 1;
CREATE INDEX HTC2TR_TRIGGER_STREAM_ID_IND ON HLT_TC_TO_TR(HTC2TR_TRIGGER_STREAM_ID) COMPRESS 1;
CREATE TABLE HLT_TS_TO_TE ( 
      HTS2TE_ID                         NUMBER(10),
      HTS2TE_TRIGGER_SIGNATURE_ID       NUMBER(10),
      HTS2TE_TRIGGER_ELEMENT_ID         NUMBER(10),
      HTS2TE_ELEMENT_COUNTER            NUMBER(10),
      CONSTRAINT              HTS2TE_PK             PRIMARY KEY (HTS2TE_ID),
      CONSTRAINT              HTS2TE_FK_TS          FOREIGN KEY (HTS2TE_TRIGGER_SIGNATURE_ID) 
                                                  REFERENCES HLT_TRIGGER_SIGNATURE(HTS_ID),
      CONSTRAINT              HTS2TE_FK_TE         FOREIGN KEY (HTS2TE_TRIGGER_ELEMENT_ID)
                                                  REFERENCES HLT_TRIGGER_ELEMENT(HTE_ID),
    CONSTRAINT            HTS2TE_ID_NN         CHECK ( HTS2TE_ID IS NOT NULL),
    CONSTRAINT            HTS2TE_TRIG_SIG_ID_NN     CHECK ( HTS2TE_TRIGGER_SIGNATURE_ID IS NOT NULL),
    CONSTRAINT            HTS2TE_TRIG_ELE_ID_NN     CHECK ( HTS2TE_TRIGGER_ELEMENT_ID IS NOT NULL),
    CONSTRAINT            HTS2TE_ELE_COUNTER_NN     CHECK ( HTS2TE_ELEMENT_COUNTER IS NOT NULL)
);
CREATE INDEX HTS2TE_TRIGR_SIG__ID_IND ON HLT_TS_TO_TE(HTS2TE_TRIGGER_SIGNATURE_ID) COMPRESS 1;
CREATE INDEX HTS2TE_TRIGR_ELE_ID_IND  ON HLT_TS_TO_TE(HTS2TE_TRIGGER_ELEMENT_ID) COMPRESS 1;
CREATE TABLE HLT_TE_TO_CP (
      HTE2CP_ID                     NUMBER(10),
      HTE2CP_TRIGGER_ELEMENT_ID    NUMBER(10),
      HTE2CP_COMPONENT_ID           NUMBER(10),
      HTE2CP_ALGORITHM_COUNTER      NUMBER(10),
      CONSTRAINT              HTE2CP_PK             PRIMARY KEY (HTE2CP_ID),
      CONSTRAINT              HTE2CP_FK_TE          FOREIGN KEY (HTE2CP_TRIGGER_ELEMENT_ID) 
                                                REFERENCES HLT_TRIGGER_ELEMENT(HTE_ID),
      CONSTRAINT              HTE2CP_FK_CP          FOREIGN KEY (HTE2CP_COMPONENT_ID)
                                                REFERENCES HLT_COMPONENT(HCP_ID),
    CONSTRAINT            HTE2CP_ID_NN         CHECK ( HTE2CP_ID IS NOT NULL),
    CONSTRAINT            HTE2CP_TRIG_ELE_ID_NN     CHECK ( HTE2CP_TRIGGER_ELEMENT_ID IS NOT NULL),
    CONSTRAINT            HTE2CP_COMP_ID_NN     CHECK ( HTE2CP_COMPONENT_ID IS NOT NULL),
    CONSTRAINT            HTE2CP_ALGO_COUNTER_NN     CHECK ( HTE2CP_ALGORITHM_COUNTER IS NOT NULL)
);
CREATE INDEX HTE2CP_TRIGGER_ELEMENT_ID_IND ON HLT_TE_TO_CP(HTE2CP_TRIGGER_ELEMENT_ID) COMPRESS 1;
CREATE INDEX HTE2CP_COMPONENT_ID_IND       ON HLT_TE_TO_CP(HTE2CP_COMPONENT_ID) COMPRESS 1;
CREATE TABLE HLT_TE_TO_TE (
      HTE2TE_ID                      NUMBER(10),
      HTE2TE_TE_ID                   NUMBER(10),
      HTE2TE_TE_INP_ID               VARCHAR2(100),
      HTE2TE_TE_INP_TYPE             VARCHAR2(10),
      HTE2TE_TE_COUNTER              NUMBER(3),
    CONSTRAINT             HTE2TE_PK           PRIMARY KEY (HTE2TE_ID),
      CONSTRAINT             HTE2CTE_FK_TE       FOREIGN KEY (HTE2TE_TE_ID) 
                                                   REFERENCES HLT_TRIGGER_ELEMENT(HTE_ID),
    CONSTRAINT            HTE2TE_ID_NN         CHECK ( HTE2TE_ID IS NOT NULL),
    CONSTRAINT            HTE2TE_TE_ID_NN     CHECK ( HTE2TE_TE_ID IS NOT NULL),
    CONSTRAINT            HTE2TE_TE_INP_ID_NN     CHECK ( HTE2TE_TE_INP_ID IS NOT NULL),
    CONSTRAINT            HTE2TE_TE_INP_TYPE_NN     CHECK ( HTE2TE_TE_INP_TYPE IS NOT NULL),
    CONSTRAINT            HTE2TE_TE_COUNTER_NN     CHECK ( HTE2TE_TE_COUNTER IS NOT NULL)
 );
CREATE INDEX HTE2TE_TE_ID_IND ON HLT_TE_TO_TE(HTE2TE_TE_ID) COMPRESS 1;
CREATE TABLE HLT_RULE_SET (
      HRS_ID                         NUMBER(10),
      HRS_NAME                       VARCHAR2(50),
      HRS_VERSION                    NUMBER(11),
      CONSTRAINT             HRS_PK              PRIMARY KEY (HRS_ID),
      CONSTRAINT             HRS_NMVER           UNIQUE (HRS_NAME, HRS_VERSION),
    CONSTRAINT            HRS_ID_NN         CHECK ( HRS_ID IS NOT NULL),
    CONSTRAINT            HRS_NAME_NN         CHECK ( HRS_NAME IS NOT NULL),
    CONSTRAINT            HRS_VERSION_NN         CHECK ( HRS_VERSION IS NOT NULL)
);
CREATE TABLE HLT_RULE (
      HRU_ID                         NUMBER(10),
      HRU_NAME                       VARCHAR2(50),
      HRU_VERSION                    NUMBER(11),
      HRU_TYPE                       NUMBER(1),
      CONSTRAINT            HRU_PK              PRIMARY KEY (HRU_ID),
      CONSTRAINT             HRU_NMVERTP         UNIQUE (HRU_NAME, HRU_VERSION, HRU_TYPE),
    CONSTRAINT            HRU_ID_NN         CHECK ( HRU_ID IS NOT NULL),
    CONSTRAINT            HRU_NAME_NN         CHECK ( HRU_NAME IS NOT NULL),
    CONSTRAINT            HRU_VERSION_NN         CHECK ( HRU_VERSION IS NOT NULL),
    CONSTRAINT            HRU_TYPE_NN         CHECK ( HRU_TYPE IS NOT NULL)
);
CREATE TABLE HLT_RULE_COMPONENT (
    HRC_ID                        NUMBER(10),
    HRC_NAME                      VARCHAR2(200),
    HRC_VERSION                   NUMBER(11),
    HRC_ALIAS                     VARCHAR2(200),
    HRC_TYPE                      VARCHAR2(50),
    HRC_PY_NAME                   VARCHAR2(200),
    HRC_PY_PACKAGE                VARCHAR2(200),
    CONSTRAINT            HRC_PK              PRIMARY KEY (HRC_ID),
    CONSTRAINT            HRC_NMVER           UNIQUE (HRC_NAME, HRC_ALIAS, HRC_VERSION),
    CONSTRAINT            HRC_ID_NN           CHECK ( HRC_ID IS NOT NULL),
    CONSTRAINT            HRC_NAME_NN         CHECK ( HRC_NAME IS NOT NULL),
    CONSTRAINT            HRC_VERSION_NN      CHECK ( HRC_VERSION IS NOT NULL),
    CONSTRAINT            HRC_ALIAS_NN        CHECK ( HRC_ALIAS IS NOT NULL),
    CONSTRAINT            HRC_TYPE_NN         CHECK ( HRC_TYPE IS NOT NULL),
    CONSTRAINT            HRC_PY_NAME_NN      CHECK ( HRC_PY_NAME IS NOT NULL),
    CONSTRAINT            HRC_PY_PACKAGE_NN   CHECK ( HRC_PY_PACKAGE IS NOT NULL)
);
CREATE TABLE HLT_RULE_PARAMETER (
    HRP_ID                      NUMBER(10),
    HRP_NAME                    VARCHAR2(50),
    HRP_OP                      VARCHAR2(30),
    HRP_VALUE                   VARCHAR2(4000),
    CONSTRAINT                  HRP_PK              PRIMARY KEY (HRP_ID),
    CONSTRAINT            HRP_ID_NN         CHECK ( HRP_ID IS NOT NULL),
    CONSTRAINT            HRP_NAME_NN         CHECK ( HRP_NAME IS NOT NULL),
    CONSTRAINT            HRP_OP_NN         CHECK ( HRP_OP IS NOT NULL),
    CONSTRAINT            HRP_VALUE_NN         CHECK ( HRP_VALUE IS NOT NULL)
);
CREATE TABLE HLT_HRE_TO_HRS (
      HRE2RS_ID                          NUMBER(10),
      HRE2RS_RELEASE_ID                  NUMBER(10),
      HRE2RS_RULE_SET_ID                 NUMBER(10),
      CONSTRAINT             HRE2RS_PK               PRIMARY KEY (HRE2RS_ID),
      CONSTRAINT             HRE2RS_FK_RU            FOREIGN KEY (HRE2RS_RELEASE_ID)   
                                REFERENCES HLT_RELEASE(HRE_ID),
      CONSTRAINT             HRE2RS_FK_RS            FOREIGN KEY (HRE2RS_RULE_SET_ID)  
                                REFERENCES HLT_RULE_SET(HRS_ID),
    CONSTRAINT            HRE2RS_ID_NN         CHECK ( HRE2RS_ID IS NOT NULL)
);
CREATE INDEX HRE2RS_RELEASE_ID_IND  ON HLT_HRE_TO_HRS(HRE2RS_RELEASE_ID) COMPRESS 1;
CREATE INDEX HRE2RS_RULE_SET_ID_IND ON HLT_HRE_TO_HRS(HRE2RS_RULE_SET_ID) COMPRESS 1;
CREATE TABLE HLT_HRS_TO_HRU (
      HRS2RU_ID                          NUMBER(10),
      HRS2RU_RULE_SET_ID                 NUMBER(10),
      HRS2RU_RULE_ID                     NUMBER(10),
      HRS2RU_RULE_COUNTER                NUMBER(10),
      CONSTRAINT            HRS2RU_PK               PRIMARY KEY (HRS2RU_ID),
      CONSTRAINT             HRS2RU_FK_RS            FOREIGN KEY (HRS2RU_RULE_SET_ID)  
                                REFERENCES HLT_RULE_SET(HRS_ID),
      CONSTRAINT             HRS2RU_FK_RU            FOREIGN KEY (HRS2RU_RULE_ID) 
                                REFERENCES HLT_RULE(HRU_ID),
    CONSTRAINT            HRS2RU_ID_NN         CHECK ( HRS2RU_ID IS NOT NULL),
    CONSTRAINT            HRS2RU_RULE_COUNTER_NN     CHECK ( HRS2RU_RULE_COUNTER IS NOT NULL)
);
CREATE INDEX HRS2RU_RULE_ID_IND     ON HLT_HRS_TO_HRU(HRS2RU_RULE_ID) COMPRESS 1;
CREATE INDEX HRS2RU_RULE_SET_ID_IND ON HLT_HRS_TO_HRU(HRS2RU_RULE_SET_ID) COMPRESS 1;
CREATE TABLE HLT_HRU_TO_HRC (
      HRU2RC_ID                          NUMBER(10),   
      HRU2RC_RULE_ID                     NUMBER(10),
      HRU2RC_COMPONENT_ID                NUMBER(10),
      HRU2RC_COMPONENT_TYPE              NUMBER(1),
      CONSTRAINT             HRU2RC_PK               PRIMARY KEY (HRU2RC_ID),
      CONSTRAINT             HRU2RC_FK_RU            FOREIGN KEY (HRU2RC_RULE_ID)
                                REFERENCES HLT_RULE(HRU_ID),
      CONSTRAINT             HRU2RC_FK_RC            FOREIGN KEY (HRU2RC_COMPONENT_ID) 
                                REFERENCES HLT_RULE_COMPONENT(HRC_ID),
      CONSTRAINT             HRU2RC_RURCCT           UNIQUE (HRU2RC_RULE_ID, HRU2RC_COMPONENT_ID, HRU2RC_COMPONENT_TYPE),
    CONSTRAINT            HRU2RC_ID_NN         CHECK ( HRU2RC_ID IS NOT NULL)
);
CREATE INDEX HRU2RC_RULE_ID_IND ON HLT_HRU_TO_HRC(HRU2RC_RULE_ID) COMPRESS 1;
CREATE INDEX HRU2RC_COMPONENT_ID_IND ON HLT_HRU_TO_HRC(HRU2RC_COMPONENT_ID) COMPRESS 1;
CREATE TABLE HLT_HRC_TO_HRP (
      HRC2RP_ID                          NUMBER(10),
      HRC2RP_COMPONENT_ID                NUMBER(10),
      HRC2RP_PARAMETER_ID                NUMBER(10),
      CONSTRAINT             HRC2RP_PK               PRIMARY KEY (HRC2RP_ID),
      CONSTRAINT             HRC2RP_FK_RC            FOREIGN KEY (HRC2RP_COMPONENT_ID) 
                                REFERENCES HLT_RULE_COMPONENT(HRC_ID),
      CONSTRAINT             HRC2RP_FK_RP            FOREIGN KEY (HRC2RP_PARAMETER_ID) 
                                REFERENCES HLT_RULE_PARAMETER(HRP_ID),
    CONSTRAINT            HRC2RP_ID_NN         CHECK ( HRC2RP_ID IS NOT NULL)
);
CREATE INDEX HRC2RP_COMPONENT_ID_IND ON HLT_HRC_TO_HRP(HRC2RP_COMPONENT_ID) COMPRESS 1;
CREATE INDEX HRC2RP_PARAMETER_ID_IND ON HLT_HRC_TO_HRP(HRC2RP_PARAMETER_ID) COMPRESS 1;
CREATE TABLE PRESCALE_SET_ALIAS (
    PSA_ID                NUMBER(10),
    PSA_NAME              VARCHAR2(100), -- ENUM BASIC BEAM TYPES: 'Physics', 'Stand By', 'Other'
    PSA_NAME_FREE         VARCHAR2(250), -- FREE DESCRIPTION : 	   'HI v1', '1300 bunches_25ns'...
    PSA_DEFAULT           CHAR		DEFAULT 0, -- DENOTES THE DEFAULT ALIAS      
    PSA_COMMENT		  VARCHAR2(200),
    PSA_USERNAME          VARCHAR2(50),
    PSA_MODIFIED_TIME     TIMESTAMP,
    --
    CONSTRAINT             PSA_PK            PRIMARY KEY(PSA_ID),
    CONSTRAINT             PSA_NAME_NN	  CHECK ( PSA_NAME IS NOT NULL)
);
CREATE TABLE L1_PRESCALE_SET_ALIAS(
    L1PSA_ID                NUMBER(10),
    L1PSA_NAME              VARCHAR2(50),
    L1PSA_DEFAULT             CHAR		DEFAULT 0,       
    --
    L1PSA_ALIAS_ID		NUMBER(10),
    L1PSA_L1TM2PS_ID		NUMBER(10),
    L1PSA_LMIN             	VARCHAR2(50)	DEFAULT 0,
    L1PSA_LMAX           	VARCHAR2(50),
    L1PSA_COMMENT		VARCHAR2(200),
    --
    CONSTRAINT             L1PSA_PK		PRIMARY KEY(L1PSA_ID),
    CONSTRAINT             L1PSA_ALIAS_ID_NN	CHECK ( L1PSA_ALIAS_ID IS NOT NULL),
    CONSTRAINT             L1PSA_LMAX_NN	CHECK ( L1PSA_LMAX     IS NOT NULL),
    CONSTRAINT		   L1PSA_ALIAS_FK    	FOREIGN KEY (L1PSA_ALIAS_ID)
                                REFERENCES PRESCALE_SET_ALIAS(PSA_ID),
    CONSTRAINT		   L1PSA_L1TM2PS_FK        FOREIGN KEY (L1PSA_L1TM2PS_ID)
                                REFERENCES L1_TM_TO_PS(L1TM2PS_ID)
);
CREATE INDEX L1PSA_ALIAS_ID_IND ON L1_PRESCALE_SET_ALIAS(L1PSA_ALIAS_ID) COMPRESS 1;
CREATE INDEX L1PSA_L1TM2PS_ID_IND ON L1_PRESCALE_SET_ALIAS(L1PSA_L1TM2PS_ID) COMPRESS 1;
CREATE TABLE HLT_PRESCALE_SET_ALIAS(
    HPSA_ID                NUMBER(10),
    HPSA_NAME              VARCHAR2(50),
    HPSA_DEFAULT           CHAR		DEFAULT 0,       
    --
    HPSA_ALIAS_ID		NUMBER(10),
    HPSA_HTM2PS_ID		NUMBER(10),
    HPSA_LMIN             	VARCHAR2(50)	DEFAULT 0,
    HPSA_LMAX           	VARCHAR2(50),
    HPSA_COMMENT		VARCHAR2(200),
    --
    CONSTRAINT             HPSA_PK		PRIMARY KEY(HPSA_ID),
    CONSTRAINT             HPSA_ALIAS_ID_NN	CHECK ( HPSA_ALIAS_ID IS NOT NULL),
    CONSTRAINT             HPSA_LMAX_NN	CHECK ( HPSA_LMAX     IS NOT NULL),
    CONSTRAINT		   HPSA_ALIAS_FK    	FOREIGN KEY (HPSA_ALIAS_ID)
                                REFERENCES PRESCALE_SET_ALIAS(PSA_ID),
    CONSTRAINT		   HPSA_HTM2PS_FK        FOREIGN KEY (HPSA_HTM2PS_ID)
                                REFERENCES HLT_TM_TO_PS(HTM2PS_ID)
);
CREATE INDEX HPSA_ALIAS_ID_IND ON HLT_PRESCALE_SET_ALIAS(HPSA_ALIAS_ID) COMPRESS 1;
CREATE INDEX HPSA_HTM2PS_ID_IND ON HLT_PRESCALE_SET_ALIAS(HPSA_HTM2PS_ID) COMPRESS 1;
CREATE TABLE HLT_MASTER_TABLE (
    HMT_ID                   NUMBER(10),
    HMT_NAME                 VARCHAR2(50),
    HMT_VERSION              NUMBER(11),
    HMT_COMMENT              VARCHAR2(200),
    HMT_TRIGGER_MENU_ID      NUMBER(10),
    HMT_SETUP_ID             NUMBER(10),
    HMT_FORCED_SETUP_ID      NUMBER(10),
    HMT_USERNAME             VARCHAR2(50),
    HMT_MODIFIED_TIME        TIMESTAMP,
    HMT_STATUS               NUMBER(2),
    HMT_USED                 CHAR              DEFAULT 0,
    CONSTRAINT            HMT_PK               PRIMARY KEY (HMT_ID),
    CONSTRAINT            HMT_FK_TM            FOREIGN KEY (HMT_TRIGGER_MENU_ID)    REFERENCES HLT_TRIGGER_MENU(HTM_ID),
    CONSTRAINT            HMT_FK_ST            FOREIGN KEY (HMT_SETUP_ID)           REFERENCES HLT_SETUP(HST_ID),
    CONSTRAINT            HMT_NMVER            UNIQUE (HMT_NAME, HMT_VERSION),
    CONSTRAINT            HMT_ID_NN            CHECK ( HMT_ID IS NOT NULL),
    CONSTRAINT            HMT_NAME_NN          CHECK ( HMT_NAME IS NOT NULL),
    CONSTRAINT            HMT_VERSION_NN       CHECK ( HMT_VERSION IS NOT NULL),
    CONSTRAINT            HMT_STATUS_NN        CHECK ( HMT_STATUS IS NOT NULL),
    CONSTRAINT            HMT_USED_NN          CHECK ( HMT_USED IS NOT NULL)
);
CREATE INDEX HMT_TRIGGER_MENU_ID_IND    ON HLT_MASTER_TABLE(HMT_TRIGGER_MENU_ID) COMPRESS 1;
CREATE INDEX HMT_SETUP_ID_IND           ON HLT_MASTER_TABLE(HMT_SETUP_ID) COMPRESS 1;
CREATE TABLE SUPER_MASTER_TABLE (
    SMT_ID                      NUMBER(10),
    SMT_NAME                    VARCHAR2(50),
    SMT_VERSION                 NUMBER(11),
    SMT_COMMENT                 VARCHAR2(200),
    SMT_ORIGIN                  VARCHAR2(50),
    SMT_PARENT_HISTORY_KEY      NUMBER(10),
    SMT_L1_MASTER_TABLE_ID      NUMBER(10),
    SMT_TOPO_MASTER_TABLE_ID    NUMBER(10),
    SMT_HLT_MASTER_TABLE_ID     NUMBER(10),
    SMT_USERNAME                VARCHAR2(50),
    SMT_MODIFIED_TIME           TIMESTAMP,
    SMT_STATUS                  NUMBER(2),
    SMT_USED                    CHAR           DEFAULT 0,
    CONSTRAINT            SMT_PK               PRIMARY KEY (SMT_ID),
    CONSTRAINT            SMT_FK_L1MT          FOREIGN KEY (SMT_L1_MASTER_TABLE_ID)
                                               REFERENCES L1_MASTER_TABLE(L1MT_ID),
    CONSTRAINT            SMT_FK_TMT           FOREIGN KEY (SMT_TOPO_MASTER_TABLE_ID)
                                               REFERENCES TOPO_MASTER_TABLE(TMT_ID),
    CONSTRAINT            SMT_FK_HMT           FOREIGN KEY (SMT_HLT_MASTER_TABLE_ID)
                                               REFERENCES HLT_MASTER_TABLE(HMT_ID),
    CONSTRAINT            SMT_NMVER            UNIQUE (SMT_NAME, SMT_VERSION),
    CONSTRAINT            SMT_ID_NN            CHECK ( SMT_ID IS NOT NULL),
    CONSTRAINT            SMT_NAME_NN          CHECK ( SMT_NAME IS NOT NULL),
    CONSTRAINT            SMT_VERSION_NN       CHECK ( SMT_VERSION IS NOT NULL),
    CONSTRAINT            SMT_L1_MASTER_ID_NN  CHECK ( SMT_L1_MASTER_TABLE_ID IS NOT NULL),
    CONSTRAINT            SMT_TOPO_MASTER_ID_NN CHECK ( SMT_TOPO_MASTER_TABLE_ID IS NOT NULL),
    CONSTRAINT            SMT_HLT_MASTER_ID_NN CHECK ( SMT_HLT_MASTER_TABLE_ID IS NOT NULL),
    CONSTRAINT            SMT_STATUS_NN        CHECK ( SMT_STATUS IS NOT NULL),
    CONSTRAINT            SMT_USED_NN          CHECK ( SMT_USED IS NOT NULL)
);
CREATE INDEX SMT_L1_MASTER_ID_IND  ON SUPER_MASTER_TABLE(SMT_L1_MASTER_TABLE_ID) COMPRESS 1;
CREATE INDEX SMT_TOPO_MASTER_ID_IND  ON SUPER_MASTER_TABLE(SMT_TOPO_MASTER_TABLE_ID) COMPRESS 1;
CREATE INDEX SMT_HLT_MASTER_ID_IND ON SUPER_MASTER_TABLE(SMT_HLT_MASTER_TABLE_ID) COMPRESS 1;
CREATE TABLE HLT_SMT_TO_HRE (
    SMT2RE_ID                          NUMBER(10),
    SMT2RE_SUPER_MASTER_TABLE_ID       NUMBER(10),
    SMT2RE_RELEASE_ID                  NUMBER(10),
    CONSTRAINT            SMT2RE_PK                PRIMARY KEY (SMT2RE_ID),
    CONSTRAINT            SMT2RE_FK_SMT            FOREIGN KEY (SMT2RE_SUPER_MASTER_TABLE_ID)  
                                                   REFERENCES SUPER_MASTER_TABLE(SMT_ID),
    CONSTRAINT            SMT2RE_FK_RE             FOREIGN KEY (SMT2RE_RELEASE_ID)             
                                                   REFERENCES HLT_RELEASE(HRE_ID),
    CONSTRAINT            SMT2RE_ID_NN             CHECK ( SMT2RE_ID IS NOT NULL)
);
CREATE INDEX SMT2RE_SMT_ID_IND ON HLT_SMT_TO_HRE(SMT2RE_SUPER_MASTER_TABLE_ID) COMPRESS 1;
CREATE INDEX SMT2RE_REL_ID_IND ON HLT_SMT_TO_HRE(SMT2RE_RELEASE_ID) COMPRESS 1;
CREATE TABLE HLT_PRESCALE_SET_COLL (
    HPSC_PARTITION   VARCHAR2(255),
    HPSC_RUN         NUMBER(11),
    HPSC_LB          NUMBER(5),
    HPSC_HLTPSK      NUMBER(10),
    CONSTRAINT       HPSC_PK            PRIMARY KEY (HPSC_PARTITION, HPSC_RUN, HPSC_LB),
    CONSTRAINT       HPSC_RUN_NN        CHECK ( HPSC_RUN IS NOT NULL),
    CONSTRAINT       HPSC_LB_NN         CHECK ( HPSC_LB IS NOT NULL),
    CONSTRAINT       HPSC_FK_HLTPSK     FOREIGN KEY (HPSC_HLTPSK)
                                        REFERENCES HLT_PRESCALE_SET(HPS_ID)
);  
CREATE INDEX HPSC_HLTPSK_IND ON HLT_PRESCALE_SET_COLL(HPSC_HLTPSK) COMPRESS 1;
CREATE TABLE ACTIVE_MASTERS (
    AM_ACTIVE_TOPOMASTER_ID     NUMBER(11),
    AM_ACTIVE_L1MASTER_ID       NUMBER(11),
    CONSTRAINT AM_PK		PRIMARY KEY (AM_ACTIVE_TOPOMASTER_ID,AM_ACTIVE_L1MASTER_ID),
    CONSTRAINT AM_FK_TOPO       FOREIGN KEY (AM_ACTIVE_TOPOMASTER_ID)
                                REFERENCES TOPO_MASTER_TABLE(TMT_ID),
    CONSTRAINT AM_FK_L1         FOREIGN KEY (AM_ACTIVE_L1MASTER_ID)
                                REFERENCES L1_MASTER_TABLE(L1MT_ID)
);
CREATE INDEX AM_ACTIVE_TOPOMASTER_ID_IND ON ACTIVE_MASTERS(AM_ACTIVE_TOPOMASTER_ID) COMPRESS 1;
CREATE INDEX AM_ACTIVE_L1MASTER_ID_IND ON ACTIVE_MASTERS(AM_ACTIVE_L1MASTER_ID) COMPRESS 1;
CREATE TABLE TRIGGER_LOG (
    TLOG_USERNAME             VARCHAR2(50),
    TLOG_SHORT                VARCHAR2(200),
    TLOG_MESSAGE              VARCHAR2(2000),
    TLOG_MODIFIED_TIME        TIMESTAMP,
    CONSTRAINT TLOG_PK	      PRIMARY KEY(TLOG_USERNAME,TLOG_MODIFIED_TIME)
);
COMMIT;
