Name:           daq_tokens
Version:        v1.0.1
Release:        1%{?dist}
Summary:        TDAQ Token Server 

# Group:          
License:        Apache 2.0
# URL:            
Source:         https://gitlab.cern.ch/atlas-tdaq-software/daq_tokens/-/archive/%{version}/daq_tokens-%{version}.tar.bz2 
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires:      python36-jwt 

%description
The TDAQ token server.

Provides a JWT token on /run/daq_token for any local client.

%prep
%setup -q -n daq_tokens-%{version}
%build
%install

rm -rf %{buildroot}
install -d %{buildroot}/%{_bindir} %{buildroot}/%{_sysconfdir}/systemd/system
install bin/token_meister %{buildroot}/%{_bindir}
install -m 644 rpm/daq_token.socket %{buildroot}/%{_sysconfdir}/systemd/system
install -m 644 rpm/daq_token.service %{buildroot}/%{_sysconfdir}/systemd/system

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/usr/bin/token_meister
/etc/systemd/system/daq_token.socket
/etc/systemd/system/daq_token.service

%changelog
