/*
 * SystemFilterModel.cpp
 *
 *  Created on: Oct 9, 2013
 *      Author: kolos
 */

#include <dqm_display/gui/SystemFilterModel.h>

namespace dqm_display {
namespace gui {

SystemFilterModel::SystemFilterModel(QObject * parent, QAbstractItemModel* source)
  : QSortFilterProxyModel(parent)
{
    setSourceModel(source);
}

bool
SystemFilterModel::filterAcceptsRow(int /*sourceRow*/,
         const QModelIndex &sourceParent) const
{
    return (!sourceParent.isValid()
	    || !sourceParent.parent().isValid()
	    || !sourceParent.parent().parent().isValid());
}

}}

