////////////////////////////////////////////////////////////////////////////
//      factorybase.h
//
//      Implementation of the IPC proxy application
//
//      Sergei Kolos August 2007
//
//      description:
//              This file contains implementation of the IPC proxy factory
//
////////////////////////////////////////////////////////////////////////////

#ifndef IPC_PROXY_FACTORY_BASE_H
#define IPC_PROXY_FACTORY_BASE_H

#include <ipc/proxy/objectbase.h>

class IPCProxyFactoryBase
{
  public:
    
    virtual ~IPCProxyFactoryBase() { ; }
    
    virtual IPCProxyObjectBase * create( const char * ior ) = 0;
    
    virtual const std::string & interfaceId( ) = 0;
};

#endif
