#include "OHDisplayHelp.h"

const char gOHHelpUsersGuide[] = "\n"
"Histogram Browser for the Online Histogramming (OH) repository.\n"
"\n"
"It has been designed for browsing and viewing histograms\n"
"(or other ROOT objects like for example graphs) published\n" 
"in the OH The application is based on Root Object Browser.\n"
"\n"
"The main window is divided in two parts:\n"
  "- left window showing collections that can be browsed\n"
  "  (TDAQ Partitions and/or OH Histogram Providers).\n"
  "- right window with elements of selected collection\n"
  "  (TDAQ Partitions, OH Providers, ROOT Objects (Histograms and Graphs)).\n"
"\n"
"Double clicking on a histogram (or graph) icon in the right window\n"
"displays selected object in the new window.\n"
"\n"
"Clicking on an icon with the right mouse button in both windows\n"
"displays context menu, which is specific for the selected object.\n";
 
const char gOHHelpAbout[] = "\n"
"Histogram Browser for the Online Histogramming (OH) repository.\n"
"OH is one of the services of the Trigger/DAQ ssystem for ATLAS experiment.\n"
"OH Home page:\n"
"http://atlas-tdaq-monitoring.web.cern.ch/atlas-tdaq-monitoring/OH/index.html\n"
"\n"
"ATLAS T/DAQ Home page:\n"
"https://twiki.cern.ch/twiki/bin/view/Atlas/TriggerDAQ\n"
"\n"
"You may report bugs and request new features via Savannah interface:\n"
"https://savannah.cern.ch/bugs/?func=additem&group=daq-hlt-i\n"
"\n"
"or send them to the following e-mail address: Serguei.Kolos@cern.ch";
