#include "../ohpplugins/common/RootPlugin.h"
#include <iostream>

class RootPluginExample : public RootPlugin
{
  public:
    RootPluginExample() { ; }

    bool draw(TVirtualPad* const pad , const TObjArray& histos)
    {
	std::cout<<"Called draw..."<<pad<<" "<<histos.GetEntries()<<std::endl;
	for (Int_t idx=0;idx<histos.GetEntries();++idx)
	{
	    histos.At(idx)->Print();
	    pad->cd();
	    histos.At(idx)->Draw();
	}
	return true;
    }

    std::string doc() 
    {
	return "Some complex text.\n This is in two lines";
    }
};
