#include <owl/mutexrw.h>

OWLMutexRW::OWLMutexRW ( )
{
    pthread_rwlock_init(&lock_,0);
}
  
OWLMutexRW::~OWLMutexRW ( )
{
    pthread_rwlock_destroy(&lock_);
}

void OWLMutexRW::read_lock ( )
{
    pthread_rwlock_rdlock(&lock_);
}

bool OWLMutexRW::try_read_lock ( )
{
    return ( pthread_rwlock_tryrdlock(&lock_) == 0 );
}

bool OWLMutexRW::try_write_lock ( )
{
    return ( pthread_rwlock_trywrlock(&lock_) == 0 );
}

void OWLMutexRW::unlock ( )
{
    pthread_rwlock_unlock(&lock_);
}

void OWLMutexRW::write_lock ( )
{
    pthread_rwlock_wrlock(&lock_);
}

