#!/bin/sh

TNS_ADMIN=/afs/cern.ch/project/oracle/admin; export TNS_ADMIN

SDIR='/afs/cern.ch/user/i/isolov/www/cgi-bin'

# setup tdaq release

source /afs/cern.ch/atlas/project/tdaq/cmt/bin/cmtsetup.sh $1 >/dev/null || (echo "Failed to setup $1 DAQ/HLT-I release"; exit 1)


#PATH="$PATH:${SDIR}/i686-slc3-gcc323-opt"
#export PATH

#LD_LIBRARY_PATH="$LD_LIBRARY_PATH:${SDIR}/i686-slc3-gcc323-opt"
#export LD_LIBRARY_PATH

CORAL_AUTH_PATH=${SDIR}
export CORAL_AUTH_PATH;

# get table

cmd_args="-c $2 -w $3"

shift
shift
shift

#echo "DEBUG: rn_ls ${cmd_args} $*"

rn_ls ${cmd_args} $* 2>&1 || (echo "<b>rn_ls</b> failed: $?"; exit 2)

exit $?
