#include <AccessManager/xacml/impl/BCMAction.h>

namespace daq
{

namespace am
{

BCMAction::BCMAction(const std::string& actionValue): Action() {
	initValues();
	addValue(Action::getActionId(), actionValue);
}

BCMAction::~BCMAction(){
	
}

/*
 * Initialize the action id values
 */
void BCMAction::initValues()
{
	// do nothing, but has to be here because is defined in the ABC
}

// return the value for action id in case the action is "configure" 
std::string BCMAction::getValueForActionCONFIGURE() {
	return "configure";
}

// return the value for action id in case the action is "update" 
std::string BCMAction::getValueForActionUPDATE() {
	return "update";
}

}

}
