#include <AccessManager/xacml/impl/PMGAction.h>

namespace daq
{

namespace am
{

PMGAction::PMGAction(const std::string& actionValue): Action() {
	initValues();
	addValue(Action::getActionId(), actionValue);
}

PMGAction::~PMGAction(){
	
}

/*
 * Initialize the action id values
 */
void PMGAction::initValues()
{
	// do nothing, but has to be here because is defined in the ABC
}

// return the value for action id in case the action is "start" 
std::string PMGAction::getValueForActionSTART() {
	return "start";
}

// return the value for action id in case the action is "terminate" 
std::string PMGAction::getValueForActionTERMINATE() {
	return "terminate";
}

}

}
