#!/bin/bash

export tdaq_release="tdaq-09-02-01"
export partition_name="PartitionAlti_DETECTOR"
export logs_path="/mnt/ctpfs/logs"
export pc_host="pc-adt-05.cern.ch"
export sbc_host="sbcl1ct-31.cern.ch"
export tag_name="x86_64-centos7-gcc8-opt"
export linux="centos7"

find . -type f  -name 'editPartition.sh' -exec  sed -i "s#$partition_name#PARTITION_NAME#g" {} \;
find . -type f  -name 'editPartition.sh' -exec  sed -i "s#$tdaq_release#TDAQ_RELEASE#g" {} \;
find . -type f  -name 'runPartition.sh' -exec  sed -i "s#$partition_name#PARTITION_NAME#g" {} \;
find . -type f  -name 'runPartition.sh' -exec  sed -i "s#$tdaq_release#TDAQ_RELEASE#g" {} \;
find . -type f  -name 'PartitionAlti.data.xml' -exec  sed -i "s#$PWD#LOCAL_PATH#g" {} \;
find . -type f  -name '*data.xml' -exec  sed -i "s#$partition_name#PARTITION_NAME#g" {} \;
find . -type f  -name '*data.xml' -exec  sed -i "s#$tdaq_release#TDAQ_RELEASE#g" {} \;
find . -type f  -name '*data.xml' -exec  sed -i "s#$logs_path#LOG_PATH#g" {} \;
find . -type f  -name '*data.xml' -exec  sed -i "s#$pc_host#PC_HOST#g" {} \;
find . -type f  -name '*data.xml' -exec  sed -i "s#$sbc_host#SBC_HOST#g" {} \;
find . -type f  -name '*data.xml' -exec  sed -i "s#$tdaq_release#TDAQ_RELEASE#g" {} \;
find . -type f  -name '*data.xml' -exec  sed -i "s#$tag_name#TAG_NAME#g" {} \; 
find . -type f  -name '*data.xml' -exec  sed -i "s#$linux#LINUX#g" {} \; 

 
