#!/bin/bash

 export tdaq_release="tdaq-09-02-01"
 export partition_name="PartitionAlti_DETECTOR"
 export logs_path="/mnt/ctpfs/logs"
 export pc_host="pc-adt-05.cern.ch"
 export sbc_host="sbcl1ct-31.cern.ch"
 export tag_name="x86_64-centos7-gcc8-opt"
 export linux="centos7"

 find . -type f  -name 'editPartition.sh' -exec  sed -i "s#PARTITION_NAME#$partition_name#g" {} \;
 find . -type f  -name 'editPartition.sh' -exec  sed -i "s#TDAQ_RELEASE#$tdaq_release#g" {} \;
 find . -type f  -name 'runPartition.sh' -exec  sed -i "s#PARTITION_NAME#$partition_name#g" {} \;
 find . -type f  -name 'runPartition.sh' -exec  sed -i "s#TDAQ_RELEASE#$tdaq_release#g" {} \;
 find . -type f  -name 'PartitionAlti.data.xml' -exec  sed -i "s#LOCAL_PATH#$PWD#g" {} \;
 find . -type f  -name '*data.xml' -exec  sed -i "s#PARTITION_NAME#$partition_name#g" {} \;
 find . -type f  -name '*data.xml' -exec  sed -i "s#LOG_PATH#$logs_path#g" {} \;
 find . -type f  -name '*data.xml' -exec  sed -i "s#PC_HOST#$pc_host#g" {} \;
 find . -type f  -name '*data.xml' -exec  sed -i "s#SBC_HOST#$sbc_host#g" {} \;
 find . -type f  -name '*data.xml' -exec  sed -i "s#TDAQ_RELEASE#$tdaq_release#g" {} \;
 find . -type f  -name '*data.xml' -exec  sed -i "s#TAG_NAME#$tag_name#g" {} \; 
 find . -type f  -name '*data.xml' -exec  sed -i "s#LINUX#$linux#g" {} \; 
 
