#!/bin/sh

echo "we are in `pwd`"
echo "Starting SA in $1"

ShifterAssistant start $1 &
pid=$!
wait $pid || { echo "Failed to start SA"; exit -1 ;}
echo "SA started, pid $pid"
sleep 3
errors=`cat $1/log/sa.$pid.err | grep ERROR | wc -l`
[ "$errors" != "0" ] && { echo "Found errors in starting SA: "; cat $1/log/sa.$pid.err; rm -f $1/data/*; exit -1 ;}
cat $1/log/sa.$pid.out
ShifterAssistant stop $1
rm -f $1/log/*
rm -f $1/data/*
exit 0
