/*
 * ProxyImpl.cpp
 *
 *  Created on: Mar 14, 2019
 *      Author: kolos
 */

#include <IPCGatewayProxy/ProxyImpl.hpp>
#include "IPCGatewayProxy/ProxyObjectManager.hpp"

CORBA::Object_ptr ProxyImpl::getProxyForObject(CORBA::Object_ptr obj) {
    CORBA::Object_var ref(CORBA::Object::_duplicate(obj));
    ProxyObjectManager::instance().replaceByProxy(ref);
    return CORBA::Object::_duplicate(ref);
}

CORBA::Object_ptr ProxyImpl::getObjectForProxy(CORBA::Object_ptr obj) {
    return CORBA::Object::_duplicate(
            ProxyObjectManager::instance().getRemoteObject(obj));
}

