# Igui

Package: [Igui](https://gitlab.cern.ch/atlas-tdaq-software/Igui)  

-   `Commit & Reload` functionality adapted to the new `OKS GIT` back-end ([ADTCC-227](https://its.cern.ch/jira/browse/ADTCC-227)):

    A new reload panel has been developed in order to allow proper configuration reload when the new `OKS GIT` back-end is used. In this new version of the panel, the user
    is asked to select the configuration version to reload on the basis of the last commits available in the `GIT` repository.
    The selection of the configuration to be reloaded is no more file-based, but the user is asked to select a `GIT` commit that, in principle, may include changes to several
    separate files. In such a way, there is not any risk no more to select a set of incompatible files. The list of modified files per commit is available un-hiding a specific
    column in the table (that can be done changing the table properties using the little button located on the right upper corner of the table).
    Of course, the selection of a specific commit implies to import all the changes applied in the previous commits.

