#!/usr/bin/env python

from __future__ import print_function
from builtins import str
import time
from calendar import *
from datetime import date

today = date.today()
str_today = today.isoformat()
day = str_today[8:]
month = str_today[5:7]
year = str_today[:4]
year_int = int(year)
short_year = str_today[2:4]
end_date = day + '/' + month + '/' + short_year
end = day + month
print('export %s="%s"'% ('END_DATE', end_date))
print('export %s="%s"'% ('END', end))
day_int = int(day)
start_day_int = 0
month_int = int(month)
if (day_int > 7):
    start_day_int = day_int - 7
else:
    monthMatrix = monthcalendar(year_int, month_int-1)
    size = int(len(monthMatrix))
    start_day = monthMatrix[size-1][0]
    start_day_int = int(start_day)
    month_int = month_int-1
start_day = ""
if (start_day_int < 10):
    start_day = '0' + str(start_day_int)
else:
    start_day = str(start_day_int)
start_month = ""
if (month_int < 10):
    start_month = '0' + str(month_int)
else:
    start_month = str(month_int)
start_date = start_day + '/' + start_month + '/' + short_year
print('export %s="%s"'% ('START_DATE', start_date))
week = start_day + start_month + '_' + day + month
print('export %s="%s"'% ('WEEK', week))



