#! /usr/bin/env python
import os
f = open('/tmp/summary_global.data', 'r')
beam = f.readline()
run_time = f.readline()
run_time_ready = f.readline()
eff = f.readline()
eff_ready = f.readline()
beam_ws = f.readline()
run_time_ready_ws = f.readline()
eff_ready_ws = f.readline()
f.close()
f = open('/tmp/summary_week.data', 'r')
beam_w = f.readline()
run_time_w = f.readline()
run_time_ready_w = f.readline()
eff_w = f.readline()
eff_ready_w = f.readline()
f.close()
if eff_w.endswith("nan\n"):
    eff_w = "-"
if eff_ready_w == "nan\n":
    eff_ready_w = "-"
f = open('index.html', "r")
str = f.read()
f.close()
index0 = str.find("20 January")
top_str = str[0:(index0-6)]
index1 = str.find("Run Efficiency (per fill)")
index2 = str.find("Efficiency with RfP flag")
middle_str = str[(index1-48):(index2+35)]
bottom_str = str[(index2+35):]
months = ['January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December']
end_date = repr(os.environ.get("END_DATE"))
start_date = repr(os.environ.get("START_DATE"))
index1 = end_date.find("/")
end_day = end_date[1:index1]
index2 = end_date.find("/", index1+1)
end_month_str = end_date[(index1+1):index2]
end_month_index = int(end_month_str)
end_month = months[end_month_index-1]
end_year = end_date[(index2+1):(index2+3)]
final_date = end_day + ' ' + end_month + ' 20' + end_year
index1 = start_date.find("/")
start_day = start_date[1:index1]
index2 = start_date.find("/", index1+1)
start_month_str = start_date[(index1+1):index2]
start_month_index = int(start_month_str)
start_month = months[start_month_index-1]
week_month = ""
if (end_month_index == start_month_index):
    week_month = start_day + ' - ' + end_day + ' ' + start_month
else: 
    week_month = start_day + ' ' + start_month + ' - ' + end_day + ' ' + end_month 
week = os.environ.get("WEEK")
filetext = ''
filetext += top_str
filetext += '<p><b>20 January - ' + final_date + '</b></p>\n'
filetext += '<table><tr><td>\n'
filetext += '<table border="1">\n'
filetext += '<tr><th> </th><th>Hours</th><th>Percent</th></tr>\n'
filetext += '<tr><td style="text-align: center">Stable beams</td>\n'
filetext += '<td style="text-align: center">' + beam + '</td><td></td></tr>\n'
filetext += '<tr><td style="text-align: center">Running and not busy</td>\n'
filetext += '<td style="text-align: center">' + run_time + '</td>\n'
filetext += '<td style="text-align: center">' + eff + '</td></tr>\n'
filetext += '<tr><td style="text-align: center">Running with RfP flag</td>\n'
filetext += '<td style="text-align: center">' + run_time_ready + '</td>\n'
filetext += '<td style="text-align: center">' + eff_ready + '</td></tr>\n'
filetext += '</table>\n'
filetext += '</td><td>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp</td>\n'
filetext += '<td><table border="1">\n'
filetext += '<tr><th> </th><th>Hours</th><th>Percent</th></tr>\n'
filetext += '<tr><td style="text-align: center">Stable beams before WarmStop</td>\n'
filetext += '<td style="text-align: center">' + beam_ws + '</td><td></td></tr>\n'
filetext += '<tr><td style="text-align: center">Running with RfP flag</td>\n'
filetext += '<td style="text-align: center">' + run_time_ready_ws + '</td>\n'
filetext += '<td style="text-align: center">' + eff_ready_ws + '</td></tr>\n'
filetext += '</table>\n'
filetext += '</td></tr></table>\n'
filetext += middle_str
filetext += '<tr><td style="text-align: center">' + week_month + '</td>\n'
filetext += '<td><table border="1">\n'
filetext += '<tr><th> </th><th>Hours</th><th>Percent</th></tr>\n'
filetext += '<tr><td style="text-align: center">Stable beams</td>\n'
filetext += '<td style="text-align: center">' + beam_w + '</td>\n'
filetext += '<td></td></tr>\n'
filetext += '<tr><td style="text-align: center">Running and not busy</td>\n'
filetext += '<td style="text-align: center">' + run_time_w + '</td>\n'
filetext += '<td style="text-align: center">' + eff_w+ '</td></tr>\n'
filetext += '<tr><td style="text-align: center">Running with RfP flag</td>\n'
filetext += '<td style="text-align: center">' + run_time_ready_w + '</td>\n'
filetext += '<td style="text-align: center">' + eff_ready_w + '</td></tr>\n'
filetext += '</table></td>\n'
filetext += '<td style="text-align: center"><a href="' + week + '.png"><img src="' + week + '.png" alt="Run eff ' + week + '" width="320px"/></a></td>\n'
filetext += '<td style="text-align: center"><a href="' + week + '_rfp.png"><img src="' + week + '_rfp.png" alt="Run eff ' + week + ' with Ready" width="320px"/></a></td></tr>\n'
filetext += bottom_str
f = open('index_new.html', "w")
f.write(filetext);
f.close()

