/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package triggerpanel;

/**
 *
 * @author stelzer
 */
class CTPPartitionVariable extends OKSVariable<Integer> {

    CTPPartitionVariable() {
        super("CTPPartition");
    }

    @Override
    protected void writeToRDB(Integer value, config.Configuration rdb) {
    }

    @Override
    protected Integer readFromRDB(config.Configuration rdb) {
        dal.L1TriggerConfiguration l1conf = TPGlobal.getConfigHelper().getL1TriggerConfiguration(rdb);
        if (l1conf == null) {
            return 0;
        }

        Integer CTPpartition = 0;
        try{
             l1conf.update();
             CTPpartition = l1conf.get_CtpPartitionNumber();
        }
        catch(config.ConfigException ex){
             TPL.error("Could not retrieve CTP partition number" + ex);
        }
        return CTPpartition;
    }
    
}
