<?php

/**
 *	ATLAS Point 1 roles retrieved from LDAP.
 *	Uses: phpTreeGraph
 *	
 * 	@author Marius Leahu
**/

// get the parameters
$ldap_host = "atlas-ldap.cern.ch";
$ldap_role_prefix = "";
$test_mode = "";
//$test_mode = $_GET['test_mode'];
$test_mode = "on";

if ($test_mode == "") {
	$ldap_host = $_GET['ldap_host'];
	$ldap_role_prefix = $_GET['ldap_role_prefix'];
	$top_role_filter = $_GET['top_role_filter'];
}

if ( $ldap_host == "" ){
    $ldap_host = "atlas-ldap.cern.ch";
}

function print_test($msg){
	if ( $test_mode != "" ) echo $msg;
}

//include LDAP roles class
require_once('./LDAP_roles.php');

$roles_obj = new LDAP_roles($ldap_host, "ou=atlas,o=cern,c=ch");
//$roles_obj->setVerboseMode(true);

$roles = $roles_obj->getRoles($ldap_role_prefix);

//add nodes to the tree, parameters: id, parentid optional text, width, height, image(path)
print_r($roles);
//echo "COUNT[".count($roles)."]\n";
?>
