#!/bin/bash

echo "Are you sure you want to set permissions to all files as they are in 'permissions' file ? (y/n)"
read answer
[ "$answer" != "y" ] && exit 1

f="permissions"
cat $f | grep -v '#' | while read line
do
    mod=`echo $line | cut -d' ' -f1`
    uid=`echo $line | cut -d' ' -f2`
    gid=`echo $line | cut -d' ' -f3`
    filename=`echo $line | cut -d' ' -f4-`
    
    #echo "[$line] mod=[$mod]"
    
    #continue;
    
    if [ -f "$filename" -o -d "$filename" ];
    then

	if ( chmod $mod $filename ); then
	    echo -n "mod[$mod]	"
	else
	    echo -n "mod[ERR]	"
	fi

	if ( chown $uid:$gid $filename ); then
	    echo -n "owner[$uid:$gid]	"
	else
	    echo -n "owner[ERR]	"
	fi
	echo "$filename"
    else
	echo "NOT FOUND: $filename"
    fi
done