package elisa_client.model;

/**
 * 
 * Message Type 
 * 
 * <p>
 * To be extended with 
 * http://pauloswald.com/blog/documents/26/java-5-database-backed-enumerations
 * @author lucamag
 *
 */
public enum MessageType { 
	DEFAULT_MESSAGE_TYPE("Default Message Type"), 
	SHIFT_SUMMARY("Shift Summary"), 
	SHIFT_LEADER("Shift Leader"), 
	RUN_CONTROL("Run Control"), 
	ONLINE("Online"),
	TRIGGER("Trigger"),
	LVL1("LVL1"),
	DATA_QUALITY("Data Quality"),
	PIXEL("Pixel"),
	SCT("SCT"),
	ID_GENERAL("ID General"),
	LARG("LAr"),
	TILE("Tile"),
	BCM("BCM"),
	DCS("DCS"),
	DSS("DSS"),
	GAS("GAS"),
	COOLING("Cooling"),
	SLIMOS_TI("Slimos-TI"),
	CHECK_LIST("Check list"),
	DQSUMMARY("DQSummary");	 

	private final String mt_name;  
	private MessageType(String mt_name) {  
		this.mt_name = mt_name;  
	}  
	@Override  
	public String toString() {  
		return mt_name;  
	}  
}

/*public enum MessageType {
    ONLINE("Online", 147L),
    SHIFT_SUMMARY("Shift Summary",111L);
    
    private final String name;
    private final long id;
    
    //Constructor
    MessageType(String name, Long id) {
        this.id=id;
        this.name=name;
        //Do something dynamic? Retrieve ID from DB?
    }
    
}*/
