package elisa_client.model;

/**
 * 
 * System Affected enum 
 * 
 * 
 * @author 
 *
 */
public enum SystemAffected {
	AFP("AFP"),
	ALFA_RPO("ALFA (RPO)"),
	BCM("BCM"),
	BEAM_CONDITIONS("Lumi/Beam Conditions"),
	CSC("CSC"),
	COUNTING_ROOM("Counting Room"),
	CRYO("Cryo"),
	DAQ("DAQ"),
        CENTRAL_DAQ("Central DAQ"),
	DCS("DCS"),
	CENTRAL_DCS("Central DCS"),
	DSS("DSS"),
	DATAQUALITY("DataQuality"),
	EVENT_DISPLAYS("Event Displays"),
	GAS("GAS"),
        HGTD("HGTD"),
	HLT("HLT"),
	IDGEN_IC("ID Gen. (IC)"),
	LARG("LAr"),
	LVL1("LVL1"),
	LUCID("Lucid"),
	MDT("MDT"),
	MMG("MMG"),
	MAGNETS("Magnets"),
	MONITORING("Monitoring"),
	NETWORK("Network"),
        NSW("NSW"),
	ONLINEDB("OnlineDB"),
	OTHER("Other"),
	PIXEL("Pixel"),
	RPC("RPC"),
	RADIOPROTECT("Radioprotection"),
	RUNCOORD("RunCoord Info"),
	SCT("SCT"),
	SAFETY("Safety"),
	SYSADMINS("SysAdmins"),
	STGC("sTGC"),
	TGC("TGC"),
	TRT("TRT"),
	TECH_INFRA("Tech. Infra"),
	TIER0("Tier0"),
	TILE("Tile"),
	ZDC("ZDC");
	
	private final String sa_name;  
	private SystemAffected(String sa_name) {  
		this.sa_name = sa_name;  
	}  
	@Override  
	public String toString() {  
		return sa_name;  
	}  
}
