# P-BEAST

* add **FillGaps** parameter to various queries allowing to define filling empty intervals, when downsample data:
    * **none** - no any extra data points are inserted, if there are no source data points
    * **near** - add approximated data points before and after interval of existing source data points to avoid undesired linear approximation on long empty intervals (previous behavior)
    * **all** - add approximated data points into all empty intervals

## tdaq-09-01-00

* replace boost::filesystem by std::filesystem
* receiver application:
    * performance improvements in pre-compaction algorithm, see [ADAMATLAS-383](https://its.cern.ch/jira/browse/ADAMATLAS-383)
    * monitoring the _pre-compaction_ and the _commit_ functions times
* repository server monitoring:
    * publish information about disk used space